commit 61ddfd1628fa7caffea3a3c0a93ce391b0a23bdf
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 29 16:15:50 2004 +0000

    Reuse the encoder

commit c8eb02d617afa5c188589b7f747272030484874b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 29 15:56:08 2004 +0000

    Baaaah, we _already_ have a PNG encoder.
    
    Note: this one (the ffmpeg one) seems to leak, though

commit 2059d3c7c640ac3d9970f3e0a9e2f6e8d0d31184
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 29 15:29:35 2004 +0000

    Modules.am

commit d4350430aea02720881249bc875fef7c180ec5f3
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 29 15:29:20 2004 +0000

    PNG image encoder and imagefile video output

commit 5480fa452dc4b6fa6e4b0bfedcddd78d57f861ec
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Dec 28 20:29:28 2004 +0000

    * Do not search a visualizer in strict mode
    * Fix --help with module lists

commit efa014c4a10a7f19cc2b1a61b380ca3044f4a101
Author: Andre Pang <andrep@videolan.org>
Date:   Tue Dec 28 14:12:14 2004 +0000

    * Typo

commit 3e29864a93453923f54f92f5cac28c32246cbacc
Author: Andre Pang <andrep@videolan.org>
Date:   Tue Dec 28 14:11:36 2004 +0000

    * Make VLC win32 package in build directory, not source directory
    * Added package-win32-base-exe-cygwin Makefile target, for Cygwin/msys users who don't need wine.  (This should really be folded into the package-win32-base-exe target, but I'm not sure what the best way to detect a Cygwin/msys build environment is ...)

commit b29d9bea38128a7631323bedf5e5f2002a4cc080
Author: Andre Pang <andrep@videolan.org>
Date:   Tue Dec 28 11:10:18 2004 +0000

    * Extra sanity checks and debugging info for Annodex (Ogg) demuxer
    * Detect "Content-Type" header in Annodex files case-insensitively

commit 6b141c54cc589fce66895508b2ff4a0e77e45a2c
Author: Andre Pang <andrep@videolan.org>
Date:   Tue Dec 28 11:06:02 2004 +0000

    * Fix CMML codec on systems where strcmp(1) dies if you give it a NULL pointer (such as Windows)

commit 79053042f17a929d8fd175cc51d989f1f6abdba9
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Dec 26 18:29:50 2004 +0000

    Some cleanup and unification with xine vcd plugin.

commit 8b492795fec291bd5dff480610306e8b95e20e58
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 26 11:21:39 2004 +0000

    - Fixes HTTP access EOF detection

commit 626d0aed14a7d8bff7268b8cafa9ddb371785466
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 26 11:07:37 2004 +0000

    Common disconnection code in Disconnect()

commit fd520c5d45daba3e89227d0a1e4d734cfa236bee
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 26 10:31:27 2004 +0000

    Initial HTTP/SSL access
    (still a bit rough on EOF)

commit faad88674b6c708e83937a51f694e2a2f558a6f4
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 26 10:21:47 2004 +0000

    Generic client SSL/TLS support

commit caf4b943404d6429ffcbd0ebb30c31adc837a420
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Dec 26 00:14:38 2004 +0000

    Title hell.  Seems like titles work substantially differently for
    navigation versus plaback.

commit ce5c74993437e7c5e78b01722c61ce24b1d55f61
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 25 21:39:20 2004 +0000

    - Fix segfault when TLS handshake fails (introduced in previous commit)

commit 1c672a3d5cead318809db9b030f928e9fc4a8c72
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 25 21:35:09 2004 +0000

    - Non blocking TLS handshaking

commit c818ae899f1951fa1b123f82a6845f6816ed3163
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sat Dec 25 19:33:20 2004 +0000

    Add a disc-mode and navigation-style control.

commit ea6b3450c1f4bd9bee78caa828a65f6557f167a9
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 25 16:35:26 2004 +0000

    Don't update author view on the fly (workaround complete author view breakage)

commit 0e5f99c2b3cfb98577a767e63e3b30bfcedd3b05
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sat Dec 25 13:58:09 2004 +0000

    info.c: Add LID info in stream and media info.
    vcdplayer.{c,h}, since this tries to be platform independent use bool
    rather than VLC_BOOL.
    
    Some segment play back improvments. (I hope).

commit 6bafce691a90555b93314ed5276daf68ffe261c3
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 25 12:21:47 2004 +0000

    Fix connection close, patch by Ted Deppner <ted at psyber dot com>

commit 6197001f3c9eeeb0832068106d26c9aff6f63d41
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Fri Dec 24 11:50:03 2004 +0000

    * Fix title display above the scrollbar
    * Fix the shuffle checkbox
    * Expand playlist to the currently playing item and select it

commit 6ad10b6304383199dab1c32f3bf6b65f36c33a9f
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Fri Dec 24 11:42:55 2004 +0000

    Check to see if a particular subtitle channel is selected. All
    subtitles languages were appearing overlayed. I guess some code got
    left out in the recent conversion.
    
    Set a category and subcategory.

commit fc548acbc44d705642395b50eebf15ae0c5980cd
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Dec 24 01:14:35 2004 +0000

    * locking issue and code cleanup

commit ae42134e0ca730662917c2642cbf23de426cfd7e
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Thu Dec 23 04:28:19 2004 +0000

    Deal with just one of the many crashes. This one in trying to find an entry
    point inside a segment. Duh.

commit d6b04c78471b3eea40e679a558fc53289525364e
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Thu Dec 23 04:01:45 2004 +0000

    Fill out more VCD player-independent parts. Modal (track, segment,
    entry) playing is better.
    
    Still frame and menu selection is still quite a mess.

commit 89885149e814b2d287dd7166a92eb69f3221f0af
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Dec 23 00:33:05 2004 +0000

    * src/libvlc.h: Added a "snapshot-format" option to be able to select png or jpg (png default)
    * src/video_output/vout_intf.c: use above option and set the default destination for snapshots
       on OS X to the Desktop.
    * REST: Add the Snapshot command to the menu's etc.

commit 0895cfabaddd9de84ca9b68df9072d44d3de7397
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Dec 22 21:21:01 2004 +0000

    * src/playlist/info.c: Fix a crash in the item info lookup.

commit 163261c67d1fd71c1e160cc241cc41d7d8acbc17
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Dec 22 21:19:57 2004 +0000

    * modules/access/http.c:
      - Fixed HTTL redirect
      - Fixed icecast2 HE-AAC stream recognition.

commit e08712b2d7aee23dfaca003151c18eba7a9f9e10
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Dec 22 13:06:43 2004 +0000

    * modules/gui/skins2/*: added svn Id property.

commit e2bc9a538ea717487c2ccf7e7f1d55c95721feda
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Dec 22 11:18:11 2004 +0000

    More segment playing improvements, be able to map seekpoints to
    segments and lids. Fill out vcdplayer a little more for use later.

commit ebcd06fd9e0bef4662c19f079f1732f3dfa3d3a0
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Dec 22 04:22:24 2004 +0000

    Some work towards get segments working again.

commit f0080eb7af9639e37a44caffd22e9c3fd3d2d59f
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Dec 22 02:17:30 2004 +0000

    Get chapter next/prev working for entries.
    Customization of the title shouldn't be advanced.
    Allow user settable blocksize

commit b19e66ac10b975bed07378c81c7c35fa393b6abd
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Dec 22 02:11:35 2004 +0000

    Typo making seekpoint_next to to seekpoint 0. Clearly chapter
    navigation is neither used or the code tested much.

commit d701b7bcfa1f7344f3bed50a22bcfcc302c2cbc7
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Dec 22 01:23:15 2004 +0000

    * ffmpeg/encoder.c: if p_codec->pix_ftms is not yet available in this version of ffmpeg, then we just pray...?
     At least now it compiles again. Gildas, could you check if this is correct please?

commit e727aa7f05ddd5c5afdeabf267c8be3e0ce0a8b6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 21 21:45:27 2004 +0000

    * src/libvlc.h: properly place the snapshot-path option.

commit ce994d1b7a9d83f32d48b4b17ad71b8d7fa7eb0e
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Dec 21 17:01:40 2004 +0000

    * modules/demux/ts.c: New option --ts-capmt-sysid to filter CA descriptors
      of a given system provider (this is apparently needed for SCM Cryptoworks
      CAM).
    * modules/access/dvb/dvb.h: Allow up to 256 demux slots.
    * modules/access/dvb/en50221.c: Do not send the CAPMT too often (apparently
      bad for some CAM).

commit 7bcf380ee2db1806620d67e69ab1ea8d505e1a89
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 21 16:10:00 2004 +0000

    * modules/gui/wxwindows/interface.cpp: fixed hotkeys with modifiers on win32.

commit b070df41f070f0a0971de8bfada029cff9c83101
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 21 15:21:24 2004 +0000

    * src/video_output/vout_intf.c: added a video-snapshot object variable.
    * modules/gui/wxwindows/menus.cpp: added video-snapshot to the menus.

commit 65d40ed458b90b6c88a2cc3347c0e549b111ee5b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 21 14:52:49 2004 +0000

    * modules/control/hotkeys.c: snapshot hotkey.

commit 519e40a328a30f1e091fb34b07ce73829af6ceb2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 21 14:51:43 2004 +0000

    * src/video_output/vout_intf.c: implemented vout_Control( VOUT_SNAPSHOT ) ... most useless feature ever.

commit e00637cf1ff303f1f4e3873370dfefe19e5e1104
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 21 14:46:33 2004 +0000

    * modules/codec/ffmpeg/video_filter.c: I420 -> YUVA conversion.

commit 7e0f674ac586d7bc04ea5891001212b5d9794495
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 21 14:45:51 2004 +0000

    * src/misc/image.c: implemented ImageConvert().

commit c7cac1b20abc9d907ed715e1040be49532d280c2
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Tue Dec 21 03:42:04 2004 +0000

    Work on getting slider seeking working better.

commit 149e4ec26dc77992ea70cd2f9a1e0de3d0c6dd95
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 20 22:15:13 2004 +0000

    * src/misc/image.c: implemented ImageWrite() and ImageWriteUrl().

commit 152dbb028e3189a616e78218229e841940e4d987
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 20 22:12:36 2004 +0000

    * modules/codec/ffmpeg/encoder.c: use pix_fmt specified by encoder.

commit d8712f2ad1f6305f614d08d348b8308c547ef385
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Dec 20 20:14:43 2004 +0000

    No need to GuessType on directory content

commit b56b80d6014cb1061d97faf07d427a8894d87b3f
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Dec 20 15:28:50 2004 +0000

    Removed buggy legacy code

commit 9963cb68c9eae198501a515adfd9bedbb9e99431
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Dec 20 14:51:50 2004 +0000

    Force RC interface in standard playlist mode

commit c7d1d4f253af8e6e51fcadb3f832d5e8b7a0559b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 20 12:19:32 2004 +0000

    * modules/video_output/directx/events.c: fixes for VOUT_REPARENT.

commit 5bc535bede53c22b608334e814937a91735f47d6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 20 11:42:29 2004 +0000

    * modules/gui/skins2/src/vlcproc.cpp: fixed crash on exit.

commit 0840ec8cdbf5b6a3a7886e88076ecd0471409ca0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 20 11:18:53 2004 +0000

    * include/vlc_image.h,vlc_xml.h: make these c++ happy.

commit 12077fd171905b6c9c958986d69d071a302d83b8
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Dec 20 07:44:39 2004 +0000

    Improve entry navigation and title update.
    
    Next/Prev chapter don't work yet, nor does entry detection when random
    seeking.

commit 6ba6c14fd5e810734e4170bbb95b1a731525212c
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Dec 20 04:52:29 2004 +0000

    Fix bad bug with was causing discontinuous video playback.
    Some entry navigation improved.

commit cf38ae4672f190d66fac78709f6019b1cb484cad
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Dec 19 22:41:57 2004 +0000

    Cleanups towards getting this to a usable state.
    Much still remains to be done.

commit febb3324e0a1d76c9f9038f78d33e4a139b3344d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 19 20:46:27 2004 +0000

    * modules/codec/svcdsub.c,cvdsub.c: fixed Cr/Cb inversion in palette.

commit 2a2caf4de657bb6bf40a552588dc70e6c30f9682
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 19 19:49:10 2004 +0000

    * modules/video_output/x11/xcommon.c: fixed nasty bug with YV12 xvideo output (fixes problem with unichrome driver).

commit 33fbe58149c9b65cdfed2b5546e4b40261289f23
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 19 18:41:45 2004 +0000

    * modules/demux/util/id3tag.c: fixed a few bugs.

commit fac7e3a29c92979ced786a7bba94b99cdafba377
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Dec 19 14:30:37 2004 +0000

     * skins2: handle "item-deleted" variable

commit 27fdfcfd6872d4868a8bef6f01ef4341fe033096
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Dec 19 13:58:38 2004 +0000

    First attempt to libcdio VCD working under new regime. It is still
    mostly disabled or broken.

commit 2cbb60020bee01e465480ca86cc6bce0c93e5b0d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 19 13:11:22 2004 +0000

    * modules/misc/rtsp.c: fixed support for pause with vlc as a client.

commit 56aa04bd7e0d414afd2c076d64ba3d407fa0c686
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 19 13:04:20 2004 +0000

    * src/input/input.c: fixed potential deadlock.

commit 1fc910ce3a920004a1f03d8da132fcf5eff9fa4c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 19 12:54:21 2004 +0000

    * small clean-up, so the about-class is not needed in the main-nib anymore

commit 5b3267647a149ed461df8dad2b922a3a5946d952
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 19 12:48:04 2004 +0000

    * modules/demux/livedotcom.cpp: coding style fixes.

commit a608a1205f351915f2676661ff09774e7fda83df
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 19 12:36:59 2004 +0000

    * modules/access/pvr/pvr.c: added missing pvr-caching option.

commit 43e94311a661030d085e48e395f9a9bc35dae89f
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 19 11:08:18 2004 +0000

    Fix bugs with psz_shortname

commit 7231885dc1bbb00ea7bb4c4ff32d412f3214ee9d
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Dec 19 10:22:12 2004 +0000

    When I type "make clean" I really want a "make clean"

commit 2cb7e0165ba55bb9ad29fc14ad64906b52e9fb68
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 19 05:05:10 2004 +0000

    * modules/codec/cvdsub.c: ported cvd subtitles decoder to the new subpicture architecture.
    * modules/codec/svcdsub.c: ported svcd subtitles decoder to the new subpicture architecture.

commit 805a60e6e93c66380d06a39b49d808b535122c2d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 18 19:10:47 2004 +0000

    * include/codecs.h: support for WAVE_FORMAT_AAC (tag 0xFF)

commit d7f817e03c64c92ddab41dc496d6f6b9b7652b41
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sat Dec 18 17:55:22 2004 +0000

     * skins: Reload the current skin correctly even when skins2-config is not set

commit fe23407aad8ab865001c80a86fd29f4ee0180409
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sat Dec 18 17:36:23 2004 +0000

     * skins: Reparent the embedded vout window when switching to the wx intf

commit 98d5f2915b023e37de1cd873b630d7c592787466
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sat Dec 18 16:08:07 2004 +0000

     * src/libvlc.h: Use window decorations by default

commit 25481d94a124480270f496742616a5c3374d5a4f
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sat Dec 18 13:19:53 2004 +0000

     * skins2: Loading a new theme while an embedded vout is used works better
       (the new vout is refreshed)

commit 49fe08ff501fe2b0eb891b93cda530ed84fa1ffe
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Fri Dec 17 23:51:38 2004 +0000

    Some small cleanups.

commit 8329eed8052344a3cae4817b9aacb06924d85d0c
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Fri Dec 17 23:39:34 2004 +0000

     * skins2: Do not paint on the embedded video output, when a video is
       being played in it

commit 744c1b580872c3ae95820bbee12261fc6eed2016
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Fri Dec 17 20:07:54 2004 +0000

     * skins/utils/bezier.cpp: Fixed a bug in the computation of the size of a
       Bezier curve
     * skins2/*: Fixed "lazy redrawing" for the slider control

commit dab1d31acee4f53cd5a92960dbf5d1adb25bd2fd
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Fri Dec 17 19:18:07 2004 +0000

    * Hotkey to set audio delay on the fly
    * This currently sets audio-delay, which produses some ugly warning messages. The new resampling algorithm seems to behave quite well however.

commit 077e3753d6340c2e4fd9c9b67a7631cbaa85a80f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Dec 17 16:27:49 2004 +0000

    * modules/gui/skins2/src/png_bitmap.cpp: compilation fix.

commit 6314367b7084e2a679eb93ea0ae839a7b7a0e8c0
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Thu Dec 16 21:26:36 2004 +0000

     * skins2: When a control changes, refresh only the needed part of the layout
       instead of refreshing everything

commit df0d5be15e4e9fab0a831986205c43f65394bfc2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 16 20:28:27 2004 +0000

    * modules/video_filter/logo.c: --logo-transparency works again.

commit bd7169e9667a66e8de89d8bad376137948596ab6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 16 20:27:12 2004 +0000

    * include/vlc_video.h, src/video_output/vout_subpictures.c: added an i_alpha member to subpicture_t to specify the transpareny of the subpicture.

commit ddd93218f71cc33d2f6479d74a72e73c0ce096e1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 16 19:52:05 2004 +0000

    compilation fixes.

commit e02eb7d950cf173cccaeb8157e17b31a5c938eda
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Dec 16 19:02:09 2004 +0000

    What do you find funny ?

commit d5eacbea63aec640c2edb7ec8b41a56291405b46
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Dec 16 18:58:12 2004 +0000

    Really fix all the set_name.
    
    Sorry for the trouble

commit 8921e021a98dd9b50291694c857d715817531df6
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Dec 16 18:34:34 2004 +0000

    Last one ?

commit a5119adf373d2b99ed5a77977e5ffc5280ea9c32
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Dec 16 18:24:03 2004 +0000

    $#*%§& SVN !

commit db5fedc62315cfc0f93c0bb1fff76f53627142b8
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Dec 16 18:14:29 2004 +0000

    For some unknown reason, the previous commit was not fully done

commit a759bc67b694a5841d8e2cbc1cf4f40c9c61f10d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 16 17:55:50 2004 +0000

    modules/video_filter/logo.c: use image handler.

commit fb4827242c878815ba46283438f358804dca32b7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 16 17:47:40 2004 +0000

    * modules/gui/skins2/*: use image handler to load graphic files.

commit c21b261057af8c382be72e3a9d45104594474329
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 16 17:44:38 2004 +0000

    * modules/codec/png.c: PNG decoder using libpng.

commit 91013efa21f2043e600a62a7f3d492eb0eb9f0d8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 16 17:41:09 2004 +0000

    * src/misc/image.c: no need to restart a filter when only the image size changes.

commit 7fbe765a9ca271383fec32c5d1b86f2fdd958a6d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 16 16:58:17 2004 +0000

    * modules/gui/skins2/parser/skin_parser.cpp: fixed bug I just introduced.

commit 906b68fe0317ff981addd5e9bfe4a5fc5efde6c3
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Dec 16 16:35:12 2004 +0000

    Fix a bug with preferences
    Added some more names
    Use shortname to store the name

commit 798c883b4d3d72314d2eed451f3873a7354bb01d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 16 13:59:51 2004 +0000

    * modules/gui/skins2/*: fixed a whole bunch of memory leaks.

commit 799d80ce89466c8a43776b555319271e38497fec
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Dec 16 13:05:35 2004 +0000

    Merge general with the category when possible

commit 80e23c965cba18af07ca5d305649e0bed1bb30d1
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 15 22:27:53 2004 +0000

    Little TODO update

commit 613773eec2579ae94554f7533fb6642af85957e4
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 15 22:17:52 2004 +0000

    Make SAP node read-only

commit d5308d380e360212e3748035573153dfd62d1d59
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Dec 15 17:11:41 2004 +0000

    * modules/misc/rtsp.c, src/misc/vlm.c: very preliminary seeking support (expects lots of problems with it... like not having it working).

commit c8044b72f56b32c06fa282c4d180755d5cbab422
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Wed Dec 15 12:28:39 2004 +0000

    * Implements playlist toggle button
    * Resizing is currently animated. I don't know if we should keep it like that
    * I don't know if this is implemented the proper way, but at least it's working...

commit f991b0856786e30f4d45c8d2400832d8222f40da
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 14 19:47:21 2004 +0000

    * src/misc/image.c: format guessing from file extension.

commit 5eb23c8e0a5ba9756ecbd83c8136fafbc0d3beb9
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Dec 14 19:29:50 2004 +0000

    Restore loop
    Fix command line parsing

commit d2adc9f3c197dfb3b148db04d24f838d7f0befcd
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Dec 14 18:44:04 2004 +0000

    Implement add_module_cat to add a module by category + use this for intf

commit dc7674b5895d6a59b6df6ca6f5f1a4f8a9167d3a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 14 18:20:45 2004 +0000

    * modules/codec/ffmpeg/video_filter.c: added RV32 -> YUVA conversion.

commit ca0f0c57619c50dfc04321374a42209ca986ab81
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Dec 14 18:07:00 2004 +0000

    Remove debug messages

commit 01c50946972e5eda1273d8e290b62d6bb5897867
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Tue Dec 14 18:00:51 2004 +0000

    * Implements sorting by licking on table column headers in the playlist
    * Update TODO

commit c3550b59cc460679b764a4bccdd34cac768a7016
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Dec 14 17:42:42 2004 +0000

    Better fix for wx deadlock with preparse
    A few fixes

commit b20da1c51b4e5986836638c463f388db40d9b7cd
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 14 14:14:54 2004 +0000

    * modules/codec/ffmpeg/encoder.c: typo for strict-rc option.

commit 91d93983e61dbc6cc7392fdfc71fede68dec7a5b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Dec 14 11:40:09 2004 +0000

    * Provide playlist_LockFoo functions for some functions
    * Fix deadlock with preparse

commit 5d3edb82f37d177671789808248251bfdeaf7fd1
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Mon Dec 13 21:48:06 2004 +0000

    Implements sorting of the current node from context menu

commit c5d68965802198e8da1657f36cc39ee40b17eebf
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 13 20:53:50 2004 +0000

    * changed 2 strings to lower-case, which prevented compilation using UFS as FS under OSX. Thanks to Philip Edelbrock for reporting the issue.

commit 251ee86266d46742df15908b78ea1f97638097ab
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Mon Dec 13 20:26:07 2004 +0000

    * enable delete in the playlist context menu

commit f00931a555a91b25e56d09215c42ca4398362ded
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Mon Dec 13 20:25:05 2004 +0000

     * skins2: use black as the "flickering color", when resizing on windows :)

commit cac0b7157e048477ed3a9ec23fa87c10b7cdb4e0
Author: Eric Petit <titer@videolan.org>
Date:   Mon Dec 13 19:18:31 2004 +0000

     macosx/vout*.m: factorized some more code, fixed GL video device selection

commit f046e3c335fdf6e0ab281cd7f522d912d1d27284
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Dec 13 17:56:21 2004 +0000

    Compile fix

commit 4919ff277629b34c3c2a7996ec8884e8058a63ce
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 13 16:48:18 2004 +0000

    * modules/codec/ffmpeg/ffmpeg.c: support for PNG/PPM/PGM/PGMYUV/PAM image formats.

commit f6f06645681772446242078601d091e0caddf723
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 13 16:47:18 2004 +0000

    * src/misc/image.c, include/vlc_image.h: new image handler facility making use of decoders and filters to load images.

commit 5a6a1bdfd58d2351df889892e36edc9e883cd083
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 13 10:03:39 2004 +0000

    * modules/access/directory.c: scandir isn't available on win32.

commit 6656f5a29213a037b3bd1900c8cb38aa6d713f61
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Dec 13 04:41:44 2004 +0000

    *** empty log message ***

commit c569f5370c7a5901be47f278f09daf40e1c12aa8
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Dec 13 04:28:04 2004 +0000

    Add mrl info to playlist item.

commit 51ec22f31852ceea76752026117037430d06022e
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Dec 13 04:26:24 2004 +0000

    Document %S.

commit 5eb406b41804481b30ab8c134e5c1946748b6629
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Sun Dec 12 20:12:11 2004 +0000

    * deleteItem: method

commit 2ad668f389c80be1e73dffd0b1f883e14b780cab
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Dec 12 17:43:27 2004 +0000

    Go over information that gets set, yet again. Disc things are no longer
    playlist-item information.

commit 36ec573e68e53f14cf1d24c62d7c8713dd91f845
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 12 17:39:09 2004 +0000

    * modules/mux/ogg.c: added support for dirac.

commit d3b189186e0ccd0ec08d4e60b1357dba2aa7af3d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 12 17:30:20 2004 +0000

    * modules/codec/dirac.c: dirac decoder/encoder module based on libdirac (http://www.bbc.co.uk/rd/projects/dirac/index.shtml).

commit 9e4cdfd52de71d4a982768b041189c4323df4622
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Sun Dec 12 16:57:22 2004 +0000

    * Item Info panel works again from playlist context menu

commit d9bb732614c94745e77852c0910feb5c329fb119
Author: Eric Petit <titer@videolan.org>
Date:   Sun Dec 12 15:16:48 2004 +0000

     access/directory.c: BeOS doesn't have scandir(), added a quick emulation

commit 9de73f427f4e5b904d724024c4319625ea261536
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 12 14:22:06 2004 +0000

    Fix warnings

commit de198bc744e1a6ef5318de4a17bc95ac123e6344
Author: Eric Petit <titer@videolan.org>
Date:   Sun Dec 12 04:15:51 2004 +0000

     opengl.c, voutgl.m: restored smooth resizing on OS X
                         re-enabled OS X GL provider (QT output still default)

commit a272d13abbd82702679dfcee134df3e826ff652a
Author: Eric Petit <titer@videolan.org>
Date:   Sun Dec 12 03:24:05 2004 +0000

     macosx/vout*: fixed escape key not exiting fullscreen and video-on-top
                   not working in GL mode

commit 2feaca935ad991eba56614fa18373d7f9d0ec553
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Dec 12 00:04:04 2004 +0000

    mpga.c: check/hack to make duration available after preparse

commit c2d4afc452c3f81b654661c53223b178f861ad12
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Sat Dec 11 23:14:19 2004 +0000

    Part of the context menu:
    * same options for node and items ATM
    * some options still don't work

commit 28a3a50426963b6c26badfc5e1aa743ef6b38cba
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Dec 11 22:49:35 2004 +0000

    added svn:ignore property

commit 0aed16b04d52014b9c2481554daea2a358a52ad9
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Dec 11 22:46:01 2004 +0000

    src/playlist/*:give id to nodes as well. triger item-delete variable on item
    deletion (not intf-change)
    modules/gui/wxwindows/*: clever item deletion using item-deleted

commit 48ad6e8d7529ff1c3b4ceb4416b1a0b547ea91ac
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Sat Dec 11 22:09:11 2004 +0000

    * get rid of useless code (group doesn't exist anymore)
    * delete everything related to groups from the item info panel
    * some preparation work to reimplement the conextual menu

commit 9a8838d725a1f9166ea1149e26bf3a9bbc4d59da
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Sat Dec 11 21:37:21 2004 +0000

    * Code simplification

commit e27abf4ed8808659af01649cdcaed4aa1f086e30
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sat Dec 11 19:48:28 2004 +0000

    * preferences_widget.cpp: fixed a compilation error

commit 7e9a53356255dad134a07b584754e910487a32a8
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Dec 11 19:45:49 2004 +0000

    wx-playlist: hide node-related items from popup, when rightclicking a non-node

commit 058e99206e9daa941defceecefc2b10bfb45997b
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Sat Dec 11 19:25:33 2004 +0000

    * implements deletion of playlist nodes
    * fixes a bug in playItem:

commit a14ec8b0f4990c886b5ae8125e1bfecf3af9271e
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Dec 11 19:13:24 2004 +0000

    directory.c: don't crash on error

commit 8072808ac92ffe981730aa28d1acc4dc9e8e54f4
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Dec 11 18:47:55 2004 +0000

    directory.c: sort items before adding to playlist

commit 2a5e51a1bce2cac5453fc4bd42f392120039ed52
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 11 18:00:03 2004 +0000

    Forgot to categorize some vouts

commit 17d55b1dc1753c9834456480f160c54ad7eaa956
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Dec 11 17:56:40 2004 +0000

    libvlc.h: moved --video-deco, shorter short string for --input-repeat

commit 3fdff4b8b1926c345a27052fe3d6d736f9d9c79b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 11 16:13:09 2004 +0000

    Disable native for the moment

commit b43e2f858643fa1e7a8d34e7f5e75f2f36244d47
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 11 15:38:25 2004 +0000

    Warn->Dbg

commit cb88f17589fc0a7655373aa15ecd6224de1d7667
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 11 14:46:27 2004 +0000

    Forgot this file

commit a90a19a6b0468ea9fedadc27cfc1118d70295263
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 11 14:45:46 2004 +0000

    Improvements to preferences
    
    * Each module can declare a "human-readable short name" with set_name
    * Modules are sorted by category (set_category, set_subcategory).
      Modules configs can be separated by set_section()
    * Separated audio-filter and audio-visual
    * Separated extraintf and control
    * New command and widget : add_module_list() for comma-separated modules
    * Vfilters now use "," as separator

commit b78f248291f70c974a260fc9073206785c6c3d81
Author: Eric Petit <titer@videolan.org>
Date:   Sat Dec 11 13:51:16 2004 +0000

     beos/VideoOutput.cpp: fixed a crash in window destruction

commit 5aa10948335a5e3312a25fc20655feda9608acda
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 11 10:18:08 2004 +0000

    * modules/codec/dv.c,xvid.c: got rid of rotten/deprecated code.

commit d0b16c401522960bc9ecd975551e9fefadec5056
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Dec 10 23:07:28 2004 +0000

    Fix win32 crash when playlist is empty

commit 1a206d33ccfb3431339812db563c2c884b5a0f5e
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Fri Dec 10 22:11:16 2004 +0000

    wxwindows/playlist.cpp: remove enable/disable clutter

commit f7560a078eec58c83a351835a99c58466a4a0f9d
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Dec 10 20:24:19 2004 +0000

    Memory leaks

commit 01aca2cc006e2c2ef00bc5ca723180e27ab15a76
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Dec 10 18:58:22 2004 +0000

    *experimental* input pre-parsing support.
    
    Won't work for many things (only those for which metadata can be gotten during initialization).
    
    Processing is done asynchronously, use playlist_PreparseEnqueue to add an item to the queue.

commit 3e46b41467dad3ad989188f92c83fcc207699b27
Author: Eric Petit <titer@videolan.org>
Date:   Fri Dec 10 17:53:32 2004 +0000

     NEWS: BeOS update

commit 1ed6290423160de3048333b83a6da6ead4ac6c00
Author: Eric Petit <titer@videolan.org>
Date:   Fri Dec 10 17:44:27 2004 +0000

     beos/Video*: try to fallback on single-buffered overlay when there's
                  not enough VRAM for double-buffered ovelay

commit f9d403e9fd964e19979bdb12ba9a5c45b7b22c55
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Dec 10 11:48:10 2004 +0000

    * src/misc/modules.c: only load the plugins once (as opposed to once per VLC object instance). Should benefit the mozilla plugin a bit.

commit c91e463ac3e9b7b7e71c824a39d7ca928cf61e1b
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Fri Dec 10 10:10:11 2004 +0000

    Get stream disc information to appear again.
    Remove private LSN table rom cdda_t - just use it from cdio.
    
    Remove lsn from cdda.

commit d05511c15c70a47200b9041a14ab6f7f50917025
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Fri Dec 10 02:14:10 2004 +0000

    Turn this error:
      playlist.cpp:1351: error: ISO C++ forbids cast to non-reference type
    into a warning by adding -fpermissive to CXX flags for wxwindows
    CXXFLAGS. Fix suggested by Marius Kjeldahl.
    
    However better would be to fix playlist.cpp

commit 0af739e87b4a5c31c6706987d7a3676062cdfa62
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 9 20:15:07 2004 +0000

    * updated Danish localisation by Jonas Larsen (E-bola)

commit f9e71c88185529d48d2aedf773484f1a9dbfc6c2
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Dec 9 17:43:36 2004 +0000

    input/input.c: trigger a update in playlist window when the duration changes

commit f8ad9847002a955b12a712a227b51db437c183bf
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Dec 9 17:01:26 2004 +0000

    wxwindows/playlist.cpp: also update icon on item change

commit 62d71fe1d2c90a77c699f1e6fdb199b969461ea6
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Dec 9 15:27:48 2004 +0000

    vlc-config.in.in: added a new "external" target that allow external projects
    to link with a make installed libvlc

commit 6c733713f98ca9c47ecf6cb4061eb5d00527d45c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 9 14:06:36 2004 +0000

    * modules/packetizer/mpeg4video.c: fixed memory leak (patch by Sau).

commit dd4d160548e11e4561684cd7e01d536cfe37a09e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 9 13:34:27 2004 +0000

    * modules/codec/dvbsub.c: extra sanity check for CLUT decoding (patch by timok).

commit cdbc709296e1e80e7598281197f6ca96309e5bb3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 9 10:03:22 2004 +0000

    * src/libvlc.h: --video-deco is enabled by default.
    * src/input/input.c: fixed small memory leak.

commit 9cef330d8f9a3a2a8ff9c348da3130b9589dd82f
Author: Eric Petit <titer@videolan.org>
Date:   Wed Dec 8 22:56:55 2004 +0000

     beos/InterfaceWindow.cpp: fixed a couple of missing vlc_object_release()s

commit 79fe764c07d621389c11ab3c57de74b1a5369681
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 8 22:41:56 2004 +0000

    Fix autoplayback with skins

commit 68a7c7253d5aaf4e54767c30745ee246e5183b37
Author: Eric Petit <titer@videolan.org>
Date:   Wed Dec 8 20:20:37 2004 +0000

     beos/InterfaceWindow.cpp: fixed a deadlock + pause button not responding

commit f5a7e27ab332c66c57aa0e62ef013fa5f4d4c275
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Wed Dec 8 19:04:38 2004 +0000

    Dummy commit, to trigger generation of the html version of this file

commit 24ca1e6df8805cbdc62e4e7e14d2c52f8ceca288
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Dec 8 16:46:52 2004 +0000

    libvlc.h: Remove --audio-type which was never used according to grep

commit b5896d48932560b62c6c4b81956f1012a84b0a52
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Dec 8 12:44:09 2004 +0000

    Forgot that the lsn internal structure is 0-origin.
    
    Better really would be to remove lsn altogether from cdda_data_t.

commit ca1b3a2cf1b114df224fab847ed52e5a1382852e
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Dec 8 11:37:12 2004 +0000

    TODO: removed ^M. Added some subtitle anormalites that needs to be fixed.

commit 9fbb4ad37dfddc9468c629115fa0bf35f0723fe3
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Dec 8 03:00:00 2004 +0000

    Set duration in playlist.
    Allow for CD-Text in custom format
    %t now defaults to MRL when we can't get CD-Text or CDDB info
    Default "title" format when CDDB not enabled now is %t rather than %m (MRL)

commit 6bc65afd85628e22569daa126ed66612fc70a15b
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Dec 8 02:07:32 2004 +0000

    Up requirements on libcdio, libcddb (and will also later add vcdimager).

commit 3b8f14f8d7fccfa3b49a0d6306a2580ecb0125c6
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Dec 8 02:06:58 2004 +0000

    Allow automake 1.9.2

commit 5c856bccc3e7f1d001cd91f29b9a1b6f516edbe4
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Dec 8 00:15:30 2004 +0000

    * src/video_output/vout_synchro.c: Added a --no-skip-frames option (for
      compatibility with MPEG-2 HD, the current frame skipping algorithm seems
      to be too aggressive).

commit f45e22e5ef397074b9a20eeed6663ba5f730fabb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 7 19:46:45 2004 +0000

    * configure.ac: update for newer speex + workaround a libxml2 problem on OSX.
    * modules/codec/speex.c: update for newer speex.

commit 2b2cba2a583e9e9c1b780b7341b0e80c3d3285b1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 7 14:27:06 2004 +0000

    * modules/mux/asf.c: fixed header object. mmsh/asf streaming now works with WMP6.4->WMP10.

commit f5009d6fe6925b746781a5739771baaf440f2e91
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Dec 7 14:18:47 2004 +0000

    Recommit 9469->9479 + fix wxT/wxU

commit d8e40e929d128b1cefad29ade3e755be4d64121c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 2 20:29:55 2004 +0000

    * fixed pkgconfig-url

commit c63d077d1a21bc5511e51a28586f45bea29f8724
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Thu Dec 2 20:19:15 2004 +0000

    * fixes item deletion when pressing backspace. Doesn't work for nodes yet

commit 50f6b0f62556eb5815ca74c04cee118801ede7af
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 2 19:51:41 2004 +0000

    * ALL: moved the about-window to a seperate nib-file

commit 6d79bfebc07b6e1b3773bf339521fe89a0b833bf
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Thu Dec 2 19:04:55 2004 +0000

    * Fix the status bar

commit e5ba909ea831f051692abc2b80a0cfa927d70d95
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 2 16:54:47 2004 +0000

    * mozilla/vlcshell.cpp: added a mute start option.

commit c25791879fa9c3bebf2184d1a701836e4b9a1dfd
Author: Andre Pang <andrep@videolan.org>
Date:   Thu Dec 2 16:07:24 2004 +0000

    Make Mozilla plugin scriptable (e.g. so that the Javascript 'onclick'
    attributes in chapter 7 of the VLC user guide actually work ;).

commit 94f55cc6e1e6475e4ee78bbda4c4151b7518d2c4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 2 12:56:46 2004 +0000

    * modules/video_output/directx: use a black overlay colorkey for 24 bits colour depth displays.

commit 935a2e8d90f88fc258ef7508ae45e46046a75119
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 2 11:14:43 2004 +0000

    * modules/video_output/directx: no window decoration patch by Marius Kjeldahl (marius at kjeldahl dot net) + modifications by me.

commit 703ed7fc74af99498eefc826e5f12951adf8b726
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 2 09:50:27 2004 +0000

    * modules/video_output/directx/*: fixed symbol conflicts when compiling both vout_directx and glwin32 as builtins.

commit dfef7d71511ee102b96edb678115e230a250e160
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Thu Dec 2 03:55:50 2004 +0000

    A little bit better if CDDB is not enabled or doesn't exist. Well, at
    least it it no longer core dumps.

commit ec5590ea0a127b9ff783097cc4d40216a15376d7
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Wed Dec 1 21:50:17 2004 +0000

    Fix the search field in OSX playlist

commit cdedc9a6250343085105f63da40bd011892bcddd
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Dec 1 16:45:55 2004 +0000

    * modules/access/dshow/dshow.cpp: show tuner properties for MEDIATYPE_Stream as well.

commit 610e45330c3183aeb01f4e2cfcf9ab8d8b8df00b
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Dec 1 15:43:03 2004 +0000

    sap.c: attemt to fix sap demux for unhandled streams

commit 743856ce55904574fed185c59101396ce926f8fc
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Dec 1 11:06:19 2004 +0000

    * modules/access/dshow/dshow.cpp: tuner config options (patch by hausheer + cleanup by me)

commit 428e94bfc5c64d38ba24a4bfc428763883bb72b4
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Dec 1 01:12:12 2004 +0000

    Some compilation fixes when HAVE_LIBCDDB is not defined.
    (There remain still some core dumps to fix.)

commit 2448f5e441a10d574c59f0cac9cbf82ea81931d0
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Tue Nov 30 04:14:19 2004 +0000

    Simplify and streamline CD-DA open error error logic. Remove a compilation
    warning, guard against dereferencing more unitialized pointers.

commit b2b37ee9d53d07461871005666fa7ea82e8e7223
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Tue Nov 30 00:04:45 2004 +0000

    * recrate some missing actions (mainly copy paste from the old playlist)
    * Link some actions and outlets in IB
    * some small visual fixes

commit 966d7c6ccf4f7eb39f44e4b27123e987b8314934
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Nov 29 17:34:48 2004 +0000

    * added aiff, mod and IT to the list of supported document types

commit d9aa5ddb7a8f7324e4281e3f35fbc108db605c9c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 29 15:38:01 2004 +0000

    * mozilla/vlcshell.cpp: nasty hack on win32 to avoid a deadlock on plugin destruction.

commit f8adde048a376412fe010845d16965dbd154fcda
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 29 15:36:51 2004 +0000

    * modules/video_output/directx/directx.c,glwin32.c: don't unload the plugin as we can't unregister our window classes. This fixes crashes with the mozilla plugin.

commit 14ec07cd2d74eac4cb658db97bf127ba77e141e1
Author: Eric Petit <titer@videolan.org>
Date:   Sun Nov 28 21:47:40 2004 +0000

     src/misc/net.c: BeOS fix

commit f992190eeb47ef55f345fcae0d66520c19b701d6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 28 21:20:18 2004 +0000

    * src/input/mem_stream.c: fixed a couple of bugs.
    * modules/demux/mp4/libmp4.c: use stream_MemoryDelete() instead of free() + some coding style changes.

commit e3204a6d7dab5f4e7e329cc3fe1c48caebab0ece
Author: Eric Petit <titer@videolan.org>
Date:   Sun Nov 28 20:11:38 2004 +0000

     packages.mak: upgraded freetype
     ffmpeg.patch.cvs: BeOS fix

commit 2d91e6df04d6e9afd0073736823a90a49c463656
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 28 14:37:57 2004 +0000

    * src/misc/vlm.c, modules/demux/playlist/m3u.c, modules/services_discovery/sap.c: portability fixes.

commit feaa552cb45f1d19de136d07099527ec0ea63bd8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 28 14:26:28 2004 +0000

    * modules/demux/mp4/libmp4.c: no channelcount for AMR audio (3gpp AMRSpecificBox).

commit 02aeea039a1b52883b1c4248bb29f5adf5e5e80e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 28 13:06:43 2004 +0000

    * modules/demux/mp4/mp4.c: avoid reading raw audio (or slightly compressed) a sample at a time + coding style changes.

commit 321d5550316b6ba4e69dbdce6a57ab7281df3713
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 28 11:23:50 2004 +0000

    *  modules/demux/mp4/mp4.c: couple of fixes for audio demuxing.

commit e02be51a12aa6ce15fa2f6a1c056351f69c4f495
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 28 10:45:44 2004 +0000

    * modules/codec/ffmpeg/ffmpeg.c: added AMR NB/WB fourccs.

commit c985e796996cffab0693ad5ba446abf561a6cfe7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 27 21:44:57 2004 +0000

    * modules/demux/mp4/*: bug fix for MP4_TrackNextSample() + added fourcc for amr-wb.

commit 9029e6b6693d850f0cc7f4c355dc4c3584dd3fe3
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 27 20:27:06 2004 +0000

    hopefully fix SAP crash
    some more size verifications

commit 12b32fc21892ee422c5f762dc87332d325370fc5
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Nov 27 16:17:10 2004 +0000

    playlist.cpp: wxT -> wxU

commit e264fefe4fd469c882b1ff5997f9283530a9d79b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 27 14:38:01 2004 +0000

    Minimalistic status bar

commit 731779200b7df2d7e3c0f3061c9c8caa35fe0c0c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 27 14:03:33 2004 +0000

    * fixed some other incorrect translations of 'Quit' -- thanks to the forum users 'jfsch01' and 'sushi'

commit 1ee2238d6c23155b760f24574faed988122e3646
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 27 11:45:53 2004 +0000

    * modules/access/udp.c: force proper demuxers in rtp mode.

commit e4ab29ef616641415eddf45d486150d1ce3c0720
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 27 11:32:22 2004 +0000

    * AUTHORS: added Frederic Ruget for the portaudio audio output.

commit a4666527ce9028f68ad733005ef9c4d6f476cc82
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Nov 27 11:28:13 2004 +0000

    mem_stream.c: minor cleanup + shut up compiler warnings

commit fd195152372e1098821fe05a8217e8d0bdbca04c
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 27 00:27:05 2004 +0000

    Fix images order

commit 1f693518481c2d3e5def2dbd3763178e0e07dd61
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Fri Nov 26 23:55:34 2004 +0000

    all: got rid of MP4_Stream

commit efc525bf535a76f00793461ffc4f7bb7f8331e72
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Fri Nov 26 23:52:42 2004 +0000

    all: new stream_t reading from a buffer.

commit bac8d8e5cf32783ef7e63ddd268ec124f9bb6d60
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Nov 26 21:50:51 2004 +0000

    Fix crash

commit 08c07754298c8f6fb54c5a4163e998d65bbd06b3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 26 13:44:18 2004 +0000

    * modules/misc/xml/xtag.c: fixed a few bugs.

commit 6d51bbdccb9b0ff857ddb9684479cd9fee393fb7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 26 10:04:08 2004 +0000

    * ALL: New XML module type.
    * include/vlc_xml.h, src/misc/xml.c: core wrapper for XML modules.
    * modules/misc/xml/xtag.c: trivial XML parser module.
    * modules/misc/xml/libxml.c: XML parser module using libxml2.
    * modules/gui/skins2/parser/*: removed dependancy on libxml2 and use an XML module.

commit f90d9508af6b4917a0b39d3e6c5c629767edad4f
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Thu Nov 25 20:25:57 2004 +0000

     * src/input/input.c: notify the interfaces when the name of an item changes
      (useful for shoutcast)
     * modules/gui/wxwindows/timer.cpp: update the item name on the main window

commit 6f7bdfc42c24ad3408cfb4a21d12e1ff022a014d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 25 16:52:21 2004 +0000

    * fixed some strings of the Edit-menu as well (complies to the OSX standard l10n now)

commit 1491dbafedbb24ea52e59bbf41a5181dcb5f78bc
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 25 16:20:02 2004 +0000

    * fixed incorrect translation of 'Quit' in the OSX-port

commit b2b21b95b58b1975e7ad2de0e600e8fdb03296aa
Author: Cyril Deguet <asmax@videolan.org>
Date:   Wed Nov 24 20:23:23 2004 +0000

    - all: the text variable "$N" is now the media name, not just a truncated URI
    - vlcproc.cpp: update $N and $F variables on an item/playlist change
    _ async_queue.cpp: fixed a deadlock between the VLC playlist and the command
      queue

commit c18c56d34cb37568aaf1d00913e06f2c1d19ceac
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 24 15:29:00 2004 +0000

    * modules/access/dshow/dshow.cpp: fixed stupid bug in ReadCompressed() that was dropping part of the received data (Fixes the PVR issue).

commit f65556548c18d6a748948c67f184fea5ac1b0aa4
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Nov 24 12:32:03 2004 +0000

    Release the access in case of failure

commit 5adfe5b919b91cd875b51f1ab7fa033d335fea03
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Nov 24 12:14:23 2004 +0000

    Fix segfault in RTSP mode

commit 520b91efeeb62c00e3846eecf67ebeb041a42b15
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Nov 24 12:05:44 2004 +0000

    Small update

commit edcbf581c2c6c37eb3934f4963f45c2dd8809e8d
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Nov 24 06:52:05 2004 +0000

    Fix input-slave parser

commit 5b2069fd70f528f86aad4520deff1132d3f31a00
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Nov 23 21:48:23 2004 +0000

    * Use filenames as playlistnames for relative m3u playlistentries instead of the full paths.

commit e55fc1b4d4132203faeb885811fcbd68086bbb8a
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Nov 23 16:46:04 2004 +0000

     * add core option --vlm-conf
       specifies a vlm configuration file to load when vlm is launched

commit 86306d01cffef4c2518dc68cb5840b80ebf991f7
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Nov 23 16:25:34 2004 +0000

     * documented commenting possibility

commit 2b35331a3c9272b13eb4af714487ae5a3ad24c5e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 23 13:30:50 2004 +0000

    * modules/gui/wxwindows/playlist.cpp: fixed uninitialized memory access.

commit c2779ed4ad24937256e64e4d7045f86ea4aaeb1d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 23 10:20:39 2004 +0000

    * src/misc/win32_specific.c: unicode portability fixes.

commit 9268e987e0e3bbc44cb8e7886d98af8156ab689f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 23 10:19:43 2004 +0000

    * include/vlc_common.h: added the _T() macro for win32 unicode.

commit c224b9ac79ea60435e0582f1dc871acbba5cf7dc
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Tue Nov 23 04:16:02 2004 +0000

    Honor "prefer-cdtext" option.
    
    Put all of the tracks in stream and media info - would like to make
    this a chile under the disc category, but I don't see a mechanism for
    that (yet).
    
    To do - there still is a core dump that remains from before when CDDB
    is disabled.

commit a7edf837b496e1fc5df14b624cc983d20d148dc1
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Tue Nov 23 02:44:30 2004 +0000

    If using cddax (as opposed to cdda), then set the MRL accordingly.

commit b5b87ea1f541feb828a9d0dd9de37f8fdf75bde6
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Nov 22 19:50:57 2004 +0000

    Remove debug message

commit 6833c8e553298c051029fa0eff3a56c348dc94fe
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 22 17:27:17 2004 +0000

    * modules/video_output/directx/*: mostly unicode ready + WinCE compilation fixes.

commit 091be37c79b611a9d19e1d6561c68267495e77de
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 22 17:04:49 2004 +0000

    * modules/video_output/directx/events.c: fix to disable the screensaver in embedded mode when in fullscreen.

commit 6a13a256532f49f26be693d42d5cb4ed4502c6ee
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Nov 22 10:33:29 2004 +0000

    Restore search

commit 315f9cd4ce80636011fb55c510a0633ddcb9201f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 22 09:57:50 2004 +0000

    all: implemented INPUT_ADD_SLAVE.

commit 8abeccdfe628d295c204ba18a00a0b0e86e4aed2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 22 09:56:48 2004 +0000

    stream.c: fixed a bug when seeking again near the end of the file.

commit bb2cb752f42084fff55bdbf3422126247a418224
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 22 09:52:06 2004 +0000

    input: added INPUT_ADD_SLAVE to allow adding a slave input on the fly. (Don't use without a real reason).

commit 945deeb200b73b6c9bf71a1b3937eb493c0ccd65
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Nov 22 09:50:45 2004 +0000

    Don't rebuild the tree on node sort

commit 678c0546b093328424f9df140af9a21996b71583
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Nov 22 09:37:58 2004 +0000

    Recursive sort

commit 7f7a8e2b039a5b5883aa5515684540e068665d1b
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Nov 22 04:53:48 2004 +0000

    Change a printf into a debuggable print message.

commit c850b95ba6757631d47ff6662a19596301f08bd4
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 21 23:01:23 2004 +0000

    Handle the case when parent is root

commit 4d26894418bd8ba411aa9ca8180ed1a86b2b9a54
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 21 22:41:02 2004 +0000

    Forgot this

commit 2b819bc143a141ae1d544860c023a730c41ec863
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 21 22:40:48 2004 +0000

    Use item-append when an item is appended to a node -> don't rebuild the whole tree

commit 79de55fda055206bd21a764cd7ca656339469ac5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 21 19:00:29 2004 +0000

    * src/misc/httpd.c: bug fix to re-use the httpd host (patch by Sau)

commit b82f3377efb6528569608c09921a3dcb2ced383d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 21 18:55:33 2004 +0000

    * src/misc/vlm.c: partial revert of commit 9353. Do not use strncmp() when it isn't needed. It just makes the code less readable and more prone to bugs.

commit 139f7409aa361406b2a4333fcbab516c39abcecd
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 21 18:20:28 2004 +0000

    * modules/demux/m3u.c: ported to new playlist API.

commit e0d08374cf0261657843261e1b295fa3704051e5
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 21 17:45:09 2004 +0000

    Sort a node (alphabetically, all sub-nodes come first)

commit 0b62ce6ddea078551980803454777fed033c2ba4
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 20 19:04:57 2004 +0000

    Small TODO update and sorting

commit 8e2183d6ec143416a5642942d4ecc4f9f06037ea
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 20 16:12:36 2004 +0000

    SAP IPv6 and additionnal addresses support

commit beba58303567139b43eaef5f60a2207a9e3945b0
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 20 13:59:39 2004 +0000

    * do not set request on startup, we don't want autoplay
    * fix bug in SDP parser

commit c99306221c77743651f956a87c9399c1e3bfd545
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 20 12:57:55 2004 +0000

    Make p_playlist->i_index follow correctly the current item

commit 8aeaa278652de1e089cee2d780c78fe375570884
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 20 12:50:55 2004 +0000

    Add MP4 playlist items as children

commit f3c51639c5117c458b3e6885c403a4825e4cdd0b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 20 11:20:30 2004 +0000

    Fix crash in bookmarks

commit 49bfcb1a88012c8a95b965b69f7b449449ad7f38
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Nov 19 15:56:49 2004 +0000

    Fix

commit d0cc3145e8ae6f6fc3760d86e0b1d550dc02e08b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Nov 19 15:55:01 2004 +0000

    sap: don't crash on invalid o= field
    wx: really commit last commit

commit 3a9b48da22e8ff3bdaa9d86b92fe6b968deb62ac
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Nov 19 15:07:55 2004 +0000

    CDDAX:
        - coding style fixes
        - adapted to new playlist API
        - only put generic things in Meta-information
    
    wxWidgets:
        - Fixed playlist updating
    
    core:
        - added playlist_ItemGetByInput
        - implemented input_item_t.b_fixed name : if this is set, the interface should not try to "improve" the display string.

commit 180ca722f10e485c634f607de9c5a5c6f6e1e77a
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Fri Nov 19 14:57:35 2004 +0000

     * some style fixes (now displays menu under IE)

commit f22c553d1a9ae33ab3660ac024ede3df52a52b9d
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Nov 18 23:35:29 2004 +0000

    Oups, fixed stupid crash in PLS

commit 3aaabb65860022dc47ef26911ac3e991ae14a550
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 18 02:18:34 2004 +0000

    * You can doubleclick an item to play it now.
    * implemented delete, but for some reason the key events don't arrive

commit 7c612360c7b02e0bc8f98e501180f59ac8d71e38
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Nov 18 00:07:28 2004 +0000

    Compile fix for C++ files

commit 4db1802cf69e67756798b50c54b4030d11de11ee
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Nov 17 23:22:43 2004 +0000

    Input options inheritance for playlists

commit 5f57cf5aa73df85845f7a53a3d775de50e72fcdb
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Nov 17 22:37:28 2004 +0000

    sap.c: don't free the inputs internal buffers! shame on you!

commit 7d3ddd33e3524e3570e041c00815e88848e1fb45
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Nov 17 22:11:26 2004 +0000

    Remove SAP node on quit

commit 3bb2997f39d91602008c62e56e33863ef9f77d0d
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Nov 17 21:38:23 2004 +0000

    * Add return values to all functions
    * Fix locking issues in services discovery
    * Add playlist_Replace function
    * Beginning of playlist_TreeMove
    * Fix some warnings
    * Doxygen update

commit 66845c94545dad0fce5d1c5380b2e15fd6b118d2
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 17 20:03:00 2004 +0000

    * Fix display of playlist on OSX. Looks briljant :)

commit 3a674c5725d97b087f1a9fce1bf17e1010e3aacf
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Nov 17 18:38:52 2004 +0000

    Beginning of un updated developer documentation and beginning of playlist documentation

commit 22ba8f447d1b854fdd75a31ad9bf73921040eb82
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 17 17:13:31 2004 +0000

    * Todo list for OSX playlist. please use it :)

commit bf4553f1fc28bb9972b7e4af13bdb4813acd672b
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 17 16:51:40 2004 +0000

    * Start of new playlist for OSX.
      - basic data retrieval implemented
      - data display not yet implemented
      - many broken outlets and even more broken actions
      - won't compile
      - if you work on this (and please do) please communicate this fact to the IRC channel and make regurlar commits to prevent that multiple people work on this (and especially the NIB).

commit 25b011915138d5785e4b4c9921e2553aa92990ca
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 17 16:48:41 2004 +0000

    * Fix some crashes because of new playlist core

commit 9001c648ba5f4dd8ac78780cfa20269ddc95f1b2
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Tue Nov 16 23:11:56 2004 +0000

    access/http.c: skip debug message when useless

commit 649df079c142fba37080f5f2e4356b258ad25aba
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Nov 16 17:29:04 2004 +0000

    Strip parent path in directory access

commit 15cb035e871a832ed3f3378a065a58a31e5f9d74
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Nov 16 12:27:02 2004 +0000

    strcmp -> strncmp
    Coding style fixes (much more left)

commit 8be514bb7274ba59164bbfbf01e111865f0537c1
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 16 12:18:53 2004 +0000

    input.c: fixed segfault with access_demux.

commit 06127932b5a0d7ca0b5e4b7ec16b34e8c668200a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Nov 16 12:02:42 2004 +0000

    * sgimb.c: set the kasenna option correctly
      fix the playlist autodelete

commit b06d6287b680e5818d5f6346c58ce61a16941207
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 16 10:01:22 2004 +0000

    libasf.c: clean up + maybe a bug fix.

commit eb75ac5f69997fa7f5b8337cbb883b32c37e12dc
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Nov 16 01:14:23 2004 +0000

     * consider tabs as white spaces when parsing vlm command line
     * all lines where first non white space char is a # is a comment

commit baf42c666bd22f0c8d626ff9d3b9c0ac0bdffeb2
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Mon Nov 15 23:46:07 2004 +0000

    don't forget to add options to  *ppsz_sout_options[] (so that ca, crt, etc.. are also available using http{ca=...,crt=...} in the sout chain...

commit d589ca22a0082bfd7144406a8d0cbfc61fbce66f
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Mon Nov 15 21:07:08 2004 +0000

    net.c: include some more headers on non-windows platforms

commit de6ad25b53058515fbe544065c71028ab281abd9
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Nov 15 19:44:19 2004 +0000

    * sgimb.c: backport of r9300 to trunk

commit 9aadab26cb6bbe599de089a3145bcad46b8cb418
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Nov 15 19:35:30 2004 +0000

    * Fix gcrypt building on 10.2

commit a4101b9bcfca33770b48ecb549d044bc0ff7c1a0
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 15 17:11:33 2004 +0000

     * format: added a lot of conversion (nearly all case between
    s8,16,f32,u8,16,f32 and little endian).

commit 6278f6d68f1cdb0fdb90a5e396d45c2f1bc7ead9
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 15 17:09:57 2004 +0000

     * asf: added support for "extended stream properties". I HATE BROKEN DESIGNED FORMAT.

commit 16e9cb8186adddeca4b42033ec6625db044d107b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 15 17:08:57 2004 +0000

     * asf: first part to support more header extention (seems to be used in MBR).

commit 086deb31e939b07d7a7b72f85852ae2baf9ac82e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 15 17:07:56 2004 +0000

     * http: added shoutcast meta data support.

commit 57fe689b4f9fc8688c42914c9c59731a621fb751
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 15 17:07:06 2004 +0000

     * input: access meta data support.
     * net: support for SOCKS proxy support (for all TCP connections).

commit 2ca48ef0f508e28b8895d79757559af31cd78cc3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 15 17:05:52 2004 +0000

     * input: added a meta field to input.
     * network: export ipv4 name resolution.

commit 9bb94e24152ea0c3013531141e29d02f5f78cded
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Nov 15 15:33:36 2004 +0000

    Update playlist TODO

commit 7c52736eb39efc9c469c3e049d73c79cf9275d30
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Nov 15 15:29:47 2004 +0000

    Fix wxWidgets crash

commit 1bef5113440009a46b0b92c73ee074d1dd105899
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 15 15:28:13 2004 +0000

    * 0.8.2-svn, not 0.8.2

commit ec08fe5ccd29b311b29c277727efc728ad3f1651
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 15 10:06:39 2004 +0000

    * po/*: updated from the 0.8.1 branch.

commit e915596df5988ab3768437a8a94ec1ae9f1fa1ef
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 15 09:41:05 2004 +0000

    * ALL: bumped version number to 0.8.2-svn.

commit 42b391ea71ffb36472d22c66a9ad257de919ed71
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 14 22:29:51 2004 +0000

    Fix ITEMPLAY in no-view mode

commit 6395c47b521e658f52ded6e7be65e5b0cbc2a176
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 14 19:41:09 2004 +0000

    * modules/codec/dmo/dmo.c: work around for buggy dmo implementations.

commit 542b992f7ebc5aa980946506fffca018d85d7349
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 14 19:02:36 2004 +0000

    Re-enable logging

commit 1baebee2c30de21b6cbfe649bbd3d2e364ee9da8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 14 18:01:38 2004 +0000

    * Makefile.am: fixed make dist.

commit 4c1faa32b2784b5484167cc8c129bb24ff98844c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 14 17:59:33 2004 +0000

    * modules/codec/quicktime.c: fixed small mem leak.

commit 51a3196bd562e8bab25e910524928902e506d461
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 14 17:29:39 2004 +0000

     * modules/gui/skins2: ignore WM_PAINT events on the vout window
       This gives better results when moving the window, but resizing is still
       flickering

commit 6227d1346e069c789579a419fd4c3e38be954bdd
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 14 17:25:58 2004 +0000

    * src/audio_output/input.c: made the resampling just a bit quicker (trying to reach a good compromise).

commit e7396f14b729804fb5409a96c8f212d3ee80f08f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 14 14:04:47 2004 +0000

    configure.ac: added Danish to the list of possible localisations
    po/da.po: partial Danish l10n by Jonas Larsen (E-bola)

commit 77133bfce21583fe9fdbb55b6b6f15dbf4bccc4f
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 14 13:49:46 2004 +0000

    Todo update

commit 5353fdc37714a3beacb02537475a6ca70045abb0
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 14 13:25:18 2004 +0000

    * access_directory : only play if we are the current playlist item. Handle the case where we are not
    * libvlc : add -S as shortcut for services-discovery

commit 12f48a5b240271496e074f36723ab8f0c95d0ace
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 13 23:06:53 2004 +0000

    Add directory in wxWidgets
    Update TODO

commit 5b9031517deb62352860202048b30f37055ede69
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 13 22:11:51 2004 +0000

    Decrease verbosity
    Fix warnings

commit 8862876684f8ba888eb6b5ec1ab1666f1d3f1125
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Sat Nov 13 14:11:51 2004 +0000

    Valid HTML is good. This page stil doesn't work with IE

commit 6b1019a04ee4188ed422e8b2a5efd779f5c954a6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 13 13:06:41 2004 +0000

    * modules/codec/ffmpeg/ffmpeg.c: use proper format conversion (when available) for UYVY.

commit e37dac1414ead57572b8235392e607b55ef34a28
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 13 12:39:17 2004 +0000

    Merge po update to trunk

commit 38b5e7cd2d56cd54dd595e574a88d8a834c09320
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 13 12:19:06 2004 +0000

    Merge string fixes

commit 4ef4f8dd590e3a7a5a538c40330a28d66689e5fc
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Nov 13 01:42:54 2004 +0000

    * USe newer livedotcom

commit 9f8d8a7fd6a531c6b74cf49f19c51fa5d3d283a8
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Nov 13 01:40:52 2004 +0000

    * merging kasenna changes from 0.8.1 branch to the trunk
      r9296:9299 changes

commit c523828da4920403b9101408069aae17403ef0fa
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Nov 12 18:59:39 2004 +0000

    * sgimb.c: merging 9295:9296 to trunk

commit 4842d4ca513956dbc2ade8238a995717e0681815
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 12 15:41:22 2004 +0000

    * src/playlist/*: a couple of compilation fixes.

commit a0ffcd868718ca8a354da272e6ec0934c960a718
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Nov 12 14:29:01 2004 +0000

    Make sure the wxWindows development headers and libraries are present when skins2 module is enabled. Without wxWindows the skins2 interface is not very usable.

commit 84d44cbdc41b4695784bcdd68bbc855fc79f075c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 12 10:38:27 2004 +0000

    * toolbox, src/vlc.c: use src/vlc.c in the WinCE project files.

commit 698feb97ec53ab36b0cb83c2c793f5d103a5fcf4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 12 08:27:05 2004 +0000

    * src/vlc.c: ported to WinCE.

commit ddf6a2738844b3eddc53a7e7ea06cfa679049f66
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 12 08:10:19 2004 +0000

    * src/extras/libc.c: vlc_parse_cmdline() common facility.

commit bec61e65c30ba5173f6100510c160002885ed700
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 12 08:04:35 2004 +0000

    * modules/audio_output/portaudio.c: channel reordering patch by Frederic Ruget + slightly simplified by me.

commit e0c5d9fa1f0c831f6096986174049fe5ef85b19c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 11 18:49:08 2004 +0000

    * src/misc/httpd.c: --disable-httpd compilation fix.

commit 7e90ec6075f6a412da6a8ff4ae1c0dc0150301ac
Author: Mark Moriarty <markfm@videolan.org>
Date:   Thu Nov 11 02:57:43 2004 +0000

    Changed logo and marq control variables to attach to ->p_libvlc, to be persistent.

commit c7e557a169103a1a0019e5816bf2c978f8135d6b
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Nov 10 23:41:53 2004 +0000

    sap.c:
     * support incorrect announces that does not include parameters we don't
       parse anyway, change the corresponding msesage from Warn to Dbg.
     * convert UDP to udp, to get the right icon in the playlist
     * fixed a potential crash given away by gcc's warnings

commit 48d234df3026acb36ca0de40b0731206f9a44453
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Nov 10 23:34:43 2004 +0000

    pls.c: start the playlist after loading it.

commit d8306009260fd6cd0f8056cd90854210ddda3629
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Nov 10 23:30:26 2004 +0000

    pls.c: ported to new api, at least tried to.

commit 85c1c62ee58218926d73e2c4830731a18d3378e0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 10 15:10:30 2004 +0000

    * src/video_output/video_widgets.c: cleanup.

commit 0313ad5acf28b1cd9025e7a2bb9f1dfa1f7aae8c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 10 14:49:09 2004 +0000

    * removed l10n for every string, but the help, 'initialised' and 'command not found' - strings

commit 664784f3cd67905634c45d823de28788e6476556
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Nov 10 12:15:36 2004 +0000

    Fix crash when a session is deleted

commit 92b7ae98b8795ba167eb4c8d9e1b3718e6fc27cb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 10 10:59:16 2004 +0000

    * modules/video_output/directx: in embedded mode, we now use the current monitor when switching to fullscreen.

commit e73ef76c2017b1876c4ab799ba54fbc6b405059f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 10 10:56:28 2004 +0000

    avi: stupid bug fix for ODML file.

commit cc727b4faaf159c58b40ccb2c0d1fe59dd7d309f
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Nov 10 09:24:50 2004 +0000

    Fix SAP address

commit d287080e71aed65be378ebfd3f03dace9636a3ff
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Nov 10 09:19:02 2004 +0000

    If proto is RTP/AVP, use rtp

commit ab674acf114a94f442696b1b08783c3ebacf76e4
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Nov 10 09:15:19 2004 +0000

    * SAP: use session identifiers to decide if we need to add items
    * Fix playlist release bug
    * Add sdp and rtp as network type items

commit 3eba09d00845de6f2038a8b5e4ebaca6c8e35589
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Nov 9 17:06:41 2004 +0000

    Fix a bunch of memory leaks

commit 11704ececb2d5f63431cf8325c504bbf1c3edd32
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 9 15:16:33 2004 +0000

    * modules/video_filter/logo.c: whole bunch of fixes.

commit ed673a8c17b88dbc76f6bcd96573db68fa53f3c3
Author: Mark Moriarty <markfm@videolan.org>
Date:   Tue Nov 9 14:05:58 2004 +0000

    OTF transparency and file name.  Needs work.

commit 5b29dde6fc5142d213273a5bf135c3633af0765b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 9 11:20:05 2004 +0000

    * modules/video_output/directx: last attempt at fixing the spurious taskbar item after switching to fullscreen (it actually also simplifies the code a bit as well).

commit 668d0c8993e396e99719c6c3a1f246f6fe9e9e39
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Nov 9 00:12:09 2004 +0000

    add missing option

commit 382926a8c14406854dae7eb79de693ffe1284ed0
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Nov 8 23:47:32 2004 +0000

    include services discovery in interface

commit e56a6361d0a683a25522ece9b54dcad1c740ec56
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Nov 8 23:42:08 2004 +0000

     * put scale setting under bitrate

commit 9a89727415147bf6533c4bad52f27679b0f0f97d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 8 21:06:22 2004 +0000

    * modules/audio_output/portaudio.c: implemented a PORTAUDIO_IS_SERIOUSLY_BROKEN mode (win32 asio only).

commit 79b265ae1afd5d8f94d9c1798cb1f48bb41dcd03
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Nov 8 18:59:34 2004 +0000

    Oups

commit 8b61d4ef6120a68ea9e4dd3865d6a35d11965e2c
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Nov 8 18:19:51 2004 +0000

    Initial Services discovery support

commit cd24fec630b18f82fb5dea0e8e0f60bf300c21a1
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Nov 8 14:27:06 2004 +0000

      * modules/video_output/x11/x11.c:
        + Gave X11 a higher priority than SDL, so that the all-in-one interface
          still works when the XVideo port is taken. If XVideo is not available,
          SDL isn't of much use though.

commit 11aaa50ff15c954163b1d03a314dad116f0b1984
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 8 14:03:36 2004 +0000

    * src/video_output/vout_subpictures.c: oops, don't forget to test for p_region.

commit 290fc84f3766dd2b1aab26fdc0b925c7e842072d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 8 13:58:18 2004 +0000

    * modules/stream_out/transcode.c: proper subpicture scaling using sample aspect ratio information.

commit 5cf4eb4402cf905879d7f882726b7cd283147981
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 8 13:46:07 2004 +0000

    * modules/video_filter/logo.c: set sample aspect ratio.

commit 7a70363d7a41b8a8e68dfd3a785d1c36c36413f2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 8 13:45:02 2004 +0000

    * src/video_output/vout_subpictures.c: proper subpicture scaling using sample aspect ratio information.

commit 6e9e7e36588da1b824fcf4671eabdd057b62735f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 8 13:41:16 2004 +0000

    * include/vlc_es.h: added i_sar_num/den (sample aspect ratio) fields to video_format_t (will hopefully deprecate the i_aspect field one day).

commit 07bc4b3d015f82140d617953d861898f4e559511
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 8 12:21:07 2004 +0000

    * modules/access/dshow/dshow.cpp: setup crossbars for MEDIATYPE_Stream as well.

commit 4ae5becb228538565c3ad13119a1912e849e69dd
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Nov 8 00:46:11 2004 +0000

    Use play to end as default, and add "play this branch" to popup

commit bcec187b092fa727e7053479a6f59e9733c6b1da
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 7 23:52:19 2004 +0000

     * added SAP group announcing support in the sout dialog

commit b851c88ae973986c0ff3e2b651434b2ad619a7df
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 7 23:41:28 2004 +0000

    Fix item delete in skins

commit a9c283619ae061ad65c1aa7d53de7068d19c74a6
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Nov 7 23:05:04 2004 +0000

    * Add gnutls libs to OSX build

commit ea72e55ee5272c90be007fd1289072d491dc0ea3
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Nov 7 22:43:44 2004 +0000

    hal.c: start of a libhal based service discovry module. Detects dvd and
    audio cd right now. todo: add more devices, use callbacks for device
    insertions/removal

commit 0fccf763b60db1e184d356b10da9126e98f8437c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 7 20:17:46 2004 +0000

    * modules/codec/ffmpeg/demux.c: bunch of bug fixes (don't trigger on bin/dat files, etc...).

commit 5fb3e3a3f2a16d3b16338036119c48eea61f6f82
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 7 20:14:54 2004 +0000

    * modules/control/rc.c: ported MRL parsing (changeset 9232) from 0.8.1 branch.

commit b418c25a7101c10d20695ea624fb0d37f84c2494
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Nov 7 20:06:59 2004 +0000

    * Use possibly better optimized QT YUY2 decoder??? (It seems faster)

commit efec617960f84cb29ea4764acfc18473740a0d66
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Nov 7 20:01:54 2004 +0000

    * Updated coreaudio resampler. will play small lpcm samples, but still crashes sometimes.
      problem is writing to freed memory???
      possibly related to dropped buffers?

commit 17ae484b5ceae5ad1416500b6104517bac6a595c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 7 17:22:19 2004 +0000

    Remove bogus debug messages

commit dc60b611e213903d1ec789cbc0a3176c66546e32
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 7 17:20:45 2004 +0000

    Bring socket in non-blocking mode before TLS handshake

commit 6186fac9d6f0c7f29922cd36173d61d26b93d00c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 7 17:20:19 2004 +0000

    Fix handshaking on non-blocking sockets

commit 551ad1148180d99f97bffb97967bb21be08ab7d3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 7 14:52:30 2004 +0000

    Fix and simplify client-side API
    (failed to release allocated data in some error cases)

commit d68b6075a266d30cf34bd36545622694d02d2be8
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Nov 7 14:41:08 2004 +0000

    Renamed overloaded standard C-library function printf with msg_rc()/msg_rtci().

commit 3bb6d18992300140c1973e23a5a7c8bd353920c4
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 7 14:40:47 2004 +0000

    Fix compilation warning

commit 27d8349ff8f574da897a2e538d504abbbe1dc123
Author: Mark Moriarty <markfm@videolan.org>
Date:   Sun Nov 7 14:01:08 2004 +0000

    On-the-fly control of logo positiion

commit 67c571cf59437fd3a25a2e68192bc5d71ef53c69
Author: Mark Moriarty <markfm@videolan.org>
Date:   Sun Nov 7 11:49:43 2004 +0000

    Change marquee callback variables to use INPUT instead of PLAYLIST

commit c6d7c7f5dcb7f4648b44f64849707fa9b0ba7e5c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 7 11:28:56 2004 +0000

    Implement net_* virtualization with TLS module

commit 5f2fabb3cd86131c0237943c5fcac1acf8bee1ea
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 7 11:17:37 2004 +0000

    Allow multiple inclusions of "network.h"

commit 233f37b670e61c3af2bc57905e0229813205ffb1
Author: Mark Moriarty <markfm@videolan.org>
Date:   Sun Nov 7 11:12:16 2004 +0000

    include wx/imaglist.h (gibalou scores again)

commit 436b59c583a0e3315b2a94246cbdff3a607ff097
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 7 11:02:59 2004 +0000

    net_* API update for encryption (recv / send virtualization)

commit 211bbb87383da23f8b3226e4306cfa4f10cf17ee
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 7 10:43:52 2004 +0000

    * Fixed autodelete
    * Autodelete items played by the SDP demuxer
    * Added playlist_CopyParents facility, for modules that use ItemToNode

commit 001dfc8b9c29038e7631d616988415ef5459a896
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Nov 7 01:26:09 2004 +0000

    * disable Title retrieval, was crashing

commit 2d561683050324c15430aa0b152c5f0e1a60e2fd
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Nov 7 00:28:16 2004 +0000

    * fixing the OSX playlist (at least it compiles again)

commit fbe079e27ebba10541e282df1def41150b890404
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Nov 6 23:33:24 2004 +0000

    * Some todo updates

commit 2ad82af206a27b738b32862ae96833d2efe85ac2
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 6 20:03:41 2004 +0000

    Client-side anonymous TLS/SSL support

commit 6ebf9149785b781fd334609e85b55efcad4a3f26
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 6 19:43:26 2004 +0000

    Remove unused variable

commit 9828595e3d09ac0feac5b8c7a02687e8ac684146
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 6 19:17:32 2004 +0000

    Disable old m3u demuxer

commit 7e908634fd1ddcc60c5cdb8190903470528ad19f
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 6 19:11:25 2004 +0000

    fix a bunch of memory leaks

commit 3bf76033cd3145302cd3ade4e8ea61ed5478880f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 6 18:40:52 2004 +0000

    Fixes malloc's parameter

commit ee0b401078392bbeba264e46b236b825a2093f22
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Sat Nov 6 18:25:01 2004 +0000

    * src/video_output/vout_subpictures.c: added a b_fade parameter for enabling fading when rendering subpictures

commit 2ec885919ccccc76bd7075800135f3c0bfd101a1
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Sat Nov 6 17:27:54 2004 +0000

    * src/video_output/video_widgets.c: now uses blend() for OSD widgets.

commit 5aa8d01f4893a235c45968c54ab122941abcb8ec
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 6 16:26:40 2004 +0000

    HTTP/SSL stream output

commit ed4973755c4df225a7390edf03f7b980fda313f7
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 6 16:02:20 2004 +0000

    Better strings

commit 53eb2518b249492ff32e09e3ee4b38648d25b305
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Nov 6 15:51:55 2004 +0000

    TODO: Added some ideas for serice discovery

commit e05cc444b50130882db734445223a58bad2947a9
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 6 14:40:56 2004 +0000

    Oups, forgot this file

commit ca3674c491a31136bd50c8620c74139a782cff93
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 6 14:40:41 2004 +0000

    - Better settings description,
    - Easier TLS module wrapper.

commit c0bb38602badddcfd752e6be74e600e414a74305
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Sat Nov 6 14:04:29 2004 +0000

    * Added group announcing support

commit 24549bc30e1bf7f75a2ff7adb44ddfadf2859b69
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 6 13:59:24 2004 +0000

    added myself

commit 0b1ee3268b5dc728f1065184eaf9edea92d4fc33
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 6 13:43:36 2004 +0000

    fix images, don't rescale them

commit f726e01d7ea65fef1b34012ce64e0ba6778fcb43
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 6 13:10:06 2004 +0000

    Use vlc main object for gcrypt thread-safety callbacks

commit 4d9b20e32beed6e27197df9dc999d906a4ae6af0
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 6 12:51:39 2004 +0000

    Honor don't skip flag for items too

commit 5c8ad6bb8c141624d68c68e5c0a4e38e683d0ee5
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 6 12:44:12 2004 +0000

    --dh-bits option to change the Diffie Hellman prime number's bits size

commit d36e5c7321adb6e620757673cf0a7af1fdead83b
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Sat Nov 6 12:25:09 2004 +0000

    * modules/video_filter/blend.c: added an i_alpha parameter for blending

commit d1fa3faed4a0f38bea41a25779a5e6c16a905dc4
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 6 12:13:30 2004 +0000

    One more thing to do :)

commit 7d2aea5b1c5284ff1676523bda0f21ac2aeffd57
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 6 12:11:03 2004 +0000

    gnutls version check

commit 6967fdf460bb2e9a151db27b871859917bd66bab
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 6 12:05:32 2004 +0000

    gcrypt thread-safety

commit 0e72bf9dd0157dac3b7a22fdb1fb3e8c5688d281
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 6 11:46:24 2004 +0000

    * modules/gui/wxwindows/playlist.cpp: unicode build fixes.

commit d090e475ad6e0a5f40b3befe1853dac1ed77d617
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 6 11:23:38 2004 +0000

    compilation fix for xOSD

commit d875188873bae166d948edf976d5b960a1dd2c3f
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 6 11:22:46 2004 +0000

    Fixes
    Build the correct files
    Updated TODO

commit 38184c2e4bf4a0368e3b95a2822733c1d9e54b4a
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 6 11:21:14 2004 +0000

    Fixes + use new API for directory demuxer

commit 4a253e8cab2b09e6cb0a71e67c3ad540024c9f16
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 6 11:20:06 2004 +0000

    Use new API for M3U demuxer

commit 6992f554a95efc8dcc2176a91f9da3d1ed0cb54b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 6 11:19:35 2004 +0000

    beginning of a testsuite for the playlist

commit 25239c06d925e3f81acee51e8e7bf44c82ce4a7d
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 6 11:19:08 2004 +0000

    fix for new playlist API

commit 19afed7beca2839e6225c9f1e6d0ef16f5a9c961
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 6 11:18:43 2004 +0000

    Implement new playlist system in wxWidgets interface

commit fa55e4cfe9636546cf4cb911f9242a61d188dc5f
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 6 11:18:10 2004 +0000

    rewrite of the SAP parser

commit f9d5e2baf5e771718cd9a342b127efdd8404ebca
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 6 11:17:46 2004 +0000

    Improvements to the playlist core

commit 07ec180815b53382fe8f62bc327926b17b7a160f
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 6 11:15:50 2004 +0000

    Missing help string

commit 08de9b7f6d69e9c1bf8a7dc710897de67cfc39a7
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 6 11:14:00 2004 +0000

    add a comment to explain what it does

commit 6726fdf07a15447540733e4e837a41385b8d16bc
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 6 11:13:23 2004 +0000

    added net_Select

commit 453217f40d4e5bf5b5d62b8a48321d476e4db493
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 6 10:50:22 2004 +0000

    No longer used

commit 039deae008e5a3994b987da9f43d408a847956eb
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 6 10:49:57 2004 +0000

    Checks for gnutls

commit c5d256a11e4d89b223d92f079278306a1004ede3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 6 10:49:21 2004 +0000

    Fix to use TLS module dynamically

commit e42125302774770e33e227748712264eead2459e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 6 10:48:53 2004 +0000

    gnutls TLS module

commit 6a2fba95e5da4bb8643216e5e8306173127dd887
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 6 10:48:15 2004 +0000

    common tls types

commit 059d5694d960716ee17c5d3ef494081f526aceb3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 6 10:47:27 2004 +0000

    No longer build src/misc/tls.c

commit b98e9a5af31ae4ce809d26537638beef42174435
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 6 10:47:04 2004 +0000

    Support for creating TLS objects

commit 79eaff3cdc6b4cad5402de2e91acbd0dcea49953
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 6 10:45:07 2004 +0000

    TLS modules interface

commit eb44afac8a6a0ca1c1540ed1c4981063814e4a12
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 6 10:43:35 2004 +0000

    New TLS object type

commit 6276fe3bf0b40bd065458a88b730f28ac78be545
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Fri Nov 5 20:11:21 2004 +0000

    Added the items specific to VLC 0.8.0

commit 0eefa8d609592b660b174b67c6bd2ae3b1bcb57c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Nov 5 15:18:12 2004 +0000

    * unknow -> unknown

commit 0f6af8a1035875545ac82d347b3b0d65b6d7dfd3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 5 14:59:11 2004 +0000

    * NEWS: update to current changes in 0.8.1-svn.

commit ab36dbec74c90cda8b207352bba3d1d10c0adbaf
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 5 14:57:53 2004 +0000

    * modules/codec/ffmpeg/*: fix interlaced encoding (top field first + repeat field.)

commit 95b4fba029f78a552acb80f5d92a7e3b835d1c95
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Nov 5 14:40:07 2004 +0000

    * recognize subtitles streams in avi. Now to decode them. if anyone has ANY info on how this works :)

commit b6d1094659f47f38fcd854369f80db298e14f06f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Nov 5 14:16:09 2004 +0000

    * Trackname support for avi

commit 9394b1be8074f55a4a54f7000e6d267d79d566a6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 5 12:56:35 2004 +0000

    * modules/audio_output/waveout.c,directx.c: fixed audio channel ordering.

commit 5344ba812d2ce772e94e387267b5d10de3d5b11a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Nov 5 12:42:32 2004 +0000

    * comment correction

commit ab20f6b2ec521568291c6612e567894a3c4bdaaf
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 5 11:51:47 2004 +0000

    * modules/codec/ffmpeg/encoder.c: hmm better be safe than sorry.

commit a7e63895d2a42fb99c7d8b3690dcd307419d38fa
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 5 11:50:32 2004 +0000

    * modules/codec/ffmpeg/encoder.c: stupid rounding error in aspect ratio calculation.

commit 0bec3687ba9c3a9bdd04bb70b82ddcd306a124b5
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 4 23:08:52 2004 +0000

    Use --http-intf-* for certificates stuff instead of --http-*
    (might conflict with HTTP streaming output at a later stage)

commit 7d5ba1539cb4f750df1ac8bcc8badb4417d566f2
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 4 23:00:37 2004 +0000

    * We are now at 0.8.1-svn

commit a958268241a6b5b980fe8a7311632865ab0bc520
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 4 22:57:56 2004 +0000

    HTTP interface SSL options

commit 319c08cea97ebede95e0e84652097d17edce2695
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 4 22:57:16 2004 +0000

    Export HTTP/SSL support otherwise it's not much use

commit ee53c93f51705a25c8f9cb768d2f96f25656d78e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 4 22:55:54 2004 +0000

    HTTPd core optional SSL support

commit b2025254f303e153c48459fccc3f965941884e0f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 4 22:54:17 2004 +0000

    Include TLS/SSL API

commit 33173810a32fe5e562d1674387110008c3507e7d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 4 22:51:20 2004 +0000

    Check for libgnutls

commit dc437b8d2222d93316e71cb5e7d6a6c085eba27a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 4 22:32:40 2004 +0000

    * Added more annotations boxes
    * if we find the track name, then store in the fmt.

commit 0dd2458b1fd4b3476ee62d5bf5d66d1a1c4064a0
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 4 22:01:48 2004 +0000

    Initial partial SSL/TLS support (to be continued)

commit c0f25b5a70ad2fea076170ed7ac4dc740016ca1c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 4 21:37:28 2004 +0000

    Compile warning fixed

commit e07551ace8011274849f3c3c13e863c11f1f00ef
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 4 21:05:57 2004 +0000

    * src/input/es_out.c:
      - renamed es_out_id_t->psz_description to psz_language to better reflect it's use.
      - Reflect both track name and language (if we know them) in the menu's.

commit 48efd63758371b9e95757d2c4aaf38277784b601
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 4 20:58:51 2004 +0000

    * Fix the psz_description of telx and vbi streams

commit 42135f8db33d4de48e339fa413b5aa7bd74b3c4b
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 4 16:52:27 2004 +0000

    * Updated Spanish translation (UTF-8 conversion fixing)

commit e896f254f521bff61aa064ecb3effcf71f5c10c2
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 4 16:41:56 2004 +0000

    * Spelling correction

commit 274ecfcc676ff04aa6c056146dd548e7ac674851
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 4 16:40:39 2004 +0000

    * Update environment instructions for 10.3 (which uses bash instead of tcsh)

commit be89dddf4308d4142a9ea6e357d7a024eded755c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 4 16:39:40 2004 +0000

    * Spelling correction

commit 6e3ce83256394b6bfda20b4914408f56cba46365
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Nov 4 13:37:17 2004 +0000

    Save equalizer values so that they don't get overriden on filter enable
    Set default preamp to 12.0 dB

commit 29217b27fd979ab97f13d9df7f55f39cc0ef8811
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Nov 4 13:02:38 2004 +0000

    Wrong options descriptions in TS muxer

commit cdfa0c728e2055906b9ec903ec30c0a77b4c7b00
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Nov 4 12:58:22 2004 +0000

    Remember adjust settings when there is a vout so that settings are applied as soon as filter is re-enabled

commit 63eba9ef2c2fc912fd7f97696d8c780b41d9c642
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 3 18:32:30 2004 +0000

    * modules/mux/mpeg/pes.c: for mpgv, don't store dts if pts == dts.

commit 08b960e8a57877815f51062c668eb82683b7b9b7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 3 11:56:16 2004 +0000

    * modules/access/dshow/dshow.cpp: fixed initialization bug.

commit 5e909857a3ee4b6018eb5c36a90486c396182386
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 3 10:25:04 2004 +0000

    * modules/access/dshow/dshow.cpp: really fix DV/PVR support this time (hopefully ;).

commit cab0e6fb84bda126591b2fdee916f195316c0d45
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 3 00:07:38 2004 +0000

    * modules/audio_filter/normvol.c: oops.

commit a705ab3377947746311b418c57f23276b5094324
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Nov 3 00:05:22 2004 +0000

      * include/vlc_interface.h src/libvlc.h: typography.

commit 947c85d687d75153b86dbcc22e44e5435cd1e437
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 2 23:59:02 2004 +0000

    * ChangeLog, po: YAUF 0.8.0 (yet another update for 0.8.0).

commit ee901d54efecf4f5db37fc270a416ccf0944471f
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 2 23:51:21 2004 +0000

      * modules/access/cdda/cdda.c: Spelling fix.

commit 928fb8a5b9157851667570ff4ca203520a140484
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 2 23:43:41 2004 +0000

    * configure.ac: added normvol to the list of plugins.

commit 523388f99235a9ef0b340dff5adbb662cae6bb6f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 2 23:42:08 2004 +0000

    * modules/audio_filter/normvol.c: compilation fix (C99ism).

commit ad80abaf087cbafcd46d1eb4f789113c5455373a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Nov 2 23:41:36 2004 +0000

    * Disable cddb, libcdio and vcdimager building on OSX, since basically they aren't used yet on OS X. (guarding for unused 3rd party libraries)

commit b16b5c415da1517757ede85d1f7f860a283ddc89
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 2 23:40:20 2004 +0000

    * src/misc/variables.c: fixed bug (config_GetPsz() can return NULL).

commit b97eacb6a1b060e7453c9d7fda743dd7c83a57ba
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 2 22:29:07 2004 +0000

      * src/misc/modules:
        + Only consider psz_program when looking for an interface plugin.

commit 9898f60387bdfc6492a97cdc4d55d78f1d0bcb9e
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Nov 2 21:35:54 2004 +0000

    * kasenna patch for OS X. cheating while i can :)
      patch is for the 2004.10.28a version of vlc

commit 435084b2a3e3b8d4a26a3a1313638b15ee14814c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Nov 2 20:59:41 2004 +0000

    * newer liveMedia version for OSX.

commit 6de833a425913c7f4fc6d0ef1b77dbd13f10526e
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Nov 2 20:52:45 2004 +0000

    * fixed a problem with sub-fps overriding
      If subtitle format  doesn't have their own reference, they should define 25fps as the the standard reference, BUT NOT GLOBALLY. Cause then ALL subtitle formats will use this correction factor of 25fps.

commit 7216315d85b2395b7adfbe5fda75f9f83564266e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 2 19:25:31 2004 +0000

    * ChangeLog: updated for the 0.8.0 release.

commit 8e3a716a7369c98b4a5c53f9aa8adfaa6a16f6ef
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 2 19:23:40 2004 +0000

    * modules/gui/wxwindows/interface.cpp: slightly bigger interface on win32.

commit bb309602fb6d77be0650a4bcfc4c80270352d780
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 2 15:23:18 2004 +0000

    * httpd: Do not close the connection on timeout for rtsp.
    (Make quicktime happy)

commit cdcdb7dc2bf4841f740b62aa1d4939424c9a8b40
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 2 14:11:19 2004 +0000

      * po/fr.po:
        + Minor spelling fixes.
        + Correct UTF8 apostrophes.

commit 795563ce9c2ee7870b0b807d3667183b7714a5b8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 2 13:47:19 2004 +0000

    * po/*: update in preparation for 0.8.0.

commit 802efc583ed31ae442af805d09147aa4b9862223
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 2 13:38:04 2004 +0000

    * modules/control/rc.c: reverted last commit and only print an additional '\r' in net mode.

commit be8b473e57ae74b7d935111d5ece485421b452eb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 2 12:52:49 2004 +0000

    * src/misc/win32_specific.c: mozilla plugin fix.

commit 3217bc5ba8112a5b195a1416cfa5ccb6c84e117c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Nov 2 12:50:17 2004 +0000

    * detect rtsptext reference files as used by QuickTime and Real

commit e92a3924f3ae44b7564e2233012166f79197ecc4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 2 09:19:19 2004 +0000

    * modules/audio_output/portaudio.c: make stereo the default.

commit f4fd6b3386301816b55ddffb9cd0b952cf97d88f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Nov 1 22:41:54 2004 +0000

    * changed the used-charset-property to UTF-8

commit 6e8608f2f6cb08ed526b75f73643bc628b94df30
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 1 16:37:32 2004 +0000

    * modules/access/dshow/filter.cpp: fixed uninitialized variable.

commit 795e043c5a1fd6bd8f8c9e6bfdcd86df7b160bde
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 1 16:21:29 2004 +0000

    * modules/codec/dmo/dmo.c: fixed a couple of memleaks.

commit 519f20ec4e4d32be89e190c78b220a64a9f31d93
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 1 15:35:11 2004 +0000

    * src/video_output/video_output.c: portability fix.

commit b33c3f1c61d91402b96dbcf44a4e9a9e36ffabdd
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Nov 1 13:43:43 2004 +0000

    * Shame shame shame shame shame, Shame on me

commit 6f9bcb4e9d89d6ffdd2c0bc53ee393bb4a774eba
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Nov 1 13:42:05 2004 +0000

    * Set a higher RTSP caching if we use Kasenna VoD

commit 81eb72f41e0a1530ad80233f6db400b656fa6964
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 1 13:10:14 2004 +0000

    * modules/access/dshow/dshow.cpp: don't add a prefered media type when dealing with pins which handle MEDIATYPE_Stream (for some reason the WinTV PVR doesn't really like this).

commit 366acbbc9e4707f597efc4e4b2bf57ddb51aa777
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 1 12:58:39 2004 +0000

    * modules/access/dshow/filter.cpp: fixed crash.

commit b6e03065856219421b1f661f679a1c4738d1ab77
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Nov 1 11:06:13 2004 +0000

    Possibility to set volume using %

commit f0269f7aa83c855340124a8c411e7f6f61cbecda
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Nov 1 10:35:39 2004 +0000

    Fixed the volume control

commit 3f3e50cbacb9d17716109f74b3a6721516692f42
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 31 17:24:18 2004 +0000

    Update version information in iPAQ build files.wq

commit be4386c15cf2c14d3c4935b34e6162523a7b0f2f
Author: Mark Moriarty <markfm@videolan.org>
Date:   Sun Oct 31 16:50:14 2004 +0000

    Initialize i_smooth

commit 1e646b7e2ef6d120a452eb4a57857e0cfed406c0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 31 16:44:01 2004 +0000

    * ALL: update in preparation for 0.8.0.

commit 70f942b109226ed4ca338279e178b4a38e5c037c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 31 16:21:28 2004 +0000

    * src/libvlc.h: --intf isn't an advanced option.
    * TODO: updated.

commit cb8d0ff8d7667b0f12f3effb274788ef0c2119e6
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 31 15:51:24 2004 +0000

    Logical fix: add packetizer in PackitizerOpen()

commit ded94d785b5a8b836ebc1e5a31051769313de9d2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 31 13:19:28 2004 +0000

    * modules/gui/wxwindows/preferences_widgets.cpp/h: work around a wxSpinCtrl recursion bug in wxGTK.

commit 2da750dff111f8ced298d6b5cb33e5ebf47b214f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 30 15:32:56 2004 +0000

    * modules/control/netsync.c: less verbose.

commit 78e8995e0786cb62aedea42d38a2d8219231d96e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 30 15:27:28 2004 +0000

    * modules/codec/ffmpeg/encoder.c: compilation fix for ffmpeg 0.4.8 (not sure it's worth but...).

commit 1091212d9edc84cce7a86916dbef5cf1f1df5abb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 30 15:05:52 2004 +0000

    * modules/stream_out/transcode.c: trying to make the audio/fps resync work even when an ES is not transcoded.

commit 2521d9680d867f9061ff2ae78278e937814d0d4b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 30 14:12:35 2004 +0000

    *  modules/stream_out/transcode.c: fixed subtitles encoding when used with audio-sync.

commit 635d823daca160cc93de10ceb9e6489fc7bc82f3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 30 10:36:07 2004 +0000

    * src/misc/vlm.c: reformat help message.
    * modules/control/telnet.c: "\n" -> "\r\n" + cleanup.

commit b0e659846ec1bc538c8ee4c56c7f738fe39fdfee
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 29 16:13:10 2004 +0000

    * live365.com servers behave quite like icecast servers. they are now supported and piggyback on the same 'hack'. Also print the [ice|icy|x-audiocast]-* meta headers. send by ICY and icecast servers.

commit 1e4a68f265a18c7086d3e7e90a2efcd7ba9689de
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 29 15:11:07 2004 +0000

    * Fix icecast detection (only works if the server truly is icecast).

commit cbb4bd7cb672bd48cf8d440ec64d6157c711670f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 29 12:59:14 2004 +0000

    * recognize the following descriptors in a DVB stream (no decoders yet)
      - 0x56 Systems B EBU Teletext
      - 0x45 VBI Data
      - 0x46 VBI Teletext

commit bf12bbf66e7ed8a0762fd1e3227199b4e4255153
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 29 10:59:19 2004 +0000

    * src/input/es_out.c, include/vlc_es_out.h: added an ES_OUT_GET_TS method to get a converted timestamp.
    * modules/control/netsync.c: fixed the netsync module.

commit acd4ad061b52800fce9e6f05ddadccf2066ebb7d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 29 09:19:38 2004 +0000

    * modules/mux/mp4.c: added a 3gp mode which writes a 3gp ftyp header.

commit 7ba99302dfb9bb582560988b3fc56632ca8a5834
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 28 17:46:18 2004 +0000

    * modules/audio_output/portaudio.c: ported to portaudio v19 by Frederic Ruget +  mostly rewritten by me.

commit d52373668559f6c7d0c6bec0f37cddaf356dad1b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 28 13:52:36 2004 +0000

    * modules/access/dvb/linux_dvb.c: compilation fix for new versions.

commit 1ed643c9a98c5dde7fab99e98398c7e6718566a6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 28 13:42:48 2004 +0000

    * modules/codec/dmo: couple of fixes.

commit 4302a97d17b4caf8946a643bca98096092019f4c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 28 11:16:06 2004 +0000

    * modules/access/dshow: some more debug messages.

commit 3c9ff4299de470544a64285bae8d3f524e7a349a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 28 10:29:49 2004 +0000

    * src/misc/modules.c: remove debug message.

commit 1eba7a33aebc318d3a90337a5b09208d2fff3f10
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 28 10:26:00 2004 +0000

    * src/misc/modules.c: include current language in cache file.

commit 62f7a588292d4ea7a9a40a3ad4724f40e4954be9
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 28 10:17:22 2004 +0000

    * subtitle.c: make sure int -> date conversion is don properly everywhere.

commit 14aee4fd66c78532c378abcdcf910baf85ccd548
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 28 09:23:37 2004 +0000

    * src/misc/modules.c: fixed forcing of modules.

commit 28f202e89fb7c6211b88aa25ac66e64496e7a8bb
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Wed Oct 27 21:47:44 2004 +0000

    Add rtsp to the list of protocols available in the http/ftp/mms option of the open network dialog. This breaks translation of this string but, BTW, why is it translatable ?

commit f324c82bb4fc624d99cff09088c1ebb037534e8d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Oct 27 15:22:01 2004 +0000

     * modules/access/dvb: Fixed a bug with CAMs which take a long time to
       initialize.

commit ea92845937166d277eea8dfaf4555cfea48c7a55
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 27 14:59:24 2004 +0000

    * modules/mux/mpeg: for video ES, always put the pts and dts in the pes header when they are both available (makes vlc a lot happier when demuxing the stream, especially for other video codecs than mpeg2).

commit 27309e8041c476522afc33297df904bbbf222f6b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 27 14:14:47 2004 +0000

    * modules/codec/ffmpeg/encoder.c: work around stupid timestamping behaviour in libavcodec.

commit c98333433a49b72b6a9037fc31bf3d2e3aa51a25
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Oct 27 13:32:21 2004 +0000

      * src/misc/modules:
        + Support for CACHEDIR.TAG (see http://www.brynosaurus.com/cachedir/).

commit 130e15bea1c95a7f34fc375e2dbbd4ba9542a23e
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Oct 27 13:20:42 2004 +0000

      * src/misc/modules.c:
        + Store plugin cache in a cache/ subdirectory.
        + Encode the endianness and pointer size in the plugin cache filename to
          prevent crashes on multiarch home directories.

commit d71b1d96e81227c3413a8e81329b939139f2657c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 27 10:42:48 2004 +0000

    * modules/demux/asf/asf.c: commented out the 'found compressed payload' message.

commit 2d4831cc3b0d42c5aa29eb1b3bb5181e86d02aef
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 27 01:05:37 2004 +0000

    * livedotcom.cpp: - added support for the RTSP BYE packet. Patch by
      Ross Finlayson (21 august 2004)
      - fixed support for (Darwin) Pause. Patch from Hussain ( conundrums at gmail dot com )

commit 6f5733990a9af6898bb593952bbf431155da7fb5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 26 13:03:03 2004 +0000

    * modules/demux/mpeg/mpga.c: oops, uninitialized variable.

commit 4df560dabc491e4405aef60093753f02949a7e25
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 26 13:00:04 2004 +0000

    * modules/demux/mpeg/mpga.c: rewritten using the mpeg audio packetizer.
      - fixes problems the old demux had with some mp3s.
      - should handle free-bitrate as well.

commit 135f0ac76b65e463a359e07ebccad953978b6856
Author: Mark Moriarty <markfm@videolan.org>
Date:   Mon Oct 25 11:23:11 2004 +0000

    Comment out truncated packets debug message.

commit 93c03b80760c810591302b04d7da9826bb9d3d34
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 25 10:59:17 2004 +0000

    * modules/access/http.c: reverted the change to flag shoutcast streams as non-pace controllable (doesn't work really well).

commit c9bcebfb8f75cf314e33db9fae0a227c9377806d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 25 08:19:29 2004 +0000

    * src/libvlc.h: do not make --high-priority an advanced option.

commit 7423a5b0a48b78c964ee01ea1755c94aaf6d8b19
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 24 21:07:58 2004 +0000

    * src/libvlc.c, src/misc/threads.c: couple of fixes for thread priorities.

commit cd0c5ececcfabcff2495d8118c97f3a20d39011d
Author: Carlo Calabrò <murray@videolan.org>
Date:   Sun Oct 24 17:09:14 2004 +0000

    UTF8 version of it.po

commit eb9cf6a8515a7b643e00dc36f917f7c4c79d0013
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Oct 24 16:37:13 2004 +0000

    Cosmetics

commit 9b4453a68600033f6ac81dd1add049563ddb82d3
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Oct 24 16:19:44 2004 +0000

    freetype.c: fixed crash on unbreakable strings

commit d89fa64a66ee8ff124fe43345c6093477d7c87b1
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Oct 24 16:03:11 2004 +0000

    freetype.c: Auto-wrap subtitles (still needs some work to handle margins)

commit dc69e660b9e53dd7921c77b375aeaa77373f86a5
Author: Mark Moriarty <markfm@videolan.org>
Date:   Sun Oct 24 15:56:37 2004 +0000

    Truncated packet debug message -- state reported vs. actual length, not the delta.

commit bd8f524eaf84889486afdcaa84c41a1753865b38
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 24 15:26:23 2004 +0000

    * modules/codec/ffmpeg/encoder.c: sanity check for frames in the past that libavcodec really doesn't like.

commit dad755598c409245857b709b1640a878b5c3521c
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Oct 24 13:13:58 2004 +0000

    freetype.c: fixed two size/position related bugs.

commit 67d4cb69c51a5a9539417a060c26649a10cce7c3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 23 19:47:24 2004 +0000

    * configure.ac: fixed detection of libavformat.

commit 377228d65052323c06b3de401734387af376f60b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 23 18:22:42 2004 +0000

    * configure.ac: mkv compilation fix by Philippe Van Hecke (philippe dot vanhecke at belnet dot be).

commit f4761ed13fb36c823537598494bc8c58ba543dce
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Oct 23 16:54:56 2004 +0000

    * final update to the Spanish translation by Antonio Javier Varela Calvo

commit 3f98fbe7ff2a251d8ba11db8b7126834597e0a3b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Oct 23 16:08:57 2004 +0000

    Update muxers and codecs in wizard

commit 7851e1d60f213f4677f4651b178a8c978bdce629
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 23 11:47:22 2004 +0000

    * modules/misc/freetype.c: off by one error.

commit 73e1f33afed56fd5097f878517cbe892408de654
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 22 18:34:38 2004 +0000

    * include/vlc_block.h: compilation fix (define BLOCK_FLAG_NO_KEYFRAME).

commit 017e74c3a0feb1539e3770bde251df7498e1a076
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Oct 22 15:16:45 2004 +0000

     * modules/mux/mpeg/pes.c: Extended prototype to allow for padding bytes
       and data_alignment in the PES header (needed for teletext).
     * modules/mux/mpeg/ts.c: Teletext (0x56 descriptor) streaming support,
       new options spu-pid and tsid, re-enabled bmax because it is useful for
       debugging the encoder, fixed in a bug in the parsing of the CSA key

commit 6db69bfe89062497b1503d012ace495ec986a8f6
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 22 13:53:53 2004 +0000

    * Fix reference modules to add after their own playlist position instead of the end of the playlist

commit d6c80f229dea57b4b9c4f7e8c9cde5dea8d10c82
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Oct 22 13:53:18 2004 +0000

     * modules/access/dvb: Partial EN 50 221 implementation. This activates
       native support for CAM modules (without using an external program).
       When used in conjunction with --programs, it also allows to descramble
       several services with one professional CAM.

commit b2147ab9e1fdbd010e72e2e0f6fe76165b297992
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Oct 22 13:49:14 2004 +0000

     * src/input: Added a --programs configuration option, allowing to select
       several coma-separated programs.

commit 289b82b0146d3d4e7a80edff5461672004fa515e
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Oct 22 13:44:24 2004 +0000

    * modules/stream_out/transrate/frame.c: Added Antoine Missout's (the
      original author) email address.

commit 67c7d4fe76892819e8dc808ebe058d480099cf5b
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Oct 22 13:42:17 2004 +0000

    * src/misc/threads.c: Fixed a bug in handling of priorities : with POSIX
      threads a newly created thread inherits the priority of its parent.
      Set the priority even if it is 0.

commit bef75ae8f094f21a72e78cfb48631587f06d38a4
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Oct 22 13:37:21 2004 +0000

     * src/misc/variables.c: Implemented inheritance for variables of type list.

commit 44bdd6e9e155bf9c9301e2ac827eff21530f5df9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 22 13:33:31 2004 +0000

    * modules/gui/wxwindows/open.cpp: small cosmetic change.

commit 5ce188871c014495b288096a6023e92bcd5b8423
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 22 13:31:17 2004 +0000

    * modules/access/dshow/dshow.cpp: moved tuner properties to its own function + new dshow-tuner config option.

commit 9586a6834c52bdd40961a7ad6d7ef483643a0881
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 22 12:07:08 2004 +0000

    * modules/gui/wxwindows/streamout.cpp: removed avi muxer + added wav muxer and a few more codecs.

commit f813caa89dea420c69f42e60ebd332dde5ad3b24
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 22 11:22:04 2004 +0000

    * modules/codec/ffmpeg/video.c: libavcodec still doesn't handle avc1 properly so work around this until the issue is solved.

commit b43aa847f2a7c4fcc0e4ef2f1525d2fab026d54f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 22 11:11:27 2004 +0000

    * modules/packetizer/h264.c: oops, forgot to remove a bit of debug code.

commit 313acca349e0f4bbf2007a87b8eb06d251eb986b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 22 10:08:17 2004 +0000

    * modules/codec/ffmpeg/postprocessing: removed deprecated postprocessing code.

commit b15eda882159ca0a538f7c7833bb543e48a2134a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 21 14:55:00 2004 +0000

    * es.po: almost complete update to the Spanish l10n by Antonio Javier Varela, converted to UTF-8
    * de.po: small fix

commit 990f8218f442a756ae8d2521bfcdb250b6c9c5e6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 21 14:33:27 2004 +0000

    * modules/control/ntservice.c: fix for --ntservice-extraintf.

commit edc99d3af75188a1160cfa94b465ed8955fa0799
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 21 13:20:54 2004 +0000

    * modules/codec/dvbsub.c: fixed a sanity check.

commit 26d3a269af4114bf78df4d5f11706f8c03c4b75a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 21 12:48:10 2004 +0000

    * modules/control/ntservice.c: added an --ntservice-options config option to allow specifying config options to be used when starting the service.

commit 1c5705e4b4357ed1b6a9bd2d37d10940b495d345
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 21 10:23:08 2004 +0000

    * src/libvlc.c: win32 fixes for the help output when used with a cygwin shell.

commit 57470f44ca9decc4d01bfcd97f8fca05ce5a8744
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 21 09:09:20 2004 +0000

    * modules/audio_output/directx.c: use common channel re-ordering code.

commit 85965903f72ffb6a7f137f0ad9982273104e9c53
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 20 17:44:36 2004 +0000

    * modules/packetizer/h264.c:
       - use 3 bytes start codes.
       - fixed SPS parsing with cropping.
       - fixed detection of the first VCL NAL unit of a picture.

commit fe87c923973c9d8f5d704efaad5afa24306fa043
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 20 14:59:49 2004 +0000

    * modules/access/dshow/dshow.cpp: codying style changes + a couple of fixes.

commit 23e2a1d4781aff50ae4d8df0fdfac9c3799b1c1f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 20 13:04:05 2004 +0000

    * src/input/demux.c: make sure the demux chaining layer doesn't stay stuck when stopping.

commit dd153084fa81d69ec94332d91b64f82590e96c8a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 20 12:01:09 2004 +0000

    * src/misc/vlm.c: added support for the 'mux' option for VOD.
       This option tells the vod server to send an encapsulated stream.
    * modules/misc/rtsp.c: support for mp2t (MPEG TS) and mp2p (MPEG PS) mux types.
    * doc/vlm.txt: update for the mux option.

commit 5e129a682f778561eaa7eb5c9d04e082ea7b797c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 20 11:37:08 2004 +0000

    * modules/control/telnet.c: a few fixes + coding style changes.

commit 3d83c3d94b5f0f7def35aaa1bdd3222300c5bb13
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 19 22:28:26 2004 +0000

    * src/input/demux.c: rewrote the demuxer chaining layer using a block fifo.

commit e5e8ecb28220e116344f40ae8864b8ba25f10aaa
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 19 12:05:58 2004 +0000

    * modules/gui/wxwindows/streamout.cpp: fixed selection of codec.

commit 7eaa3759fc3e99707cdddbe99b8c991c8c03b208
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 19 10:07:38 2004 +0000

    * modules/demux/ts.c: on PMT change, don't restart an ES if it hasn't changed.

commit 619c56ec28ba881965467aa4351fc5adc4d5b2d6
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Oct 18 23:06:24 2004 +0000

    * Detect if kasenna VoD or unicast stream is MPEG4 or not. Set Kasenna flag for live if it is not MPEG-4

commit 8118dd079a545749cc566dc283786837401c0c88
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Oct 18 23:05:30 2004 +0000

    * increase priority real demuxer, lower priority m3u demuxer. It was parsing ram files as playlists because it contained URLs.

commit deae78104a9b0432f3cc3221729654280b54dff4
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Oct 18 22:47:48 2004 +0000

    * Show value of boolean variable options when printing the list for an input.

commit 3edd27b7cf545ca1f7adc17e60201231863b3cd5
Author: Cyril Deguet <asmax@videolan.org>
Date:   Mon Oct 18 21:16:58 2004 +0000

    - skin.dtd: a Playlist may not have a Slider

commit ea933db785177b7605b7594109fec8ceb7d06736
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Oct 18 19:45:21 2004 +0000

    * another round of dutch translations. only stupid wizard is left.

commit 3c5efb42c886ba3350b8920279ee635c56d342ae
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 18 13:57:03 2004 +0000

    * src/audio_output/input.c, mixer.c: don't try to resample when the audio output is drifting too much.

commit 8628d18b3610b2e94b90b5e345a530223d5fc682
Author: Mark Moriarty <markfm@videolan.org>
Date:   Mon Oct 18 13:49:34 2004 +0000

    Windows compatibility -- Change printf from \n to \r\n

commit 9b52a805d106bf9fa8dc9de4d628cecf84c51410
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 18 13:19:56 2004 +0000

    * src/audio_output/mixer.c: fixed segfault.

commit dbc6f2fb9cc46c5755a3961d1c8a28f961f1d079
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 18 06:36:35 2004 +0000

    * modules/control/rc.c: proper fix for the high CPU useage with --rc-quiet.

commit 182669a733bcafb831e733d8ddefb0e6a611a23e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 18 06:00:41 2004 +0000

    * include/vlc_common.h: if strtof() is not available, try to replace it with strtod().

commit d1c124b7fa8fcf55a8c7db87fc2f4c570847d135
Author: Mark Moriarty <markfm@videolan.org>
Date:   Sun Oct 17 23:32:46 2004 +0000

    WIN32 rc-quiet fix, only do net_Accept once per second to avoid loading down CPU

commit c788b9a5040a415fbb127251d1dbe3602e4f350e
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 17 13:48:57 2004 +0000

    * Update of README and install files with new information.

commit 5bdef1c76ad3d3e6ef9601265362dc49bc05ee0c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 17 13:38:22 2004 +0000

    * vobsub.c: implemented vobsub seeking support.

commit a95e32965feec730866b90d0ab544d05a69b1d50
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 16 13:14:50 2004 +0000

    * livedotcom: added a --rtsp-kasenna option to tell liveMedia to speak Kasenna RTSP dialect for a certain rtsp:// link.

commit f0c9f566c3a2c7fefdac564ac5f5e9cb422521e1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 16 09:19:28 2004 +0000

    * configure.ac: autodetect ffmpeg build options when using --with-ffmpeg-tree + make sure we use the libs in the given tree.

commit 7c73ae5f45a93a22541aeb2b96397f1fae77c66e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 15 21:41:34 2004 +0000

    * modules/codec/ffmpeg/demux.c: compilation fix for ffmpeg cvs.

commit 31e925698997f6492c359ef1df6f977d05def805
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 15 18:08:53 2004 +0000

    * modules/codec/dvbsub.c: improvements to the encoder. Should produce compliant streams now.

commit 41433abd8d18b3c0226deb40c6cf069a3bb33f51
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 15 15:46:53 2004 +0000

    * src/stream_output/stream_output.c: oops, 1.5 seconds, not 15.

commit 11fddaa6fa3d16939419a14f7a31a10db8369a52
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 15 15:42:01 2004 +0000

    * src/stream_output/stream_output.c:
      - for muxers that request some preparsing before starting muxing,
        we now wait for 1.5 seconds worth of data to be in the fifo instead
        of waiting for 1.5 seconds of real-time.
      - if we have have control over the output pace, we also wait before
        starting muxing (produces nicer streams).

commit 8b1965a7e9f20db5c98a7a2004c5ad95d5c22f7f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 15 10:40:39 2004 +0000

    * modules/codec/dvbsub.c: oops, small fix.

commit 1321d843b536a96e6a3685469015aa897e7c3f0f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 15 10:29:38 2004 +0000

    * modules/codec/dvbsub.c: don't wait for an acquisition page to start decoding the subtitles.

commit f9043113f666e3d41ca38fc49fdd939558ad64b9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 15 08:58:16 2004 +0000

    * modules/codec/ffmpeg: fixed a couple of corner cases during initialization.

commit a4f05a55bda7234716b7f238b3daea86cb08da25
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 15 08:32:03 2004 +0000

      * modules/access/http.c:
        + Fixed erroneous extra "/" in URLs sent to a proxy.

commit f11b4de0890b02ccf04eed5d05e2bc390dbb46a1
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 15 00:25:18 2004 +0000

    * update of the japanese translation by Tadashi Jokagi <elf2000 at users.sourceforge dot net>

commit d0aa974ef369de6c8313c29670c52bc52c539f69
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 14 22:14:09 2004 +0000

    * modules/codec/ffmpeg/video_filter.c: fixed cases where pictures weren't released properly.

commit 59de4738318ee308cb86b8354f6a2c89d9586387
Author: Jason Luka <geshp@videolan.org>
Date:   Thu Oct 14 20:52:14 2004 +0000

    Long overdue update to the spec file

commit 88c63e2e1cdca4fc42acfb42c2c53af1824b2bfb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 14 20:05:57 2004 +0000

    * src/video_output/video_output.c: another fix for on-the-fly deinterlacing switch.

commit 3139a7fb2b6838e1370f09e3602c1521c7099c44
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 14 19:54:52 2004 +0000

    * src/video_output/video_output.c: a couple of fixes.

commit 4b753bdd8b2d3427987755f1d842b1b58e15fc99
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 14 15:03:23 2004 +0000

    * src/video_output/video_output.c: fixed video filter on-the-fly switching (use var_Get/Set instead of config_Get/Put).

commit 6fd35e87c855b82ad2c0ebb55d8d06f3f7e00e58
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 14 14:32:34 2004 +0000

    * modules/codec/dvbsub.c: another bunch of sanity checks to make the decoder more resiliant to bad streams.

commit 03e12b35814cde1062ce38f4e66495c392da8bd0
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 14 14:00:14 2004 +0000

    * goom2k4 for OSX.

commit 6a5208cee778368eb70d0e0f7080d2d25ecce46a
Author: Carlo Calabrò <murray@videolan.org>
Date:   Thu Oct 14 11:37:50 2004 +0000

    Italian translation for 0.8.0

commit c9139ee7a1a413d555a72ffb9b9e5804c17a7fc2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 14 10:10:48 2004 +0000

    * modules/codec/dvbsub.c: more sanity checks.

commit d23171a34276b61111ee1b1501ea96f7fb7f3c65
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 13 15:40:39 2004 +0000

    * modules/codec/dvbsub.c: switch debugging off.

commit 62b54aa5e913c4fa6cbdb109c67d4e9d5d0b4c4d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 13 15:39:38 2004 +0000

    * modules/codec/dvbsub.c:
      - rewrite using the pixel buffer memory model as described in ETSI EN 300 743.
      - code simplification.
      - more compliant.

commit c14fe1b2a934f438a25273335674d7017dc8d078
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 13 12:32:06 2004 +0000

    * modules/gui/wxwindows/video.cpp: will hopefully fix the gray video problem in embedded mode on win32.

commit dc20831c4000fd64ebe218d7cffe57afe6658f42
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 13 12:30:20 2004 +0000

    * modules/video_output/x11/xcommon.c: don't steal events from the owner window.

commit 92c0f93056c7983294ace4fae18cd706aa5015cf
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 12 12:58:24 2004 +0000

    * modules/visualization/goom.c: increased buffer queue size (was too low for some audio streams).

commit fc4b15d52c076830edfe81abb8dd9833ca630c8b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 12 10:21:49 2004 +0000

    * src/video_output/video_output.c: even uglier fix for the on-the-fly deinterlacing switch problem (but at least it works).

commit 15baf3d1f53f62ccbf81cfc737c5ada6b436c5e3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 11 19:11:01 2004 +0000

    * src/video_output/video_output.c: nasty fix for on-the-fly deinterlacing switch.

commit 920cfe7e75f524215e0b942ffc5a09e556c85019
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 11 13:44:47 2004 +0000

    * converted the G. l10n to UTF-8

commit eef987adad977d147c336c880f36851ea8074dbe
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Oct 11 13:14:31 2004 +0000

      * po/de.po: minor typo.

commit c2731db0ee3b3b45337ffca659fbe57d29839eb1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 11 13:09:42 2004 +0000

    * modules/codec/x264.c: compilation fix.

commit ebba6561995eff0d752e0b7b4891d7b0c373741b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 11 12:50:13 2004 +0000

    * modules/demux/ps.c: work around broken streams produced with WinSubMux.

commit ddc8575b6176816b2305ee44d555651d05c64e45
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 10 21:28:58 2004 +0000

    * modules/codec/x264.c: a couple of fixes + use SSE2 detection.
    * modules/codec/ffmpeg/ffmpeg.c: use SSE2 detection.

commit b0e2accbba2fe73477e70801b8a8584be2328ffb
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Oct 10 20:34:28 2004 +0000

      * po/es.po: fixed a missing space.
      * po/fr.po: converted to UTF-8 and fixed ellipses.
      * po/en_GB.po: converted to UTF-8 and fixed ellipses.

commit dfd9cb82ec9350393ecfc862231ff792b9b783e9
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 10 19:11:55 2004 +0000

    Compilation fix. Please double-check (I don't speak spanish).

commit e83767700c400a501bc2c9434bfb0da690cd99f0
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 10 15:31:21 2004 +0000

    * 80% update of the Spanish l10n by Javier 'TonXabar' Varela

commit 5b23c5330d663c7a949460d3ca01a5ac91b98138
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 10 14:06:23 2004 +0000

    * modules/codec/x264.c: added a bunch of new config options.

commit 62d1b7d2d6ce7b7eec5cc48f91e884e0de02a48d
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Oct 10 10:08:44 2004 +0000

     - modules/control/showintf.c: new control module, able to show the
       interface when moving the mouse to the top of the screen (in
       fullscreen mode).
     - modules/control/hotkeys.c: added a hotkey to raise the interface
     - modules/gui/wxwindows/*, modules/gui/skins2/*: added callbacks for
       the "intf-show" variable; it should be easy to do the same for BeOS
       and MacOSX interfaces

commit 859d9e3170043afa4c5007f962f41b6b227e9332
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Oct 10 00:24:44 2004 +0000

    Compilation fix when libcddb is not available.

commit 24b06102b0653797e87b3ee7242498b0aa85309c
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Oct 9 22:18:25 2004 +0000

    vobsub.c: Don't break autodetection of non-vobsub subtitles

commit abf2e9a5d1eedde46be3809fcc08341ba89bcda4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 8 15:53:26 2004 +0000

    * modules/codec/dvbsub.c: bug fix in the encoder.

commit 7f349d0a4aa0f3190fc032e53b5c0d70c14a1f83
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 8 13:12:51 2004 +0000

    * share/http/index.html: delete/keep commands fix by Torsten Spindler

commit ddb95a07ea6489b5b0f132cc3412ffbb667ef377
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Fri Oct 8 11:03:12 2004 +0000

    * new icons proposal for the playlist window

commit 63f0fdcf6f73fceca5927c7a393629691958c75c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 8 10:49:05 2004 +0000

    * evc/*: fixes and updates.

commit 851aefcb6388d6e8d6a52b4a2d5abc640df4fb7b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 8 10:46:09 2004 +0000

    * modules/demux/subtitle.c: portability fix.

commit 6a2acb97ef96f375013bf53fc1c0c666a11059a5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 8 10:36:25 2004 +0000

    * modules/access/mms, modules/demux/mp4, modules/misc/logger.c: WinCE compilation fixes.

commit 2fab80da23cb41b9a9b9173c69c755dbbcc3515d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 8 09:59:26 2004 +0000

    * src/misc/win32_specific.c, modules.c: WinCE improvements (support for finding out the application path + support for the plugins cache).

commit 997ef25182ffbd986682edc85e81adbe921ac1dd
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 8 00:07:48 2004 +0000

    * hotkeys.c: change fullscreen setting even if there is no vout
      bigben: this fixes that last little problem you had with the 'fullscreen button'

commit 1ded64d41a9719a01606fee067e015f881b3b263
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 7 23:10:50 2004 +0000

    * 1st run of dutch translations

commit c0666c1ab104155569781102358aeac3c9fec4ca
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 7 22:54:18 2004 +0000

    * removed another translatable string that is no longer used.

commit 61a75cda0b696fd1f3513a48bddc6b555631f81f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 7 22:52:10 2004 +0000

    * diretory.c: remove a completly useless translation string

commit bea3eda77242ab0e2fc4ed9eaaa66c8c2e49d757
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Thu Oct 7 22:50:44 2004 +0000

    First attempt at adding CD-Text.
    Break out meta-info gathering.
    Various fixes and cleanups, but more work is still needed.
    Some conceptual work on how things *should* work may be in order.

commit 53dee7b961b237b3864fd9bb1206d69902156727
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 7 22:21:22 2004 +0000

    * src/misc/modules.c: pfff nobody found this one... you just lost the contest guys.

commit 3db5293c65355aba92f82a5d870358a958189905
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 7 22:05:34 2004 +0000

    * opengl: remove NULL from string arrays
    * configuration.c: don't crash on NULL values

commit 5563e0d680fa72c36f9b4eb8b8f7295d4bae99a4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 7 21:44:41 2004 +0000

    * src/misc/modules.c: fixed harmless memory leaks in the plugins cache code.

commit 2cd7d7a68bc8411339abd9996dfa0c7d0bdb31cf
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Thu Oct 7 21:33:38 2004 +0000

    * Fullscreen button works again
    * It enabled even when no vout is present
    * Still a little issue with the fullscreen hotkey

commit 8a5302415e1ee8c013eaede45481d2ca9676c547
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 7 20:52:24 2004 +0000

    * removed an unnecessary = NULL write.

commit 6256bbe2041c2687f68951e91963930fe62908db
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 7 20:50:59 2004 +0000

    * Made the opengl effects a list of options instead of textbox
    * Lowered the opengl prioriy on OSX to speed up selection proces, while the thing is not working.

commit df7993ac1f864c017a32662c34b0bc21efcc784c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 7 20:12:19 2004 +0000

    * modules/codec/toolame.c: lowered the priority of the toolame encoder and added the mp2/mp2a fourcc.

commit 40d3ed44788f0979a9c1726433df7d2d6435d0fc
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 7 15:59:36 2004 +0000

    * modules/codec/dvbsub.c:
      - bug fixes in the decoder and encoder.
      - the decoder now returns YUVP subpictures.

commit 1635cc356480dc23576f7d9db56ccd0897fcafdc
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 7 14:40:29 2004 +0000

    * Improve the Preferences display, when capabilties don't fit in the normal width of the table

commit 204c22aa9d391ebc87503a2a653cab4b3f39f29e
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Thu Oct 7 10:10:22 2004 +0000

    Fill in playlist information and stream & media information
    Duration info is now set when playing entire CD so slider works again.
    
    More work is needed for playing single tracks, adding CD-Text info,
    getting reference counts right.

commit a9583b5d9c501e00463f80f994c7d2e759437114
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 7 09:27:02 2004 +0000

    * modules/stream_out/transcode.c: bug fix for subtitles transcoding.

commit 0f9da48d787c1eefbd2950b49b891c1ed061a46e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 7 08:48:48 2004 +0000

    * configure.ac: force c++ linkage for the portaudio plugin.

commit f4311b58f1e293a019be1ae225c53a7ae960b090
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 6 17:05:26 2004 +0000

    * modules/mux/mpeg/ts.c: a couple of fixes for DVB subtitles streaming.

commit be53b9caf7881710cf39d5b55e0e5bc907d0f79c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 6 16:15:48 2004 +0000

    * Lets not ignore too many .sub files shall we? :)

commit f5a83db0769a418b5ee1df3b4f4604e3b46469ab
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 6 15:35:54 2004 +0000

    * if a .idx vobsub is found, then don't autodetect the corresponding .sub file

commit e2197980b2a71cc94b3e12bc4dd91ddc3218604e
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 6 14:15:03 2004 +0000

    * spelling correction

commit 78171aef895b0b352ea24d0339929f0238c49966
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 6 13:51:21 2004 +0000

    * Fixed the DefaultIcon registry settings

commit 7a3993961f28c2449ae1518dc4880fd40052bdf9
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 6 13:49:32 2004 +0000

    * Define RUNTIME_CPUDETECT for ffmpeg
    * newer version of liveMedia

commit 38dfc8db55c6de9dd430cc3de7bbf85dc744ffb8
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 6 13:45:14 2004 +0000

    * forgot this file in the vlc_b64_encode patch

commit fcda0b5d92df72620810502bd34a9c1ed9a39f24
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 6 13:41:57 2004 +0000

    * vlc_b64_encode patch by Torsten Spindler

commit 090481f48cd9c1127605992faa81c6e25625743f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 6 13:07:35 2004 +0000

    * modules/codec/ffmpeg/postprocess.c: altivec CPU detection.

commit 1b6136ee3e97b606f2e354ff1079bf84d9c35717
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 6 11:21:38 2004 +0000

    * added the .vlc fileextension to the win installer and the Mac app.
    * Added the application/x-videolan-vlc and appllication/videolan-vlc mimetype to the OSX app
    * NEWS: spelling error and remove the 'this version is not yet released' line. Before I forget :)

commit a131a15d95ba0a7042ae4a2b324c25dee2d507ef
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 6 11:07:04 2004 +0000

    * modules/video_output/directx: should solve the visible taskbar problem in fullscreen.

commit 764aab71ffb34c3a458ce5fb343bbc68dce323e5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 6 10:50:35 2004 +0000

    * src/input/stream.c, modules/demux/avi/avi.c: work around evc++ compiler bug.
    * evc/libvlc.vcp.in: small fix.

commit 79390c26ceb2d6b5022e28ecd87d0670e3ba3d7e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 6 09:19:18 2004 +0000

    * modules/audio_output/waveout.c:
      - don't call waveOutUnprepareHeader() in the callback as the doc says it isn't advised.
      - use aout_ChannelReorder() for channels re-ordering.
      - a few bug fixes.

commit f7f54dc0a7a2848cd64c7fdf1d4ce69b62627944
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 6 00:40:21 2004 +0000

    * Better Pragma header test. Apparently Pragma is a non required header in HTTP/1.1 This check should be more strict though perhaps not perfect.

commit c77a7946e8c1cc120ef3e9ec8dc5f0f29b3828bc
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Oct 5 23:17:04 2004 +0000

    * Restored a fallback to the old Quartz drawing routine for the poor
      souls without Altivec. The new drawing was considerable slower to them.

commit f859ce05d57f5a7e52020b75091f983a3bfe1630
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Oct 5 22:15:40 2004 +0000

    * Disabled the OSX OpenGL vout untill it's problems are fixed

commit a020907c9a50f3d02456bdee601b70ada91bcc9b
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Oct 5 21:38:33 2004 +0000

    - removed some debug lines

commit 6b9174d106c8e46032cc243f31c375d93750583f
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Oct 5 21:37:49 2004 +0000

    - use existing default route when configuring crossbars, allowing users to configure video properties from a third party tools (eg, Video Tuner)

commit 0b6eeb77f8ec337df84182a6b43a93dfb09316df
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Oct 5 21:35:21 2004 +0000

    - invoked crossbar properties pages after graph has been created, changing video input should now work properly

commit 391d675b1c7fa93da66d9b389b29a12d3672462c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Oct 5 21:03:25 2004 +0000

    * m3u.c: We now support http links to mms sources that don't send the Pragma line, but use a custom Referer file.

commit 4cbf134a14c0ed601f6e80e78a2129d12294dfa2
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Oct 5 20:20:40 2004 +0000

    * Alternative solution to mms recognition of http:// streams
      These WiMP streams always have Pragma in the HTTP response, so we use
      this to identify them now.

commit 85acec61f0575e838cf470510a52ef4ff3bb726a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 5 16:46:29 2004 +0000

    * modules/control/Modules.am: add rtci.c to make update-po happy.

commit 9d3104612d0be8570bd7326b0c4880946be6bf3c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 5 15:31:22 2004 +0000

    * modules/access/file.c: WinCE cruft removal.

commit 9d08f2d724cbc61d6ed2c5184d3fe88214d02a54
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 5 15:30:54 2004 +0000

    * src/misc/*, src/extras/libc.c: bunch of WinCE fixes.

commit d87b169600587b0831a362195fdbb99f168f5dd0
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Oct 5 15:25:44 2004 +0000

    * revert the mimetype recognition of http:// mmsh streams

commit cb402493149bfc98e9a216a28532852c8945ef9a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 5 08:10:34 2004 +0000

    * modules/audio_output/portaudio.c: portaudio (www.portaudio.com) audio output plugin by Frédéric RUGET (frederic dot ruget at free dot fr).

commit 81d271b9905dc9a259aaa58856280633c34d9bce
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 4 17:22:52 2004 +0000

    * include/vlc_common.h: define PATH_MAX on WinCE.

commit 4283e4707fca228f503fefea96abacfaf0b0d3a4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 4 16:04:54 2004 +0000

    * src/misc/win32_specific.c: WinCE build fixes.

commit 16b99ba1557e46efce54149ce9e860855626a7be
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 4 16:03:30 2004 +0000

    * include/main.h, include/vlc_common.h: WinCE build fixes.

commit b0c0164100b3c902c49dc57369cc5eed1e0498fa
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 4 15:43:10 2004 +0000

    * evc/vlc.vcp.in: fixes.

commit 06ea0c78729ea16056178461d64774a9143f9212
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 4 15:21:34 2004 +0000

    * evc/config.h.in: cleanup.

commit d00bc916f5af0e326c933fbf38ef02e275db47d7
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Oct 4 15:15:31 2004 +0000

    * no longer use demuxdump. Only dump is a valid demux2 now.

commit de8390cd7f1ab1d5286ad5f0bd5b1eebd0b4a92f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 4 14:29:23 2004 +0000

    * modules/misc/network/ipv4.c: got rid of the #ifdef HAVE_ERRNO_H + WinCE compilation fixes.

commit af338f594a476a3197b1839cd081ba0ba51efff9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 4 14:09:33 2004 +0000

    * modules/access/file.c: got rid of the #ifdef HAVE_ERRNO_H + WinCE compilation fixes.

commit 86f50fede6632f5349c49dbefe435ab4e0af2c0f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 4 13:34:42 2004 +0000

    * src/*: got rid of the #ifdef HAVE_ERRNO_H.

commit d37438b1faa98ba132efc234222bfd1b0ff1fbce
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 4 12:19:34 2004 +0000

    * evc/errno.h: errno.h replacement for WinCE.

commit 7e2851ea846272c71709886cb9843735a72a1a66
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 4 10:52:18 2004 +0000

    * src/input/subtitles.c: strcoll is not available on wince.

commit 293d390a0e5010766c0170aa4a99fc74b1ecc330
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 4 09:58:20 2004 +0000

    * modules/misc/dummy/decoder.c: use MAX_PATH instead of PATH_MAX.

commit 72a89a818986197f1b48575734620caf5a0cd9e0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 3 22:01:45 2004 +0000

    * modules/gui/wxwindows/open.cpp: fixed open dialog for mms/mmsh/ftp streams.

commit 1161687d5321774a91ee3a4099a4af263631d34d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 3 20:13:56 2004 +0000

    * strip file:// from subtitle autodetect path if present in uri.

commit 0e977dd3f727f4e55762a71f822ba3feb5ceec16
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Oct 3 14:11:12 2004 +0000

     - scaled_bitmap.cpp: fixed an old bug in the bresenham algorithm
      (the right side of enlarged images was not scaled properly)

commit 20bab27a82c1a141fe45b936894272683567f033
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Oct 3 11:52:25 2004 +0000

    * Added delay and alignment to wx subtitles dialog
    * Fixed a tooltip
    * Removed a debug message

commit c2b1baa3f2db79fc98e40b95220504898ff1ef0e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 3 11:04:59 2004 +0000

    * configure.ac: alsa is enabled by default.

commit 36b84104b19dc9057c4ad9209dadd8f758e9236b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Oct 2 21:52:02 2004 +0000

    * ALL: fixed some gettext stuff in the subtitles-options-dialogue, cosmetics to the text-fields, etc.

commit 997c6c3419170b68d41ff8ee5b27b26166138984
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Oct 2 21:02:27 2004 +0000

    * Re-added sub-delay option
    * Re-implemented sub-fps for SubRIP.
    * Use 50ms increments for hotkeys

commit c927538051c97a0cfb7cfbd1a7663f2c72675fa5
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Oct 2 21:01:46 2004 +0000

    Fix segfault when spu heap is full

commit 16449bfda8f0c2a640581fc7fa1dec9119d3ab06
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 2 20:09:21 2004 +0000

    livedotcom.cpp: fprintf DEL DEL DEL DEL DEL

commit 46dfa888590a6063e803c50dac4831648156a952
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 2 20:07:35 2004 +0000

    * mkv.cpp: cosmetics

commit f0e39102166f22e923e4cc529eeb484be6a83f0b
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 2 19:58:07 2004 +0000

    * Update TODO list
    * Added channel downmixing support to NEWS

commit 2daf515f63d7ea2a73fec42ef251501233001bd5
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Oct 2 18:19:39 2004 +0000

    * modules/dvb/access.c: Fixed a major heap corruption (gardening)

commit 84455389f408c44e66de919a52d013f0990e4f5f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Oct 2 18:11:07 2004 +0000

    * likely the final update to the G. translation

commit ca0828ec98158488a582190e56c6909952c04600
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Oct 2 17:57:33 2004 +0000

    Fixed string

commit 7965eb30e5577fbee26d8270be72059643c487a6
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Oct 2 15:40:08 2004 +0000

    Do what I say, don't do what I do.
    
    * Re-enabled string translation for wizard
    * Fixed wizard strings
    * internationalized some strings that weren't

commit d6aae7eaeb1e8f3780a0877c0ad2e2cc85e942f8
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 2 15:02:08 2004 +0000

    * vobsub.c : bail if we cannot find the .sub file

commit 4831edd8de40fbac54847afff0a5bf122f11265a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 2 14:09:33 2004 +0000

    * Look the SAP module CAN get even uglier
      - added a demuxer for SDP files. this is a temporary submodule to handle SDP files with UDP streams for so long as liveMedia doesn't support these yet.

commit edfa4ed4b58908e12b919beb76ca01dbff87a909
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Oct 2 12:51:37 2004 +0000

    (Final ?) update to french l10n file

commit b909d2fa2f3d4f12e7d73f3644f3a257eb99d377
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Oct 1 18:38:28 2004 +0000

    * last fixes to the G. translation

commit 1ff5e7267e7a4711f60cbe7300060d13d2955bd7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 1 18:04:09 2004 +0000

    * configure.ac: added an --enable-httpd and --enable-vlm option
    * src/misc/httpd.c: use dummy wrapper if httpd is disabled.
    * src/misc/vlm.c: use dummy wrapper if vlm is disabled.
    * modules/control/http.c, telnet.c: properly handle cases where http/vlm is not available.

commit bb1ef14f0a2d4f7a71912bee5cb04dd2af3723d9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 1 16:04:20 2004 +0000

    *  evc/*: some updates to the evc project files.

commit 51002a6c98cafc33e01f06eb2214612d4d983309
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 1 15:56:10 2004 +0000

    * src/*: WinCE compilation fixes.

commit 5cfa14809653862339f2234893d6883cbed78810
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 1 13:43:05 2004 +0000

    * evc/vlc.vcw: removed old plugins.

commit 30a39592ec257818a8a66e9b29a6d416370e6407
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 1 12:48:49 2004 +0000

    * modules/codec/dmo/dmo.c: portability fix.

commit bf0e0e611cf75362f69d278a7b886617ae234204
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 1 12:37:49 2004 +0000

    * src/input/demux.c: gee, what a nice bug.

commit f49468a228f61414276b0621794af0d51c1cf445
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 1 12:24:16 2004 +0000

    * src/libvlc.c, include/vlc_interface.h: don't open a win32 console when using a cygwin shell.

commit b7ee5eb7e79b8931a04031b635f32beafecc21af
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 1 12:05:52 2004 +0000

    * modules/video_filter/blend.c: portability fix.

commit 3fba51419490465a363068ac51df2b73d7343fbd
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 1 11:56:57 2004 +0000

    * modules/control/hotkeys.c, rc, modules/demux/mp4, modules/access/mms: portability fixes.

commit 2049498ba80921715a6999caa9617b5eb2e6c300
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 1 11:23:06 2004 +0000

    * src/extras/libc.c: shut up compiler warnings.

commit b2656b1265dafffbe4d03f539399dceb639cc014
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 1 11:11:37 2004 +0000

    * src/extras/libc.c: strtoll() replacement when not available.

commit 2ba646a5ea654996b0e627d589bd712acebb2bf8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 1 10:03:29 2004 +0000

    * src/*: bunch of portability fixes.

commit 75a2edbf6133555bcc4e4abcc5805c578712ed64
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 1 09:37:22 2004 +0000

    * autodetect .idx files for vobsub autodetection

commit ab3e1260b7d6d342fb8e019144054b37026198fb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 30 22:17:54 2004 +0000

    * modules/gui/wxwindows/*: win32 fixes with new wxWidgets.

commit 49abe97532f9af69b8a4bd3cb94e508bacde3f76
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 30 21:38:26 2004 +0000

    * po/*: new updates before the test2 tarball is done.

commit 2848862ff4be1bb7007df73fd7674e1d00d18dad
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 30 21:23:28 2004 +0000

    * modules/codec/araw.c: compilation fix.

commit 94b731d1ae8ddbdbfcc50ce32669df9efe4d0d14
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Thu Sep 30 21:23:21 2004 +0000

    Adds the ability to specify the pid of the PMT (--sout-ts-pid-pmt)

commit 8dacc8fa955aadf741f6498ce282cb55af4572b2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 30 21:18:23 2004 +0000

    * modules/gui/wxwindows/subtitles.cpp: new "font size" option.

commit c174051afc2733b61dd498bd4f2e334ee5646d6e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 30 19:44:43 2004 +0000

    * ALL: updates for the test release.

commit 03f2c9e9a08a765667d872d9d5ecae85b64d3726
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 30 17:42:27 2004 +0000

    * modules/audio_filter/converter/a52tofloat32.c,dtstofloat32.c: proper channel re-ordering using aout_ChannelReorder().

commit 754e4b9260b87a174c94409eca37e844db470e9c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 30 17:21:40 2004 +0000

    * modules/mux/wav.c: use aout_ChannelReorder().
    * modules/demux/wav.c: handle 7.1 multichannel audio.
    * modules/codec/araw.c: handle 7.1 multichannel audio.

commit 3f1a4f0f88cae8707f5c3b228d6313fa214d5cfb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 30 16:49:26 2004 +0000

    * modules/demux/wav.c: use aout_ChannelReorder().
    * modules/audio_filter/channel_mixer/simple.c: remove debug message.

commit 17f16d7678fdf7453a07f06ea18596751d6e1afa
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 30 16:46:37 2004 +0000

    * src/audio_output/common.c: common facility for channel reordering (aout_CheckChannelReorder() and aout_ChannelReorder()).

commit 067ebc33ce70f7eda96c8d51988eeb662e2f1ad7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 30 13:27:33 2004 +0000

    * modules/audio_filter/channel_mixer/simple.c: very simple channel mixer for 7/7.1/5/5.1 -> Stereo.

commit be17d8e9bc944ad20948f23c57c179a254c4e4b8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 30 12:02:59 2004 +0000

    * modules/demux/wav.c: proper channels re-ordering for multichannel audio (this should really be implemented as a common facility).

commit f70500d2632070a4d0888a82b27fc09fd405be43
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 30 10:57:52 2004 +0000

    * modules/demux/ts.c: fixed segfault.

commit a48589dd06acee787b5f4317d50bb5c44a285f05
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 30 09:08:48 2004 +0000

    * modules/demux/ps.c: fixed recent screwage.

commit 3ead371e2e73f4f965d0f75a4d1490b710c1ecbb
Author: Mark Moriarty <markfm@videolan.org>
Date:   Wed Sep 29 23:40:00 2004 +0000

    Add rtci plugin, for various real-time parameter changes.  Not added to modules.am or configure.ac yet.

commit f1aa322bcfc3f8e043bee9746cc45fb431b57c34
Author: Mark Moriarty <markfm@videolan.org>
Date:   Wed Sep 29 23:14:00 2004 +0000

    Minor fix, cleared warnings for unused var and undeclared type

commit 9192e5ff7ac208babfebabbbe782a3b4191f542b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 29 18:14:31 2004 +0000

    * src/input/clock.c: changes to the clock resync algo to remove some sensivity to the high frequencies jitterring when we start a stream.
    * src/input/input.c: cr-average is now increased based on the input caching value.

commit ef70785dab984ee06a20584da2b3832c04797a78
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Sep 29 17:30:42 2004 +0000

    * Bumped up version number to 0.8.0-test2
    * Last NEWS update
    * Re-update pofiles
    * Update Changelog

commit 79bd2b041f0c00ca6a6312b8b9b823aaccbcc892
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Sep 29 15:26:25 2004 +0000

    * NEWS: AACplus webcasts are supported

commit b1e95f08747b39103d586dd12c3f908f1fda1ead
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Wed Sep 29 15:24:03 2004 +0000

    Adds libpng to OSX contribs (for the logo filters)

commit 854dbb84ae9d2edf71e4b8e54e6f62b3b7dd21f8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Sep 29 14:22:00 2004 +0000

    * updated German translation

commit 9327b33f732870e009de70e2842cfc986391a0ed
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Sep 29 14:21:31 2004 +0000

    * fixed typos in some l10n-messages

commit 09699dedb553f768752dec3f1bdf73c10e18bd95
Author: Mark Moriarty <markfm@videolan.org>
Date:   Wed Sep 29 11:36:37 2004 +0000

    Move marquee processing from Playlist to Other, change marquee switch to "marq-marquee".

commit f96c9561f1e43c113baf8420b127d38a3930db78
Author: Mark Moriarty <markfm@videolan.org>
Date:   Wed Sep 29 11:31:49 2004 +0000

    Destroy marq-timeout on exit, rename switch to "marq-marquee"

commit 41d6682193643edc767cac28a310e7046059cf9c
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Sep 29 09:00:41 2004 +0000

    A few string fixes
    
    Update PO files
    
    Update and proofread of the french translation

commit aad6775bdf56940c33701e27eb657661a87b5e78
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Sep 29 01:21:16 2004 +0000

    * Use a proper faad2 snapshot, cause the default .tar.gz ones suck big time

commit b97a6de16313a98a87a17569c3aa7bf5ae940438
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Sep 28 15:48:43 2004 +0000

    * Fix the cddax probing crash

commit 156dbc410f04b704b8456bf1bf04d2090f54f04e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 28 15:31:32 2004 +0000

    * modules/access/http.c: reversed a commit by accident.

commit c79f9d4059fff3ccf49de512b841a508d4095b3e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 28 15:26:32 2004 +0000

    * modules/access/http.c: set ACCESS_CAN_CONTROL_PACE to false when dealing with Icecast servers.

commit 24621547e9abb3aacd1f21b7b51ec4f9766403fa
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 28 15:23:43 2004 +0000

    * modules/access/http.c: set ACCESS_CAN_CONTROL_PACE to false when dealing with ICY servers.

commit 8750bd1e46d7ce397bddb16bd789002340dec3f1
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Sep 28 13:55:00 2004 +0000

    * Add hooks for getting/setting variables (not working yet)
    * Really change VLC_Get to VLC_VariableGet

commit 31b1820ebd1690854b61e7f590327cbaafba9d60
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Sep 28 13:49:57 2004 +0000

    Misc Fixes

commit 90e23b41d7d66a9c7399b1995ddbdcb63df18c48
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 28 13:35:50 2004 +0000

    * modules/gui/wxwindows/open.cpp: compilation fix.

commit d1ffd81d53f8f4226b0e3ea8c1a99ba9b5483ec3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 28 13:24:29 2004 +0000

    * modules/gui/wxwindows/open.cpp: added a caching option.

commit 1844d50469f1fe71db97291ee38b42f49d577bc2
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Sep 28 11:45:48 2004 +0000

    * recognize audio/aac as well

commit f955a6aa670f58b43d90e400f662f73c4b0ca38e
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Sep 28 10:46:20 2004 +0000

    * marq.c: compilation fixes for non c++ compilers

commit f4b976ef385772b40aebcf2af7a91a4cbf2a93e3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 28 10:05:53 2004 +0000

    * modules/demux/vobsub.c: compilation fix + fixed a few memleaks + priority back to 0.

commit c2e2e1e3ee95900cdf34bf833c93763a0d02fda5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 27 21:46:54 2004 +0000

    * modules/demux/mpeg/mpga.c: use the date_*() api for more precision.

commit f90b4134ca8c4d8420d4286713ea7df9c24e980f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Sep 27 21:08:57 2004 +0000

    * Hacky workaround for the vcdimager compile problem
    * upgraded liveMedia

commit 89c27107b8bbf388d6147e5ef2a33373882763da
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 27 21:04:51 2004 +0000

    * modules/demux/mpeg/m4a.c: bug fix.

commit fe1911b072f85e5c3755c076994a5e61a428be6a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 27 19:57:26 2004 +0000

    * modules/demux/mpeg/m4a.c: MPEG 4 audio demuxer using the MPEG 4 audio packetizer (obsoletes the aac demuxer).

commit 8b807a4e104f6f9039f37432858b64cda7e53094
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 27 19:47:30 2004 +0000

    * modules/demux/wav.c: misc improvements.

commit d4ccb69dc2c75767b7f4719da1612678083711aa
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 27 19:19:32 2004 +0000

    * src/audio_output/input.c: corrective audio resampling should be a lot more gradual now.

commit 49245e40e45b47d0f5cf325113ee2a6c388f3b7a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 27 17:41:49 2004 +0000

    * modules/access/mms/mms.c: set the priority to -1 and added an http shortcut.

commit 3c520c8953e70ebb018be7ae62139638f12d36a3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 27 15:44:42 2004 +0000

    * modules/access/http.c: keep this plugin at priority 0.

commit d60b3feeff459196eab515596ebca0bdcc800503
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 27 15:43:43 2004 +0000

    * src/misc/modules.c: allow negative priorities.

commit 4758ccba9d127bb56e1f6eeba15492f9bae325eb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 27 15:16:13 2004 +0000

    * modules/gui/wxwindows/*: work-around a wxwindows bug with accelerators registration on win32.

commit e9a6f99bc8cb811dc65c9f5b303f0af385fff76a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 27 14:46:39 2004 +0000

    * modules/stream_out/transcode.c: fixed subpictures overlaying when the audio-sync or fps options are used.

commit 6520190b30144a763aad6218ef35b427ea8ca119
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 27 10:27:14 2004 +0000

    * src/video_output/vout_subpictures.c: a few fixes for subpictures positionning when scaling is active.

commit f5eab5ae70649197f23ec1fd74506eb73090bddd
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 27 09:13:49 2004 +0000

    * modules/video_filter/logo.c: implemented --logo-position for old filter as well.

commit 560287d445beec7711560be29f5bfb2f6e871743
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 27 09:02:26 2004 +0000

    * modules/video_filter/logo.c: new --logo-position option (by default the logo is displayed on the top right)

commit 986ec6158ecc7781689d56aceb58223cd455f33a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 27 07:21:53 2004 +0000

    * modules/codec/ffmpeg/video.c: don't need to modify width/height anymore with lowres.

commit dddd969a1f5a8b0c08a6e2f4e2452401b528e277
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 26 23:31:48 2004 +0000

    * modules/mux/wav.c: small cleanup.

commit 18f33ef1c76c378a576ac1bbdb7928c5acaa55b1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 26 23:23:09 2004 +0000

    "* modules/mux/wav.c: support for s16l as well as fl32 + multichannel audio (up to 5.1) + proper channels ordering."

commit 9b1461ba564ac34c8317b267328fd4699b5a22a0
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Sep 26 20:37:41 2004 +0000

    TODO: added some items, removed subtitle scaling, use "Mac OS X" everywhere
    in Platform:

commit 0492eee3a45b8a3fc5ca27ba23ae37c3bf7d7abb
Author: Mark Moriarty <markfm@videolan.org>
Date:   Sun Sep 26 20:31:06 2004 +0000

    Moved marquee to Playlist area, "marquee  " blanks out the marquee

commit f7e0344e92d58c1e346869d9e1d37e220c84ef27
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 26 20:17:50 2004 +0000

    * modules/codec/libmpeg2.c, ffmpeg/video.c, theora.c: decoder sets fmt_out.video.i_frame_rate.

commit b6e85ad89245ff6e0124614d36b4aed65fab7801
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 26 19:59:49 2004 +0000

    * modules/packetizer/mpegvideo.c: set fmt_out.video.i_frame_rate.

commit e0983ddb5929ceda3d859fce6a2f7a4de1b969d8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 26 17:55:50 2004 +0000

    * configure.ac: added check for daemon().

commit 521e2124083b99d24d6b62ddaa53d65c0defe00d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 26 17:54:56 2004 +0000

    * src/libvlc.c: use dameon() instead of fork() when available. It does some more things like reopening stdin/out/err to /dev/null which avoids screwing up the first sockets we open.

commit 5f631245d55c891b556e7988d5c3a8c8d58723e5
Author: Mark Moriarty <markfm@videolan.org>
Date:   Sun Sep 26 15:49:41 2004 +0000

    Add --rc-extend switch, for extra commands.

commit 33522bc5e51b591e10b4bd293f3396fee063412c
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Sep 26 15:31:41 2004 +0000

    Add logout function to RC interface

commit 82aad75f34622b5d0c8d98c327cfbe6f13ddea5a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 26 14:19:43 2004 +0000

    * modules/codec/ffmpeg/audio.c: fixed 5.1 audio decoding.

commit 4475471389fa281304c6aa09d69a6d02e11d0fbd
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 26 13:39:00 2004 +0000

    * modules/codec/ffmpeg/*: new --ffmpeg-lowres option to force video decoding at a lower resolution.

commit 74392a20b8926b1e934768d8cdcc443aee15c2b8
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Sep 26 13:06:45 2004 +0000

    * Use callbacks for live update
    * Add timeout support (marq-timeout, in milliseconds, 0 for no timeout)
    * A few minor coding style fixes

commit 6d775903ab476fdeadfd4aaeb94118caab483162
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Sep 26 13:03:52 2004 +0000

    Add timeout hook for marquee

commit 8fb0525e7ba1467fc65236e0bae9e7032acd7be8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 26 12:59:50 2004 +0000

    * include/configuration.h: added change_float/integer_range( min, max ) macro.

commit 55a8189fcd322c8a152b39321b42385f580eaf10
Author: Mark Moriarty <markfm@videolan.org>
Date:   Sun Sep 26 12:55:29 2004 +0000

    modules/video_milter/Modules.am -- added marquee filter

commit bdb391e0ad04979d1aa85bd285ce38fa8d0449c9
Author: Mark Moriarty <markfm@videolan.org>
Date:   Sun Sep 26 12:45:33 2004 +0000

    configure.ac -- Add marquee subfilter

commit 2ac5cb16db4ad3c481c835b7dfd07b59b710ef75
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 26 12:40:05 2004 +0000

    * modules/control/rc.c: added an --rc-quiet option for win32.

commit b994d951158592c6e88b4cc3afdd80dde08978c4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 26 12:06:50 2004 +0000

    * modules/demux/ps.h: fixed PSM parsing.
    * modules/demux/ps.c: improved MPEG PS autodetection a bit.

commit 299501b7cf3322d693b445c4c5928d1c35301905
Author: Mark Moriarty <markfm@videolan.org>
Date:   Sun Sep 26 11:47:12 2004 +0000

    rc.c -- Add hooks to control marquee string and offsets

commit 37c747ac494dd8b04b765c130a39755b8809c3eb
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Sep 26 11:43:19 2004 +0000

    ffmpeg/video.c: fixed recent breakage of avc1 in mp4 due to a recent ffmpeg
    change

commit 0a10a01566bb4f25926798d43e4b5d3ab25f486e
Author: Mark Moriarty <markfm@videolan.org>
Date:   Sun Sep 26 11:41:32 2004 +0000

    Add marq.c, marquee video filter.

commit 0acb799b1d2049606d0fde4cdfe2d40674aaffa3
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Sep 25 23:36:55 2004 +0000

    mkv.cpp: added support for quicktime video codecs in mkv (tested with svq3)
    Modules.am: link mkv demux with mp4 demux
    mp4/*: export some functions needed by mkv demux

commit 99c1c24f75f80cddce2353198da690188d5ee223
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Sep 25 20:05:02 2004 +0000

    * update of NEWS and todo

commit a8c7d02c5fa3f48815f9bf42bff4bc27967520a9
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Sep 25 17:51:24 2004 +0000

    time.c: remove unused function parameter

commit f3194f7448d1ebfa32d375aa6ce1e3900860b401
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Sep 25 15:13:01 2004 +0000

    * modules/video_output/directx/*: fix for spurious taskbar item after switching to fullscreen.

commit a3f05150c6a1fc68a5d770e7188dc9f5d75a3b4b
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Sep 25 14:01:05 2004 +0000

    mkv.cpp: helper function for printing of the mkv parse tree. Moves all the
    nastyness to a central location. Improves the general readability in my
    opinion.

commit 4638e85f2d52ae3354c49dd09896ff4412363a95
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Sep 25 13:04:12 2004 +0000

    mkv.cpp: protect the call to block_zlib_decompress

commit ac06e434e081a91442024c4be075c641f842dc2e
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Sep 25 12:45:04 2004 +0000

    mkv.cpp: turned do_zlib_decompress into block_zlib_decompress, and use it
    when needed. Zlib-compressed vobsubs work for me now.

commit a347d6b538b9cca1a44cc7f238a9907efc400d2c
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Sep 25 12:25:42 2004 +0000

    mkv.cpp: Parse tags related to compression (unused yet)

commit 1342bbe1bc0e5054cc4445cbcf8a4aad2b15b596
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 24 11:29:25 2004 +0000

    * modules/video_filter/time.c: the subpicture doesn't need a timeout.

commit 78ef76541d393b6ba8372782b29fd621e834e8d8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 24 08:35:23 2004 +0000

    * Makefile.am: use the new wine cmdl syntax for make package-win32.

commit 2e3f83548eb86a65b469e2f9920b37b9e72a8081
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 24 06:59:28 2004 +0000

    modules/control/corba/Modules.am: attempt to fix build.

commit 7269a868eec20e0db90a4436980961198cd88bcd
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Sep 23 22:08:39 2004 +0000

    * zlib decompressor for mkv. not working. (i don't get c++ :) )

commit de33443d8fdef7abdc7688635e04ee4b00d65dd1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 23 21:11:43 2004 +0000

    * src/video_output/vout_subpictures.c: fixed recent dvd menu breakage.

commit bb90b15349a7280f46ebaa6e49f36f36092a4896
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Sep 23 20:56:46 2004 +0000

    * added asx todo item to list
    * added some clarifications on use of bootstrap to HACKING file

commit 968ae4ef1e9a9373416bd0774d797fd4ea2eaa6c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Sep 23 20:52:20 2004 +0000

    * if http:// and mime == asf, and name doesn't contain asx (cause they have mime == asf too) then bail http access and let the mms access try.
      ( VLC now plays http:// urls which are actually mms:// streams and no longer handles asx files when the path doesn't contain "asx" )
    
    * added the aacp (aacPlus) mime type and force the aac demux in that case. aacPlus still doesn't work. (decoder issue?)
    
    * don't PLAYLIST_GO on a redirect. gave weird effects because the current item was still in the 'open' fase. The playlist is already playing, so there is no use in this option.

commit 6678167c68b87f36506daf9089605e95de7af045
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Thu Sep 23 16:56:07 2004 +0000

    mediacontrol-plugin.c: removed superfluous vlc_release()

commit 1bb3f90fee16f2a35e592ac9f96e5391ccc123bc
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Thu Sep 23 16:55:37 2004 +0000

    mediacontrol-core.c: updated the used API to the new demux2
      API. ByteCount positions are not supported anymore.

commit ee5688a0b67c009463bfc4148485aaeebc5558ec
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Thu Sep 23 16:53:51 2004 +0000

    Modules.am: fixed typelib generation

commit 9372af1eca712ea44e36f8cb851bb0c693e37225
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Sep 23 14:08:11 2004 +0000

    * unknow -> unknown

commit 099251acbcc26f833b19ac00685a2ac98800e807
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Sep 23 12:42:42 2004 +0000

    * HACKING: CVS -> SVN, added remark about developers.videolan.org site

commit 9cae88b98c18f2930b95e90028944065bb3a6f27
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 23 12:09:53 2004 +0000

    * configure.ac: fixed typo.

commit 76b59c630cb16b2bf6ff18861c7db8a5c13a2d75
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 23 11:20:24 2004 +0000

    * configure.ac: should fix libpng detection on win32.

commit a51a86ff78cd1741946c374e09abcce2949d49d9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 23 09:08:08 2004 +0000

    * modules/misc/rtsp.c: fixed pause.

commit 6bf3d8c384379da54680fc22dbac967958f378b8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 22 19:32:21 2004 +0000

    * modules/misc/rtsp.c: fixed segfault.

commit 4a18d7bec8e873f1f3ff4706a89a2c6e8a138b47
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 22 19:29:32 2004 +0000

    * src/libvlc.h: -f shortcut for fullscreen option.

commit 8740a871dead41a1a68770addf88ff89e9300724
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 22 18:42:52 2004 +0000

    * modules/misc/rtsp.c: misc improvements + respect ports given by client.

commit 655ebc3be04d0369734a043eb3e80d3a4cf28531
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 22 15:25:11 2004 +0000

    * modules/access_output/udp.c: if a packet is bigger than the mtu size, we emit a warning and try to split it.

commit 869331a4c7bf0a10ed69f0392f121d6eab65576a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 22 13:43:03 2004 +0000

    * modules/demux/ps.c,ps.h: PSM parsing remotely based on a patch by Pascal Claes.

commit 86d16200bb7a700018500bce5b1e4272af6b4801
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 22 13:37:55 2004 +0000

    * modules/stream_out/transcode.c: a bit more useful debug message.

commit 4b6fb04a895d25863ad48a6b4ff4fcd993d68bc8
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Sep 22 12:09:30 2004 +0000

    configure.ac: enabled time plugin

commit 31bfaf90eaaa49b85ec3970fadd7d34b0297525b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 22 10:17:41 2004 +0000

    * modules/demux/ps.c: small cleanup.

commit 29be1e0084d6748b6bdf11dc7602f729d9907031
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 22 09:44:44 2004 +0000

    * modules/mux/mpeg/ps.c: make sure the data blocks containing the pack and system headers are timestamped correctly. Added an --sout-ps-dts-delay option.

commit 60568b2cb359d72f24ddec714971c8472177ea98
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 22 09:20:12 2004 +0000

    * src/playlist/item.c: fixed recent playlist item initialization bug which was screwing up things like doing random autodeletions, etc...

commit bfda68b63da615dc9866b113be5bb7653e76b4f0
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Sep 21 22:24:31 2004 +0000

    Thou shalt compile before thou commits

commit b49fde0c9efa8a83ca09c0c47b4916840830a251
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Sep 21 22:16:35 2004 +0000

    * Fix the vobsub length.
      fen: any suggestions for the other Control() stuff?

commit 74ffc8e45e16115a04d3e6a522a97a85730b72d7
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Sep 21 21:52:52 2004 +0000

     * scaled external vobsubs with multiple tracks are now working
       - searching is a mess
       - autodetect not yet activated, force by opening the idx as subfile

commit b52e70c8317b3a3ff1a2a2c0c9607d2c7d5ed4b3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 21 20:40:09 2004 +0000

    * doc/vlm.txt: small update to reflect the latest changes.

commit a02a027f5ea3993d4087b0933b24c8b3a9f375b2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 21 20:33:59 2004 +0000

    * modules/codec/spudec/spudec.c: packetizer needs to duplicate the input es_format_t.

commit 1d5459577f6103bf888a72674805755e5518bf4f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 21 20:19:04 2004 +0000

    * src/video_output/vout_subpictures.c: modify the scaling factor based on the original video size info.

commit aae2338189a78557310fb1017648b3724503495b
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Sep 21 19:26:10 2004 +0000

    * pass the orignal movie size from es_format_t to subpicture_t

commit e9ba2ffe7da401571fddc27f36d22c5ad452ac56
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Sep 21 16:22:16 2004 +0000

      * Added missing \n to misc files.

commit 29da6909eafb6672cf869e6c27cccbcb8bd3681c
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Sep 21 16:07:41 2004 +0000

      * toolbox: fixed mixup in the changelog generation example.

commit 9d18bb6bb42d9bae29633b8fd44a8530964c8007
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Sep 21 15:55:45 2004 +0000

      * debian/rules:
        + Fixed previously broken DVD support.
        + Removed currently broken Speex support.
      * debian/control:
        + Build-depend on libdvdnav.

commit eb3416a6cef1e0811af579ca7443fb21dfa0772d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Sep 21 14:44:38 2004 +0000

    * hopefully fixed the wrong behaviour of the strg/ctrl-key in the G. translation

commit ca70a2d2dd0e1fb321f7b601ae915651eb7af343
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 20 21:51:41 2004 +0000

    * modules/video_filter/time.c: added Id svn keyword

commit 99e83fd48e75cb90fccd7406142721dce5cec7cb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 20 21:50:18 2004 +0000

    * modules/misc/rtsp.c, src/misc/vlm.c: VOD RTSP support is beginning to work.

commit b6be61a2526424c95787531ec4782ce54fe08da8
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Sep 20 15:47:08 2004 +0000

    * some fixes to vobsub
      TODO: create the index
            position control

commit 6d94b90c18455797320731bab622d9d835bb207e
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Sep 20 15:03:17 2004 +0000

    * disabled the libdts making for the nightlies

commit 2620dda482f39d5fa3cf6a4f1007746a63bf3bd0
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Mon Sep 20 12:17:51 2004 +0000

    time.c: configureable time format patch by markfm + some cleanup

commit fad403c0d93dd338e557ba89ece730ea694b2290
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 20 10:23:59 2004 +0000

    * modules/codec/x264.c: fixed aspect ratio.

commit c68071f69536c1ae31fbec967545daeb016e9757
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 20 10:09:28 2004 +0000

    * modules/video_filter/time.c: optimized a bit.

commit d275c50174023f0a449cd888c4e7aa3ca0c4a050
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 20 10:06:53 2004 +0000

    * modules/misc/freetype.c: fixed memory leak.

commit b4e29cc53837fb0d1bfae035e1639eb69ac396ff
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 20 09:18:11 2004 +0000

    * modules/video_filter/logo.c: fixed memleak.

commit a7c7b6a427e3aadfc095085d5d6138b5d1d82037
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 20 08:53:58 2004 +0000

    * modules/video_filter/time.c: stick to our config options naming convention + fixed a couple of mem-leaks.

commit 555e2ac8d4280010ce62a53c20d5289da57af929
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 19 21:38:12 2004 +0000

    * src/misc/vlm.c:
       + major cleanup and bug fixing.
       + added support for spawning and controlling several media instances.

commit 454ccc414a187201482d94bbec99ed825c708317
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 19 19:22:04 2004 +0000

    * include/vlc_input.h, src/playlist/item.c: added vlc_input_item_Init()/Clean() facility.

commit 4d7e35825e6fc2768e046c7dcdc637057ad89b24
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 19 18:50:54 2004 +0000

    * modules/demux/vobsub.c: fixed bug pointed to by gcc warnings.

commit 82b181de655676d9c768e9458a6c2f3268aa5bf4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 19 16:26:54 2004 +0000

    * modules/video_filter/logo.c: oops, broke something.

commit b26dd076737a78ecfcd7a8fcd01ca738e85da89e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 19 15:46:14 2004 +0000

    * modules/video_filter/logo.c: couple of sanity check.

commit a782a30580aaf28c5d47914418672f2916571946
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 19 15:36:08 2004 +0000

    * modules/video_filter/logo.c: transparency fix by markfm.

commit f74d6bb73fa5e872e681ba6130ab322548f33559
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 19 15:23:38 2004 +0000

    * modules/video_filter/logo.c: fixed case when no transparent color is set.

commit bfc77638a9f87a889f32860f117da5d5467f24b5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 19 15:11:36 2004 +0000

    * src/video_output/vout_subpictures.c: support for stacking subpictures filters (eg. --sub-filter=foo,bar).

commit 5c52f23df592769a81c19f2585159c6076ef82d7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 19 14:58:43 2004 +0000

    * modules/video_filter/logo.c: remove the comment about the need for RGBA PNG files.

commit b814b86772e782d98d1cf2f7d684f628c816b3c6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 19 14:46:01 2004 +0000

    * modules/video_filter/logo.c: convert all pngs to RGBA.

commit f1ca4fae887375a65e809bc7a7cb6bdb4c0518ce
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Sep 19 12:29:16 2004 +0000

    time.c: customizable position and string prefix, mainly done by markfm

commit 101886447a921fcde8f2f2f03469c504217b2b60
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Sep 18 21:13:45 2004 +0000

    * mkv.cpp: retrieve the original framesize from the vobsub idx and store in es_format_t
    * vobsub.c: rewrite of the vobsub module. Now has track support. This is UNFINISHED.
      TODO, repair the 'Control' commands store the timestamp/location combo's in the arrays of subtitle_t structs
    
      and find a way to pass the info from the decoder to the core of course....

commit bb7ae8b63aab5c460c6d354398f83eb953bcb4ca
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Sep 18 17:46:15 2004 +0000

    modules/video_filter/Modules.am: added time, for those that don't know the
    fen-trick
    time.c: fixed a few copy/paste bugs and some warnings

commit 196d6b5aad3af9fc247b23acc00b158e9b1c783e
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Sep 18 16:38:58 2004 +0000

    time.c: a small module to place current time on top of video

commit 86dcb649641c0d756c0f64362781e08db25ea311
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Sep 18 09:52:20 2004 +0000

    * added origin (position) and 'original frame size' params to SPU es

commit 86b72463a96b8667b837cad8df2b5aad558a8346
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Sep 18 09:36:26 2004 +0000

    * added SVQ3 ID to livedotcom. don't remember if it worked, but won't hurt either i guess..

commit 345ac147855cf60ce51ad7c189921038fde72e58
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Sep 18 09:34:03 2004 +0000

    * modules/demux/subtitle.c: compilation fix.

commit cedb7206888e0b0dd91098ffa8809cb7c4a39710
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Sep 18 09:21:03 2004 +0000

    * src/misc/vlm.c: we probably have enough bugs already :p

commit e7eea0d2750d23775fbfb6fbc4fb6d2a8070655d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Sep 18 00:05:11 2004 +0000

    * split vobsub and textual demuxers.

commit a350c47fb51ce6a2f8733783fe9df35dc52de6a2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 17 14:47:01 2004 +0000

    * video_output/vout_subpictures.c:
      + improved spu_SortSubpictures() to deal with SPU channels.
      + ephemer subpictures can also have a stop date now (allows more flexibility).

commit 27ea01fb82cb481a08ddb70837de5472df997c92
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 17 10:21:00 2004 +0000

    * modules/video_filter/logo.c: small fix.

commit 2652a6f1cd049b41d58ad78757ef262f94e64912
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 17 10:13:21 2004 +0000

    * modules/stream_out/transcode.c: new sfilter option for using subpictures filters during the transcoding.

commit 4df49d8628bf0271e890fd40c2aa29bf75b02520
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 17 09:30:19 2004 +0000

    * modules/video_filter/logo.c: implemented a logo subpictures filter.

commit 4f1a86baff4ba13e51adf7ad2b87aff62c20ad75
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 17 09:13:05 2004 +0000

    * modules/video_filter/scale.c: add a bias when calculating the nearest neighbour.

commit c6b73779878a2e152a40e644bb2029c2c3f41056
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 17 09:11:50 2004 +0000

    * src/video_output/vout_subpictures.c: support for subpictures filters.
    * src/libvlc.h: new --sub-filter config option + added a new subpictures category that regroups all the subpictures options.

commit 7c358ff03988e80c0867aa92dd7e8669c72d9370
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 16 22:04:36 2004 +0000

    * modules/misc/rtsp.c: getting closer to a basic but functional rtsp server.
    * modules/stream_out/description.c: bug fix.

commit a53e5d1dc8ae307d02f55fc3c8021d465a019482
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 16 14:31:14 2004 +0000

    * modules/gui/wxwindows/menus.cpp: re-organized right-click menu + play/pause/stop/next/previous entries.

commit aba6d6b020f9b407b47c27398149409a29d389b3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 15 20:21:09 2004 +0000

    * modules/stream_out/description.c: new "description" stream output module which gathers information on elementary streams (pre-parsing).
    * src/misc/vlm.c: pre-parse vod media items.

commit 5bb58782a719ac8a8719513471f67512e2051640
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 15 16:59:25 2004 +0000

    * modules/video_filter/Modules.am: oops

commit 825f056a8c6a432c2f29bd640913aca9a5b96572
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 15 16:02:45 2004 +0000

    * modules/video_filter/scale.c: simple nearest neighbour rescaling module for YUVP/A (subpictures).

commit 30900418b40114f446259f4c2af4ac98634b6db7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 15 15:55:25 2004 +0000

    * modules/codec/ffmpeg/video_filter.c: improvements.

commit 9de7b241c98857a3554ae759c9914648d78d0c0d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 15 15:52:13 2004 +0000

    * modules/video_filter/swscale/filter.c: uninitialised variable fix.

commit 28ed0fc96153391a47fa4b480f716f0de1fbacae
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 15 15:50:54 2004 +0000

    * ALL: separation of the SPU engine from the VOUT.
    * modules/stream_out/transcode.c: re-use the SPU engine.
    * src/video_output/vout_subpictures.c: support for resizing subpictures.

commit e9097e4f6da79a7f780ef17488b35b37d3973be7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 14 20:30:12 2004 +0000

    * src/misc/vlm.c: started "vod server" integration (not much done yet).
    * modules/misc/rtsp.c, include/vlc_vod.h: vod server api update.
    * include/vlc_input.h: extended input_item_t a bit for the vod server.

commit 30f94f7dda779524d1481931949a061aa6c72fab
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Tue Sep 14 17:27:52 2004 +0000

    msg_Err -> msg_Dbg

commit f7ec00574a804ef44c3a55628e576b30e80b05fb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 14 11:45:44 2004 +0000

    * configure.ac: fixed --with-ffmpeg-dts.
    * INSTALL.win32: update with new contrib package.

commit 23fc364a43d2f65ecdbbf06baf39fb729e1dfb09
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 14 11:38:50 2004 +0000

    * modules/demux/asf/asf.c: fixed overflow in aspect ratio calculation.

commit 7cddcee812d9362c234f568c460d121f2cc47e93
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Sep 13 20:30:12 2004 +0000

    * updated used libcdio-version from 0.69 to 0.70

commit 3a071083ebbf682948fe525064a66ab7688c1a79
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 13 20:29:58 2004 +0000

    * modules/access/dshow/crossbar.cpp: real compilation fix.

commit be66baeeba4577bfdbf76fe958a782acbdfdb35c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 13 19:46:38 2004 +0000

    * modules/access/dshow/crossbar.cpp: compilation fix.

commit 15b4ed29ba8d9d9aa925d9e99265fff4bbbfad0b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 13 19:43:30 2004 +0000

    * modules/video_filter/swscale/*: new resizing/chroma conversion video filter based on MPlayer's swscale module.
      (not enabled in configure.ac yet as it may have problems building on some platforms)

commit c1032025f7fb19883726594038e3081f2b1bf709
Author: Eric Petit <titer@videolan.org>
Date:   Mon Sep 13 15:46:00 2004 +0000

     contrib/src/Makefile: quick BeOS compile fix (-lnet bla bla)

commit 864829ad44a5b9d2877552c40c551de052c7897d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 13 13:28:10 2004 +0000

    * include/vlc_block.h: block_Duplicate() needs to duplicate all the fields of block_t.

commit 7dd83af83a1dad9fc0b8962621aa358704f82fb7
Author: Eric Petit <titer@videolan.org>
Date:   Mon Sep 13 10:57:03 2004 +0000

     + configure.ac: explicitly link to -lnet the modules which need it
       (cause latest BeOS gcc doesn't do it by default anymore)

commit 445a55457250fd780619916f5143daafe9aed29b
Author: Eric Petit <titer@videolan.org>
Date:   Mon Sep 13 08:27:58 2004 +0000

     + mux/asf.c: gcc < 3 compile fix

commit 98487b37b6ee4b1b3237bd7643b4c98562f774df
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 12 20:32:08 2004 +0000

    * modules/video_output/directx/directx.c: removed debug message.

commit 0811bcbbe67f93125a4a95cdd3d6e53f1b214bcd
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 12 20:31:00 2004 +0000

    * src/video_output: fixed a CPU heating loop in pause mode (fixes the problem with fast user switching on win32).

commit 6bc91ea59a063de2438b9c01ef7699ef40838862
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 12 18:00:02 2004 +0000

    * modules/access/dshow/*:
      - switch to access_demux module for raw video/audio streams.
      - massive cleanup and simplifications.
      - a bunch of fixes.

commit b2c7b5a0db25c9d925c8bb0e9a2f002bd19a833c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 12 10:30:24 2004 +0000

    * modules/access/screen/win32.c: proper rgb mask for RV24.

commit 3176e22c799992d2e668ceadb3772b1ad4102826
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 12 09:31:47 2004 +0000

    * modules/access/dshow: simplification (video inversion is now handled in the rawvideo codec/packetizer).

commit 856265f98fc3387561a6f550469a570f0f9fc8aa
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 12 09:16:55 2004 +0000

    * modules/video_output/directx/directx.c: small fix.

commit 1fac25cfc5dfc47168c27fe9eb059219c201d2e2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 12 09:10:33 2004 +0000

    * modules/video_output/directx/events.c: use a different window class for the video sub-window so the background color doesn't get messed-up with.

commit 613e970f5c859b629dcce0899d3eba4bb1eb67c6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Sep 11 13:15:18 2004 +0000

    * include/vlc_vod.h, modules/misc/rtsp.c: skeleton for a "vod server" RTSP module.

commit a04be50a32af77743fd95aa32130a840b1587790
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 10 21:08:41 2004 +0000

    * modules/video_filter/logo.c: complete rewrite using the alpha-blending module.

commit 2a2d47d7bc6acfa119882c2c4754a0ca5d9cfb1f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 10 19:47:16 2004 +0000

    * src/video_output/video_output.c: oops.

commit ff3757715f2a784e7bdec3792b08253fad34c5ad
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 10 18:03:25 2004 +0000

    * src/video_output/video_output.c, modules/codec/ogt: got rid of vout_AspectRatio().

commit d2b5c3ac86d7681c836d6ef53bf9affa63ea0068
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 10 17:22:03 2004 +0000

    * include/vlc_video.h, src/video_output/vout_pictures.c: export vout_CopyPicture().

commit e9abcc11514a5f3d4e49667de1721b22e6a0889a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 10 13:53:43 2004 +0000

    * modules/video_output/x11/xcommon.c, modules/video_output/directx/directx.c: when we invert the YV12 picture buffer chroma planes, we need to report a I420 chroma.

commit 8b045cacc9cb8202d62196b83ee6497f077d96aa
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 10 13:15:59 2004 +0000

    * modules/codec/rawvideo.c: packetizer will also invert the pictures if needed.

commit 7cf2ad43cf62ac71a286ea593782e6f4292e8b5c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 10 12:43:08 2004 +0000

    * modules/demux/asf/*: get video aspect ratio from metadata object.

commit 6c84da28c658041cf1d9090d4414f0b5acfc947b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 10 11:35:42 2004 +0000

    * commit modules/demux/asf/*: load and parse the metadata object + coding style changes.

commit 55cab795f441f0962044912e91645f1dfc723013
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 10 09:49:01 2004 +0000

    * modules/stream_out/standard.c: compilation fix.

commit cd444ff97500960dd583255934f99d38dcd77ada
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 10 09:19:59 2004 +0000

    * modules/codec/cmml/intf.c: compilation fix.

commit bdb1ee5946ce0612088b5c8875ff4c1815643379
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 9 22:18:51 2004 +0000

    * src/misc/httpd.c: spelling mistake.

commit fe41e0e75cbca5e5daf70fbadde2409a3bd942fe
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 9 21:45:38 2004 +0000

     modules/codec/ffmpeg/video_filter.c, modules/audio_filter/format.c, normvol.c: added Id svn keyword.

commit e6b511a6d8cf6fb0bd4e08d1a65e745cd315be89
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 9 14:47:33 2004 +0000

    * src/input/input.c: hack to allow for the udp:@:port syntax again... not really pretty though.

commit 7c239efef513830d5a1dcc062981c924e9fb0b64
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 9 14:33:33 2004 +0000

    * src/extras/libc.c: forgot a small modification.

commit ca948c09322814d92148127ecc033cbee0347a91
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 9 14:25:07 2004 +0000

    * modules/codec/theora.c: use vlc_reduce() to before storing the aspect-ratio.

commit 574d357da7094b6f7ee632fd013ffac4701b97ce
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 9 14:23:44 2004 +0000

    * modules/mux/asf.c: include a metadata header to store the video pixel aspect ratio info.

commit 7b40798c48123d3849320598046b8daf45e62e21
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 9 14:02:24 2004 +0000

    * modules/control/gestures.c: compilation fix.

commit e277659875f69846f88c96fc353cf8162c22a8ae
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 9 13:04:12 2004 +0000

    * include/vlc_common.h, src/extras/libc.c: added GCD() and vlc_reduce().

commit 01993028a69da43a21962371aa35124262e73335
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 8 22:02:48 2004 +0000

    * modules/access/dvdnav.c: call buttonUpdate() again when the video ES is started.

commit aadbe03cd05017077eece540db1d57bfd438308a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 8 21:11:31 2004 +0000

    * src/video_output/vout_intf.c, modules/video_output/opengl.c: we do really need these, so please don't remove them again.

commit 1738a320bb1905f8ad20d2e7475abe29cdfb61e4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 8 21:01:11 2004 +0000

    * src/video_output/*: fixed race condition in spu initialization which affected DVD menus.

commit 8a8bb0583cbf9772d15b3b5f89b77478a308f7c7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 8 15:25:56 2004 +0000

    * modules/demux/ts.c: small video artefacts are usually better than dropping whole frames.

commit b28de5319fe4901151b12425f68990908651e700
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 8 14:10:20 2004 +0000

    * modules/audio_filter/converter/*: a couple of fixes for transcoding.

commit 9e267491db1b9257b5b3730483f9252982bcdc12
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 8 12:48:57 2004 +0000

    * modules/stream_out/transcode.c: use picture ring buffers to avoid leaks due to decoders not releasing pictures properly and to avoid uncessary mallocs.

commit f1db30877a77df29ad05dbf876d89d8539c145f3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 8 10:07:05 2004 +0000

    * include/vlc_help.h: update.

commit 3060b7f37580031ca3b80376a1c1b4ad57abc240
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 7 22:55:26 2004 +0000

    * modules/gui/wxwindows/interface.cpp: fix for the interface resizing when video is stopped.

commit 8e751df6b581e91c6695dcfda4d55f26b551c41a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 7 22:08:36 2004 +0000

    * modules/gui/wxwindows/video.cpp: reverted change to re-use the video window as it doesn't work well on wxGTK.

commit 24668b52f7d7f6fabcc1d6b408c5081323ae3f5a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 7 21:46:16 2004 +0000

    * include/vlc_common.h: forgot this file in my last commit.

commit 8d8208804afd4272427df4ab8414370f5c7579a8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 7 21:28:52 2004 +0000

    * configure.ac: small iconv fix.

commit 0c9a991be3497752963e1766ff71f32050d418d1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 7 21:16:49 2004 +0000

    * src/extras/libc.c: provide iconv facility in the core (vlc_iconv_open(), vlc_iconv(), vlc_iconv_close()).
    * modules/misc/freetype.c, modules/codec/subsdec.c, modules/gui/skins2: use iconv from the core.

commit f569322207f4e8989a9925955dc259b412f657b3
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Tue Sep 7 10:34:47 2004 +0000

    freetype.c: don't hang if user specify negative fontsize

commit 2e1cf451fa5cca785451c97aaea55fd4f7e14d95
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 7 09:34:03 2004 +0000

    * src/input/decoder.c, modules/codec/faad.c: work around another bug in libfaad with ADTS streams.

commit f9701bc54aa3779d0188761f26f5bb507b1692e3
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Tue Sep 7 08:11:49 2004 +0000

    fixed track selection for mkv-files with default flag set on tracks.

commit 06a696f88681b66c7fa26810594a25747c7afbfb
Author: Eric Petit <titer@videolan.org>
Date:   Mon Sep 6 21:28:07 2004 +0000

     Fixed OpenGL mouse events

commit 460b1fca8424088c9e87ca455338e0f446ac2476
Author: Eric Petit <titer@videolan.org>
Date:   Mon Sep 6 21:07:43 2004 +0000

     + src/input/var.c: when starting a title, don't recreate next/prev-chapter
         and add callbacks if they already exist

commit 381fcdb7866f29786566f5dbf7cfbf112c9868b4
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Mon Sep 6 19:01:34 2004 +0000

    some timecode and chapter-related fixes from Mosu(thanks a lot).

commit 13695e60a384b3620b0dbb77be1b1cb15fe573da
Author: Eric Petit <titer@videolan.org>
Date:   Mon Sep 6 16:46:25 2004 +0000

     beos/*: fixed title/chapter navigation

commit 0824f497336401d2f2cf5d2eeda039a031d33553
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Mon Sep 6 16:10:34 2004 +0000

    Added matroska-related items to todo-list

commit 2cc97f52243248dd201702bca7911ee2731a809d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Sep 6 15:09:37 2004 +0000

    debug message accessed free'd structure causing a segmentation fault

commit ad4db76b79b44f0a22cef782896390ca3e2d8284
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Sep 6 12:49:29 2004 +0000

    Allow size of blocks reads to be specified/adjusted
    Split out callback routines.
    Some cleanup. Still largely broken though.

commit 539871f37344f92ce659a117ce7c1a6d6484f9f9
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Sep 6 11:45:44 2004 +0000

    0 is a legal socket descriptor

commit 418edc0d35fd428561a2019652ffc2f606baa7b0
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Sep 6 04:38:46 2004 +0000

    2nd attempt to get libcdio cdda working.
    
    mtime.h: define constant for second-to-millisecond conversions.

commit 08997aa08c3f05c4fa2c1e0e803b93efdeda3ddf
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Sep 5 18:38:53 2004 +0000

    modules/gui/wxwindows/extrapanel.cpp: minor string fix
    po/*: updated the po-files
    THANKS: updated my mail-address

commit ab1d81cafd107f0d54007d1f0c37dc6e4bf5fa74
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Sep 5 16:53:39 2004 +0000

    * first update of the German translation

commit 00dcf466a24ab8db0a1c23597c6be61f512170fc
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Sep 5 16:53:04 2004 +0000

    * string review

commit 4fcaafa34c7f3134c6584422f85eb288ff7eaad1
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sat Sep 4 14:51:04 2004 +0000

    First attempt to reinstate a libcdio cdda.
    
    vlc_meta.h: added CD-Text, ISO 9660, and CDDB fields. Separate email
    will be sent about this.
    
    Note: sound may be off by 2 seconds (150 sectors or pregap
    amount). The sound for both this and the other cdda plugin don't work
    for me. Before the last SVN update though that's what it sounded like.

commit 7adeecdee2f6bb174de6a080fe7ce64a708d50dc
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Sat Sep 4 10:39:44 2004 +0000

    * syntax to specify the dvd title/chapter to open has changed...

commit 9c36906f44fa152559400a8ee130ae3579a37f36
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Sep 3 18:42:25 2004 +0000

    * modules/demux/ts.c, modules/access/dvb: Added support for the CAM device
      of linuxtv drivers. We currently only descramble one channel (this will
      change in the near future). Also fixed a few demux-related bugs.

commit 61c73831d2dcd4e374f34ce0c4fdd9d0b4e7efa9
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Sep 3 18:38:33 2004 +0000

    * modules/demux/demuxdump.c: Added a --demuxdump-append boolean option.

commit 2f3ee9031fa0755541d73d35a4d6a21e6b635998
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Sep 3 18:37:21 2004 +0000

    * modules/access/pvr/pvr.c: Added a --pvr-caching option.

commit bd91365c2d1dcd10f101593257bcada9ffbe9bb2
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Sep 3 00:11:25 2004 +0000

    msg_Err -> msg_Dbg

commit 10844d09b5b2bf4b008835a4ec253792bca659a9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 2 21:42:14 2004 +0000

    * src/libvlc.h: plugins-cache is now enabled by default.

commit 0022fed69f04c2e5cd8e1cabef8baea50e5871a3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 2 21:19:35 2004 +0000

    * NEWS: next version is going to be 0.8.0.

commit 00a658dd2ce8a679c7d80c72dd6483de1192e453
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 2 19:40:28 2004 +0000

    * src/video_output/vout_intf.c: fixed mouse events forwarding in opengl provider.

commit d56b4821fb01ef216aa0cb8dba09851ceabcec78
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 2 17:51:02 2004 +0000

    * extras/contrib/src/packages.mak: fixed the faad2 package

commit 2bc86e329a36cb04e7aa83c0f81fb4a56b9f383e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 2 16:00:44 2004 +0000

    * modules/gui/wxwindows/video.cpp: before resizing the interface when a video stops, wait a bit just to make sure a new video outut is not being spawned.

commit 687d5974c835ce052264b3442583c039e0abd77e
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Sep 2 15:31:00 2004 +0000

    Switch video-filters on the fly

commit c7b3c555601147b939d7abd6d9a694360c6b1ee3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 2 15:20:34 2004 +0000

    * src/video_output/video_output.c: re-enabled on-the-fly switching of video filters.

commit 22aae0460221c4c129e651cefed0e4d3196335dd
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 2 14:27:57 2004 +0000

    * src/input/demux.c: ignore STREAM_CONTROL_ACCESS control query + coding style changes.

commit d07df55227fe98a8aa530176bf9f11f8daa8f5fd
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Sep 2 07:47:01 2004 +0000

    * Don't say make bin works in the contrib system

commit 7659c0b9e1c427d694525b8848d12b1c1483f1b2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 1 23:17:43 2004 +0000

    * ChangeLog: update.

commit bfb8936030581d2600a9237c8bce8bd8558b5c9e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 1 23:15:12 2004 +0000

    * modules/visualization/galaktos/Modules.am: a whole lot of files were forgotten.

commit 8ea251d31998b8be1cc5175857587ace3348dbc4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 1 22:26:48 2004 +0000

    * modules/stream_out/transcode.c: fixed fps and audio-sync options.

commit e9c3dc587ec1d80126027d1954e4006f28ca39b8
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Sep 1 22:08:00 2004 +0000

    * fix the ebml and matroska downloads. added toolame target, but not enabled, since toolame is worse than ffmpeg when it comes to makefiles... ("it needs sam power").

commit c217351b2d785adaf9fb92b68ddd1864503801a4
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Sep 1 21:40:35 2004 +0000

    * updated ebml, matroska, liveMedia and faad2 version

commit b0f5d3f5a92c53796ae34b05e2d5e99b973897a9
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Sep 1 20:02:17 2004 +0000

    Added "is_playing", "get_title", "get_time" and "get_length" to get computer-readable output (for third-party programs)

commit 773ff0e065a8d2c3364f1e3b2341c057b9eda599
Author: Eric Petit <titer@videolan.org>
Date:   Wed Sep 1 18:59:23 2004 +0000

     + vout_subpictures.c: don't check only the first subpicture_t to see
       if we need blending & rendering modules (fixes text messages which
       were missing sometimes)

commit 54be9f30fdccb8c0c88245b70979f2b77b9f33a1
Author: Eric Petit <titer@videolan.org>
Date:   Wed Sep 1 18:41:22 2004 +0000

     + misc/freetype.c: workaround yet another weird BeOS behaviour

commit 7050e779286c893384ca4d3493476aa13bab2f5e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 1 15:56:03 2004 +0000

    * modules/codec/dmo/dmo.c: specify required input chroma for video encoding.

commit 0a666ec5437b11a548573a6858d11a8c35df852e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 1 15:37:40 2004 +0000

    * modules/stream_out/transcode.c: free the original picture pointer, not the aligned one.

commit 4cf15dfa501e8cab5932c48269fc36bade566a3d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 1 14:34:24 2004 +0000

    * modules/mux/asf.c: MUX_GET_ADD_STREAM_WAIT == true. Seems even asfh can't send new headers after the stream started.

commit a25490ab6779a8087b25898bea9d16cde6dff4fa
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 1 14:26:23 2004 +0000

    * modules/codec/ffmpeg/video_filter.c: oops, copy&paste bug.

commit d65f4002a840454860a7a1dfeab513f75cb0f9cb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 1 14:07:45 2004 +0000

    * modules/mux/asf.c: fixed a bug I introduced in my last commit.

commit 0127941f3f5ca21b0e4b097b083a78adf6ffae6f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 1 14:02:23 2004 +0000

    * modules/codec/ffmpeg/video.c: fixed a crash on win32 (s/free/av_free).

commit ad949aa2e8c848cc2c13a32fec5c232e46a08605
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 1 13:27:46 2004 +0000

    * modules/codec/x264.c: updated to latest x264 version.

commit 543c958df94fd0d501fc8ba221b24aaae1317399
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 1 13:19:43 2004 +0000

    * src/input/input.c: fixed small memory leak.

commit cb7de73302c2043c9b8056cbd0a1e555c43996a8
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Sep 1 12:54:34 2004 +0000

    * Added some status information to the HTTP interface
    
    * Invalid HTML SUX !
    * Table layout SUX !

commit e94917b177f089fdef0edb8920d564ea00ad3d0d
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Sep 1 11:02:15 2004 +0000

    * Fixed a few string errors
    
    * Update PO files
    
    * First round of updates for the french l10n

commit 1185b8970aeddc1d1dbaf76c22d0fb36a440dedf
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Aug 31 22:53:22 2004 +0000

    * src/video_output/vout_subpictures.c: use p_vout->output instead of p_vout->render where necessary.

commit 84f469132c9341c9dc2b6933f040f587d9990c65
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Aug 31 20:44:47 2004 +0000

    * Updated version number to 0.8.0-test1 and to codename Janus

commit b1f5336da8dbb73303fa7a213373cbce661d62f7
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Aug 31 20:21:54 2004 +0000

     * Defer nsviews untill the NSWindow is created. Hopefully fixes the VLC[25709] *** Assertion failure in -[NSViewHierarchyLock unlockTopMostReader], AppKit.subproj/NSViewHierarchyLock.m:428

commit 84e7b1589e0c4f21860d8e730b969ce9c9be12fb
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Aug 31 18:52:22 2004 +0000

    * forgot the most important file of the commit :)

commit 9bfb547eac3c2ac3ee3c457d096e4424f7cdefb3
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Aug 31 18:32:54 2004 +0000

    * Don't bitch anymore about not found access_demux plugins.
    * Add ACCESS_SET_PRIVATE_ID_STATE to the list of every access plugin
    * msg_Err -> msg_Warn for unimplemented Control queries

commit 06b63706fe03f64001693f529aafe3725f79d2cb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Aug 31 18:29:58 2004 +0000

    * src/video_output/vout_subpictures.c, include/vlc_video.h:
      + introduce a "TEXT" subpicture region type.
      + a psz_text field stores the subpicture text.
    * src/video_output/video_text.c: produce "TEXT" subpictures.
    * modules/codec/subsdec.c: produce "TEXT" subpictures.
    * modules/misc/freetype.c: auto sizing works again.

commit 88386ce7b1851e3d5d2c2e93a0fffe45a3742a4e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Aug 31 12:02:12 2004 +0000

    * modules/stream_out/transcode.c, modules/audio_filter/format.c: fixed a bunch of stupid mistakes.

commit 499a2fea7584856b04c4740ccc30ac126b7207d0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Aug 31 12:00:38 2004 +0000

    * modules/audio_filter/converter/dtstofloat32.c,a52tofloat32.c,mpgatofixed32.c: release the old audio buffer after conversion.

commit 2d43c89f0b409b6f68cbac8ae1b643882fc33ebc
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Aug 31 11:58:40 2004 +0000

    * modules/codec/araw.c: got rid of the audio conversion in the encoder, which is now done by the audio filters.

commit 1d12322256e1ca21bbb7bb79f8f6edafc38e8c23
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Aug 31 10:25:39 2004 +0000

    * modules/demux/ps.h: oups... fixed typo in my ps_pkt_parse_system() fix.

commit 790d4277be927de94a8aa13320259066e1f71874
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Aug 31 09:29:04 2004 +0000

    * modules/audio_filter/converter/dtstofloat32.c,a52tofloat32.c: don't forget to update the size of the audio buffer after decoding.

commit 0a7ede29f5395a037cc8cbfb94a8a1bd64c46d37
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Tue Aug 31 05:44:15 2004 +0000

    Consistency in labels.

commit ca9ce3364355147c5a856199f0e9e3544b0bd574
Author: Eric Petit <titer@videolan.org>
Date:   Mon Aug 30 22:53:40 2004 +0000

     compile fix

commit abd58accb454dc1e6272fcee7992d67d841efc8f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Aug 30 21:02:00 2004 +0000

    * modules/stream_out/transcode.c: fix for channels mapping.

commit 64ba020d1c6d55c10ae826c22b80390cb6837149
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Mon Aug 30 20:57:08 2004 +0000

    * Add some options to the subtitle selection dialog. (relative size, encoding, and alignement).

commit 9dce48b67642dd70eaea897ef7fd2c90fecdfcce
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Aug 30 19:58:56 2004 +0000

    * modules/demux/avi/avi.c, modules/codec/rawvideo.c: RGB DIBs are coded from bottom to top.

commit 6227263febca7ee24d42e34463e900d7f5e9d2ce
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Aug 30 19:37:35 2004 +0000

    * modules/access/v4l/v4l.c: in v4l, RGB24 really is BGR24. Changed aspect ratio to 4:3.

commit 8ca6f29c3aa74031f4e7626637942df6ac519502
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Aug 30 19:24:55 2004 +0000

    * ALL: use rgb mask members in video_format_t.
    * modules/demux/avi/avi.c: raw RGB 24 is in fact BGR 24.

commit 5054a5695731fc99ad8c9786c7b66db61a29c267
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Aug 30 17:46:46 2004 +0000

    * modules/mux/mpeg/ts.c: waiting for the fifo to have 51 packets before muxing is completely insane. Put back the old value of 2 packets.

commit 932163e13e97bc686422f3f92caa8bb10d30b4bc
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Aug 30 16:28:38 2004 +0000

    * modules/stream_out/transcode.c: don't segfault when video encoder or filter can't be opened.

commit 51d84ecbc8c0959991a795a442176faa85880b92
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Aug 30 14:52:52 2004 +0000

    * modules/gui/wxwindows/interface.cpp: do not use a checkbox control for the bookmarks menu

commit 9629b93ff6f478a4fd780e3081ea8df957ea6cd0
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Aug 30 13:14:05 2004 +0000

    Few improvements

commit 0e4fd46833fbfc88dc6bb83b3974935120aad20e
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Aug 30 11:02:33 2004 +0000

    * Remove fprintf debug statement in the mp4 demux

commit b83f5ed9a1ad5a90e3ecf1334fced67d2a6569fe
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Mon Aug 30 10:45:01 2004 +0000

    i've modified the following functions to properly skip data (read buffer is nil) on streams which cannot be seeked.
    
    AStreamReadBlock()
    AStreamReadStream()
    
    before those modifications, playback would suddenly be interrupted after a while on network streams prone to packet loss.

commit 3e56378fb9229c6b20f1c570c3a306fc4d8f1d59
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Aug 30 10:35:19 2004 +0000

    * NEWS: update

commit 083295e71d8d52ade0389917b0a1e43adf50b454
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Aug 30 02:15:25 2004 +0000

    * modules/demux/ps.h: fixed parsing of system header.

commit 3cef8ec17ec505720d45f0659cb9c2b5e5c842b9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Aug 30 01:26:14 2004 +0000

    * modules/video_chroma/i420_rgb8.c: take care of width != pitch as well.

commit 4904140690f8630d53466a35914f0a37aa5154a4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Aug 30 01:24:08 2004 +0000

    * modules/video_chroma/i420_rgb16.c: take care of width != pitch as well.

commit 60349e21f45e7da3341c13d28e4b36ba0913dfd1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Aug 30 01:03:12 2004 +0000

    * modules/video_chroma/i420_yuy2.c: take care of chroma pitch as well.

commit 53d93ed6c052544f82378ca9bc541284d3deef56
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Aug 30 00:10:17 2004 +0000

    * src/input/es_out.c: really fixed ES_OUT_SET_FMT this time.

commit 9dcd7966a313ed4c641846f012a4ee0680a7bd3d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Aug 29 23:48:31 2004 +0000

    * src/input/es_out.c: fixed ES_OUT_SET_FMT control.

commit c1017cc7af170b5a94b1f63d7f02d3a6d0ab9810
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Aug 29 23:18:11 2004 +0000

    * src/video_output/vout_pictures.c: RV24 is really 24 bits per pixel.

commit b754c68834b13dd32d1a33ec0255b2345c5cc50f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Aug 29 22:32:39 2004 +0000

    * build ffmpeg with zlib on Mac/BeOS
      remember to configure vlc with --with-ffmpeg-zlib

commit ae31fae4fec26c8f8e90e89c6e863cc9c82f4662
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Aug 29 22:18:25 2004 +0000

    * added TSCC decoder to our ffmpeg module

commit 8a18bfd985356eb9eeae02e919b1f2dde88a865c
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Aug 29 21:26:16 2004 +0000

    Fix memleaks

commit 18207216225e37a9308aaaeb57ac2ae9790b464b
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Aug 29 19:48:09 2004 +0000

    * Fix the play/pause button status
    * the prime manage thread now runs every .1 sec instead of .3,
      this might improve response sometimes.

commit 28b7857d1a21d7877d1ab004c465e15bfb58bb04
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Aug 29 19:36:41 2004 +0000

     * es_out: msg_Err -> msg_Warn for Program empty. But I still need to
    fix it... (it should be annoying only with TS, you may have dead program
    entry).

commit 77498fa4af3a0aae068c850f5770863c4e4af0d5
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Aug 29 19:34:54 2004 +0000

     * mp4: support vobsub in .mp4 (NeroRecode), but won't work if the video
    has been cropped.

commit b53e633c509b91265698f6409c74d732dfc37bb9
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Aug 29 15:59:12 2004 +0000

    * Don't release the VLCWindow on QTClose. The mainthread still needs it.
    * Updated TODO list

commit 7a4202c7b41c50cc15f3b875e1319aa936f143b2
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Aug 29 15:11:50 2004 +0000

    * fix text encoding of subtitle filenames (and other paths).

commit 02ab7567f0f2a509cf1f0852780981a25f7abb22
Author: Eric Petit <titer@videolan.org>
Date:   Sun Aug 29 13:40:56 2004 +0000

     src/input/es_out.c: gcc < 3 fix

commit 6a29dd7f9fd964abc281f8189911899fb3b86362
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Aug 29 13:18:53 2004 +0000

    * modules/stream_out/transcode.c: when overlaying subtitles, duplicate frames if they are referenced by the decoder.

commit 652fa15aa9c6b082a01d7c7a4d5801dd19fd0430
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Aug 29 12:40:33 2004 +0000

    * modules/misc/dummy/vout.c: have the dummy vout use the render chroma by default.

commit a6b8118109995ae1b11f941af1b6f8290ed24f56
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Aug 29 12:27:49 2004 +0000

    * modules/demux/ogg.c: fixed skipped pictures problem when starting a stream.

commit 381e1674700ab2f029bef8d18289a882ee894924
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Aug 29 11:42:43 2004 +0000

    * modules/mux/ogg.c: when removing a stream, flush its fifo first.

commit d5c1443a63b4d341f99ed927c5e5af4fc40e01fe
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Aug 29 10:56:24 2004 +0000

    * modules/codec/vorbis.c: VBR encoding is now the default + added a cbr option.

commit 501eb1fa89ce3bd3a52312e82409313fd99cd94b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Aug 29 09:58:07 2004 +0000

    * modules/video_output/x11/xcommon.c: 24 bits screen depth uses 32bits per pixels.
    * video_chroma/i420_rgb.c: disable RV24 support (which was assuming 32 bits per pixels).

commit ffe4c977b3bada09c93a50a17bcb367f1c401e6b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Aug 29 09:04:20 2004 +0000

    Fix last  playlist item deletion with wxWIN32

commit ff8bace6958f8631051019232d85fe505792abd8
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Aug 29 09:00:03 2004 +0000

      * async_queue.*: AsyncQueue::remove is now thread-safe to avoid potential
      (but *very* unlikely) segfaults

commit f53b5e079fea83705b448eb956d4ad0a6109e844
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Aug 29 01:28:28 2004 +0000

    * modules/codec/mpeg_audio.c: correct bitrate.

commit 9870f3d41d373478eb23c6d28fd6b857360b814f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Aug 29 01:25:29 2004 +0000

    * commit modules/mux/ogg.c: added SNOW fourcc.

commit 6a55ecf0679e879a8fe280f75d5c5d4e20e948e9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Aug 29 01:12:06 2004 +0000

    * codec/ffmpeg/video_filter.c: deinterlace filter.
    * stream_out/transcode.c: deinterlacing works again.

commit ad4a7e63c72072663a0792f572b5c45e4182d562
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Aug 29 00:40:43 2004 +0000

    * modules/audio_filter/converter/dtstofloat32.c: added implementation for the new audio filter architecture.
    * codec/dts.c: bug fix.
    * codec/araw.c: added more PCM formats to the encoder.

commit 44fb66b7f09f6948aa7fca56a2d96c653a01acac
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Aug 28 23:59:55 2004 +0000

    * modules/audio_filter/converter/a52tofloat32.c: added implementation for the new audio filter architecture.

commit 113669353d974360b1176dbed10e9430b1cf5bcd
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Aug 28 23:58:01 2004 +0000

    * modules/codec/vorbis.c: vorbis encoder takes float32 as input.
    * modules/stream_out/transcode.c: respect input requested by encoder.

commit d382c9d9924ab904d947b177d2a073f692124cfb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Aug 28 22:50:50 2004 +0000

    * modules/gui/wxwindows/menus.cpp: increased size of a couple of arrays for safety.

commit 299d029a4cfd91ae48deb6f528fc539ab4f7c2be
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Aug 28 19:29:32 2004 +0000

    Update the "Stream and Media Info" dialog

commit 43403d1f8f847fba233a9406f92576507b311a9c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Aug 28 18:37:02 2004 +0000

    * codec/theora.c: Removed the "multiple of 16" size restriction for the encoding.
      + correct cropping of the decoded video when specified.
    * stream_out/transcode.c: make sure the size of the encoded video is at least a multiple of 2.

commit 5d6c8b4b366d054db7ac752111ac438a9b7cae10
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Aug 28 18:07:35 2004 +0000

    * src/video_output/vout_pictures.c: oups, inverted i_visible_lines and i_lines.

commit 56b5483c5684b5e91e56fdbc7429b264728e2e77
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Aug 28 17:36:02 2004 +0000

    * ALL: use i_visible_lines in plane_t.

commit 56d76ed1ebd4747d2e8076a972b9c26b6a5138de
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Aug 28 16:46:22 2004 +0000

    * include/vlc_video.h: added an i_visible_lines field to plane_t.

commit ee6291a276b96cb6ae21418bc21879d0412d2d19
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Aug 28 15:40:11 2004 +0000

     * stream.c: oops another bug with  SET_ID...

commit 743711c4d349415b850db1d684299846508ec0e1
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Aug 28 15:20:18 2004 +0000

     * all: ooops wrong order for ACCESS_SET_PRIVATE_ID...

commit f0251c53bd46a47a96563aece4054399c450f7ba
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Aug 28 11:29:48 2004 +0000

      * Spelling fixes.

commit 535be4f675ab04cb117aec179d91e273b9a156ad
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Aug 28 11:02:51 2004 +0000

    * include/vlc_es_out.h, src/input/es_out.c: added an ES_OUT_SET_FMT control.
    * modules/demux/ogg.c, modules/demux/mkv.cpp:
      - store the vorbis/theora/speex headers in fmt.p_extra.
      - this change simplifies the code quite a bit and is a lot cleaner.
    * modules/codec/vorbis.c, theora.c, speex.c, flac.c:
      - get the headers from fmt_in.p_extra or from the bitstream if empty.
    * modules/mux/ogg.c:
      - recontstruct the headers from fmt.p_extra.

commit e96986fec860aae871bc2d23699385f40f91cff5
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Aug 28 10:04:15 2004 +0000

    s/access/access2

commit fbc79bf713b16e22ffa947e494081daa33c8b1fe
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 27 20:58:33 2004 +0000

      * debian/rules: typo.

commit 451f3960851204b1565177a34d6139e311c121d8
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 27 20:46:35 2004 +0000

      * debian/*.menu:
        + Removed unused menu files.
      * debian/rules:
        + Build libavformat.
      * include/vlc_common.h:
        + PACKAGE overrides PACKAGE_NAME.

commit 24f83b8b4ff5e22df00a045fcee42c0a16ae1384
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Aug 27 20:44:39 2004 +0000

    * modules/demux/asf/asf.c: ignore the ES extra data for mpeg audio.
    * modules/mux/asf.c: bring the tracks back to a 0 based offset.

commit 1d08e9ca23cdc16704c7d7744ae3e153e0414694
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Aug 27 20:10:21 2004 +0000

    * modules/mux/asf.c: flush our buffers on close.

commit 00bee693af59c5af5e30b736bfaa55900ceacb63
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 27 19:32:44 2004 +0000

      * debian/rules:
        + Disabled the GNOME, Qt, GTK+ and KDE interfaces in favour of the
          WxWidgets one.

commit f2ab6b69af2634a821dcca75f6d3da2639bb1354
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 27 19:30:37 2004 +0000

      * include/vlc_common.h:
        + Use PACKAGE_NAME instead of PACKAGE.
      * modules/codec/ffmpeg/ffmpeg.c:
        + This module does not require AltiVec for now.

commit b6db83fc0ce35915dc1fbd4e057945d10174c04b
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 27 17:25:31 2004 +0000

      * po/POTFILES.in: updated for deprecated files.

commit cb07da3acec1ae4d2489a569b306ae60f7bd76a6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Aug 27 13:57:11 2004 +0000

    * configure.ac: added --with-ffmpeg-dts/zlib options.

commit 68cf6af3c0f7347fbdbd41935861d9dc876ab869
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Aug 27 13:49:20 2004 +0000

    * configure.ac: fixed typo.

commit a846831b98a4574c824a0d0a8232ccbb6ad9f7c7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Aug 27 13:34:44 2004 +0000

    * configure.ac: add the audio format conversion filter.

commit 2a24c87ba622d10017906d9f216f667011a18777
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Aug 27 13:31:23 2004 +0000

    * modules/stream_out/transcode.c:
      - Re-use our audio decoder modules instead of using libavcodec directly.
      - No more dependance on libavcodec.
      (downmixing is currently broken + you have to force the ffmpeg codec for a52)
    * modules/audio_filter/format.c:
      - PCM audio format conversion filter using the new common filter architecture.
    * modules/audio_filter/converter/mpgatofixed32.c:
      - implements both the old and new filter architecture (ie. useable in the transcoder).
    * modules/codec/ffmpeg/audio.c:
      - fixes and cleanup.

commit 95977003bd92b93ca30f82d9559f7479b420da4a
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 27 12:14:26 2004 +0000

      * extras: ignore extra directories.

commit 7a47d507e562a22522e60c36501f96b8672ae498
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 27 12:10:17 2004 +0000

      * debian/rules:
        + Activated x264 support.
        + Re-enabled libmodplug support.
        + Build PIC plugins even on x86.
        + Disabled DVB and SLP because their code is broken.
      * debian/control:
        + Force the vlc-plugin-arts and qvlc dependencies.
        + Build-depend on jam and nasm because of x264.
      * debian/copyright:
        + Converted to UTF-8.

commit f2c554795a02ff8acdc070bc10a00f4640fdb8ab
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Aug 26 21:27:06 2004 +0000

    * modules/codec/ffmpeg/video_filter.c, include/vlc_filter.h:
      - chroma + resizing video filter (using the filter_t architecture).
    * modules/codec/ffmpeg/*:
      - cleanup + small updates.
    * modules/codec/speex.c, theora.c, vorbis.c:
      - got rid of pf_header() in the encoder.
      - store the headers in fmt_out.p_extra (this will break the ogg muxer for now).
    * modules/codec/libmpeg2.c, modules/codec/ffmpeg/video.c:
      - added a p_dec->b_pace_control field to signal if the decoder is allowed to drop frames.
    * modules/stream_out/transcode.c:
      - heavy cleanup.
      - re-use video decoder modules and got rid of the duplicated ffmpeg video decoder.
      - use video filters for chroma conversion and resizing.
      (a few things are broken now like deinterlacing but I'll repair them asap).

commit 881b68a00520ecbc6c1f3473a407bfa03d4bff01
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Aug 26 19:26:16 2004 +0000

    * modules/codec/libmpeg2.c: use the DTS in the synchro algorithm.

commit eb6c45093a933c68bcedfb4e75a7185ccf1dded9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Aug 26 19:19:08 2004 +0000

    * src/input/decoder.c: forward the p_block->i_rate info when required (fixes libmpeg2 decoding in the display stream output module).

commit 548753b8d4ff0587b8d9256c4a28be46b0edc0bb
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Aug 26 16:02:34 2004 +0000

      * INSTALL: added a note about bootstrapping.

commit 210297fc0cb8081dd3db146b44d0b23fce47a03e
Author: Eric Petit <titer@videolan.org>
Date:   Thu Aug 26 13:11:16 2004 +0000

     + demux/ts.c: gcc < 3 fix

commit 9d3b03dec9f0f47b697abccbc3bab2ffb792f167
Author: Eric Petit <titer@videolan.org>
Date:   Thu Aug 26 12:59:31 2004 +0000

     + input/decoder.c: detach decoder after vout_Request(...,0,0,0,0)ing
         so AttachSPU can still reach p_input
     + src/video_output/*: init mouse variable before attaching p_vout so
         dvdnav can't add callbacks on those before there're created
     + beos/VideoOutput.cpp: removed tabs, sanity check

commit 2c6dfafb185bc92e276b3a7dc831457a922e2b49
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Wed Aug 25 21:36:03 2004 +0000

     * Update the docs

commit 45ecdf1be615f61bbac4acebe7c1d1661da01935
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Wed Aug 25 21:32:15 2004 +0000

     * skins2: new "playlist.load()" and "playlist.save()" actions

commit 874d5a11a330cceafe6e0495467a729f64b68f8d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Aug 25 20:09:16 2004 +0000

     ts.c: send pid select/unselect to access. (untested).

commit 4b1c42649844edf8ec57036fe9e5ae77c002c3c1
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Aug 25 20:08:23 2004 +0000

     * input: send DEMUX_SET_GROUP.

commit 8529fa1434e6226c5f7d476a0cd64939a6e7b717
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Aug 25 20:06:00 2004 +0000

     * dvb: fixes.

commit 3f821deb158c36a24c6a2144a071b293c7f847f8
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Aug 25 18:50:36 2004 +0000

     * input: added a INPUT_UPDATE_META (for meta data in access like ICY)
     * access: added ACCESS_GET_TITLE_INFO (not yet implemented)
     * demux: added DEMUX_SET_GROUP (will be only for dvb/ts).

commit 1df5253bce7c2660a57c70024a850c31e38e1427
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Aug 25 15:09:50 2004 +0000

    * Makefile.am: fixed make package-win32-base.

commit 96373cdb4d80c90ddc007037702ebb0567e29fc8
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Aug 24 22:07:54 2004 +0000

     * dvb: compilation fix. With great luck it may, perhaps, work in budget
    mode (else I still need to hack ts demuxer).

commit a82c7e3ebd4c3321b4cda67b7f7ed89c13fdd9ff
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Aug 24 21:58:24 2004 +0000

     * dvn: first pass to port dvb to new api. (it doesn't even yet compile,
    I haven't tried :)

commit 299cea2f085adb7fa8eee179cf3ce633f98d624b
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Tue Aug 24 20:50:36 2004 +0000

    share/Makefile.am: update for default skin change

commit b58037d325d29204174b07954ed854e3f4167577
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Aug 24 20:03:15 2004 +0000

     * udp: unused line.

commit fdb935d6241ce44bea0171764a37dd68bf99f4dd
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Aug 24 19:38:09 2004 +0000

    * modules/video_output/x11/xcommon.c: fixed fullscreen with KDE 3.3

commit 20a48bd77ea69c652b6ac1a262f8fe456c037482
Author: Cyril Deguet <asmax@videolan.org>
Date:   Tue Aug 24 19:01:32 2004 +0000

      * the default skin is now shipped as a .vlt (whether you like it or not ;)
      * missing "Id" property

commit de0246807e7e7ffee8a29b0049d1a26e54609261
Author: Cyril Deguet <asmax@videolan.org>
Date:   Tue Aug 24 18:43:41 2004 +0000

      * all: removed obsolete b_blocking in intf_dialogs_arg_t

commit c8016ca1c3723bf5c3324f8e7cc88757b6afded1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Aug 24 18:31:13 2004 +0000

    * modules/demux/demuxstream.c: module obsoleted by the --ts-out option of the ts demuxer (and is broken anyway).

commit a02b79e2db1268898bdb4e6d30f07dcd6ec51b10
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Aug 24 17:51:44 2004 +0000

     * ts.c: fixed --ts-out.

commit 856b6e4355c4c4b45b3b0d9420142c0b3c151fa3
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Tue Aug 24 16:30:53 2004 +0000

      * ./src/libvlc.c: initialize dvd/vcd/cd-audio values using HAL.

commit e3a6345c819709da452d4db7ce123b8eba70cb6f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Aug 23 22:16:58 2004 +0000

     * ps.c: handle PES with 0 size. (look for next start code, slow but
    better that nothing).

commit b9c133227e1a1cfa9d4443990f2078b77767ab9f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Aug 23 15:19:56 2004 +0000

    * src/video_output/vout_subpictures.c, video_output.c: fixed a crash with dvd menus.

commit 1e5b412adee4505e9a8119ff981342e5592a004e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Aug 23 10:09:52 2004 +0000

    * modules/packetizer/h264.c: modified ParseNALBlock() to return a complete picture and not just a picture slice.

commit 685c349ad03f0bf0e09aeaeacf8f6e6644fb0c2c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Aug 22 22:44:27 2004 +0000

    * src/input/decoder.c: don't forget that packetizers can output a chain of data blocks.

commit fee23a72fd1b228f1a6312055c7a233ff1e524b2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Aug 22 17:15:35 2004 +0000

    * modules/codec/ogt/*: updated the prototype of the decode function.

commit 136fe6c205832e328835e35d6909f775f97caccc
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Aug 22 15:24:48 2004 +0000

      * all: french translation for skin popup menu

commit 96120c20a3de22f8f8167162f7bfdbb2e5470393
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Aug 22 15:17:35 2004 +0000

     * compilation fix.

commit f006d9e797b479d7e852d7559eca60e29f0f2dd5
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Aug 22 15:16:03 2004 +0000

    * Added the new OSX vout files
    * added the new OSX vout files to pb proj.

commit 3d8429aad43259ddd3c9a792e8779495989bb3a5
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Aug 22 15:00:19 2004 +0000

      * theme_repository.*: the popup menu for skin selection works !
      (it looks for .vlt files in all the directories of the resource path)
      * dialogs.cpp: fixed a stupid copy/paste mistake

commit 78b01836c41bce925edf53abb05f8a59125d5776
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Aug 22 14:39:16 2004 +0000

     * skins2/src/window_manager.cpp: Added the vlc.isOnTop boolean variable
     * skins2/parser/interpreter.cpp: Renamed vlc.ontop() into vlc.onTop()
     * doc/skins/skins2-howto.xml: doc updated

commit 0112e52492a21421ea68d851f13d22ba298005bc
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Aug 22 14:32:51 2004 +0000

    * initialize variables and don't use arguments that failed being created.
      (fixes glx when X11 isn't runnning)

commit 065820ab78700203f5ac2f03ddec694b43de0336
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Aug 22 14:16:37 2004 +0000

    * modules/gui/skins2/src/skin_main.cpp: added a skins shortcut.

commit 8463d728f237fb274f1877e57f3cea6dfb7fd956
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Aug 22 14:10:27 2004 +0000

    * modules/video_output/x11/glx.c: don't call XCloseDisplay() if p_display == NULL.

commit 852f38630bac2cd4ccd64174c019a125bd47cbe1
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Aug 22 12:50:39 2004 +0000

      * all: skeleton of a popup menu entry for skin selection

commit d5225a4365eebe288c4ed569890f4ad8fc4e575c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Aug 22 11:06:28 2004 +0000

    * modules/access/dvdread.c: fixed chapter change detection.

commit 234278af61a70d3efcfca81c1539bbf7715b7f6e
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Aug 22 10:38:26 2004 +0000

      * ctrl_list.cpp: beginning of key handling in the playlist

commit 4e1d4ed365066b07da9857a6a060cbb252a37f5c
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Aug 22 09:40:07 2004 +0000

     * Makefile.am: don't forget to copy reduce_mouseover.png !

commit 1295a9b8020d2c2c16525cf21fd6b05623af4f02
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Aug 22 02:17:43 2004 +0000

    automake 1.8 works, so accept that as well.

commit 6d1ff5f90c8b8ddea38fb3b556085e45b27b488e
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Aug 21 19:45:40 2004 +0000

    * Fix a X11 GLX crash

commit a8ff7c35a694e82a177a07de0c2ba7ec8f2a69b0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Aug 21 16:38:10 2004 +0000

    * configure.ac: added an option for x264 support.

commit 0f368cdf75dedbe200eca67078cb68e70bd835e7
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Aug 21 16:02:06 2004 +0000

    * modules/gui/wxwindows/extrapanel.cpp : Changed "Restore defaults" to
      "Restore Defaults" so it gets translated
    
    * po/fr.po : Chanded "Restore Defaults" translation

commit ba0d4ba774ac86bc482e85e21699c4c7cf4c4869
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Aug 21 14:11:41 2004 +0000

      * Makefile.am: yet another humiliating submission of automake.

commit d691b084ff309b7e37b09fac8a7af82c8cc4feac
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sat Aug 21 14:06:08 2004 +0000

     * Makefile.am: "noinst_lib_DATA" broke bootstrap :(

commit 78cb02e323696b09638935fe0be36d40eb097d6e
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sat Aug 21 13:54:36 2004 +0000

     * alsa.c: compute next_date with snd_pcm_delay() if snd_pcm_status_get_tstamp
       doesn't work. Better than nothing but the sound is still poor with DVDs :(

commit 1577ef793825e88c80f394238d72aef88a4c748a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Aug 21 13:06:42 2004 +0000

    * modules/gui/wxwindows/*: updated open disc dialog.

commit 9b67ddf0a849a3b12b964e11f3210b9ff9a33975
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sat Aug 21 12:57:32 2004 +0000

     * alsa.c: pass next_date=0 to aout_OutputNextBuffer if
       snd_pcm_status_get_tstamp() returns zero. I hope someone has a better
       fix because in fact it is not perfect (there are "clicks" with DVDs)

commit f13993e1dbd376419c522b9b57293a383fa4fe06
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sat Aug 21 12:38:53 2004 +0000

     * src/audio_output/output.c: check if start_date is null in
       aout_OutputNextBuffer(), then do not try to resample or play silences.
       Now everything works perfectly with screwed ALSA drivers that always
       return zero in snd_pcm_status_get_tstamp() (at last!!!)

commit 1f5ad5198aedd07f680c1252ffb73080dc37a521
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sat Aug 21 11:47:04 2004 +0000

    Removed the default skin for the skins1 module

commit 7253e7389e41566d01a396d3c7d78126ce07b71b
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sat Aug 21 11:34:33 2004 +0000

    Removed the old skins plugin

commit dae08eab4dcc758007b0b89bca7ce750d0a102f3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Aug 21 11:06:19 2004 +0000

    * src/input/input.c: changed MRL syntax again: URL[@[title][:chapter][-[title][:chapter]]]
       The parsing of the title/chapter section is more strict so shouldn't trigger on false positives like udp syntax or http url with login/password.
    * src/libvlc.h: updated useage.

commit 449f73e4511f3c6cb1e9c012775f66bf52c1cb5f
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Aug 21 10:46:32 2004 +0000

      * Makefile.am:
        + Don't use vlc_app_DATA for the BeOS bundle.
        + Build the BeOS bundle in $(top_builddir).

commit d6f04ffa8a8b8a9a03c6781386ec87a63c20ad83
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Aug 21 00:22:44 2004 +0000

    * src/libvlc.h: updated useage.
    * src/input/input.c: hack for udp access and MRLSections().

commit 25d2a663a98c0adc49d95e3ad5612f76da954953
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Aug 20 23:37:40 2004 +0000

    * src/input/*, include/vlc_input.h: the MRL is now parsed for titles/chapters directly in the core.
      - syntax is: [url][@[title-start][,chapter-start][-[title-end][,chapter-end]]]
